
*Baseline dataset
	use "$data/processed data/Baseline_cleaned_database.dta", clear

	
	
	*global to grasp labels of baseline vars 
	global base = 1	

if ${base}==1{
label var 	village "Type of locality ($ 1 =$ village)"
label var 	milieu "Rural Area"
label var 	a1 "Female"
label var 	age20_01_16 "Age"
label var 	youth "Youth ($ <$ 35 years-old)"
label var 	a17 "Single mother"
label var 	a18 "Out of school or out of school in primary school"
label var 	handicap "Disabled"
label var	autoch "Native ethnic group"
label var	a3_2 "Married"
label var	a3_3 "Lives with a partner (but not married)"
label var	a3_5 "Widowed"
label var	a4a "Nb of children"
label var	a5 "Has been to school"
label var	a7_1 "No diploma"
label var	a16_1 "Head of the Household"
label var	a16_2 "Spouse of the head of the household"
label var	b4 "Nb of other household members"
label var	b2a "Nb of livestock"
label var	b2b "Nb of poultry"
label var	b1_agri "Nb of agricultural tools"
label var	travail "Has an activity (last 7 days)"
label var	c1 "Has worked in an agricultural activity (last 6 months)"
label var	dc1 "Has a non-ag business"
label var	db4_indep "Main activity is non-ag self-empl."
label var	db4_7 "Main activity is agricultural self-empl."
label var	db4_1 "Main activity is wage work"
label var	rev_99 "Total income (main activity, last month)" 
label var	dc3_c_1 "Has saved (last 3 months)"
label var	e2 "Amount saved (last 3 months)"
label var	e1 "Does not do accounting"
label var	dc3_c_2 "Does accounting by memory"
label var	e5 "Has a mobile money account"
label var	e6 "Has a bank account"
label var	e7 "Has participated in a Tontine (ROSCA)"
label var	e8a "Has debt"
label var	f2a_3 "Reports constraints for education expenditures"
label var	f2b_3 "Reports constraints for health expenditures"
}

else{ 
	
	* Labor market outcomes
	label var	A_Act "\makecell{Employment \\ (Has an \\ activity of \\ any type)}" 
	label var	A_AGR "\makecell{Self \\ employed \\ (at least \\ 1 activity)}"
	label var	A_Any_Sal "\makecell{Wage \\ employed \\      (at least \\ 1 activity)}" 
	label var	Nb_AGR	"\makecell{\# Independent \\ Activities}"
	label var	Nb_AGR_NoFarm "\makecell{\# Non-Ag. \\ Independent  \\ Activities}"	 
	label var	Nb_AGR_Farm "\makecell{\# Agricultural \\ Independent  \\  Activities}"
	label var   Nb_Group_AGR "\makecell{\# Independent \\ activities \\ jointly \\ owned}"
	label var	H_Tot_99  "\makecell{Total \\ hours\\ worked \\ (last 7 \\ days)}"
	label var	H_Sal_99 "\makecell{Hours \\worked in\\ wage \\ employment}"
	label var	H_Ind_99 "\makecell{Hours \\ worked in \\ self \\ employment}"
	label var	H_Ag_99  "\makecell{Hours \\worked in\\ independent   \\ag.  activities}"
	label var	Tot_Hours_Livst_7j "\makecell{Hours for \\ livestock}"
	label var	Tot_Days_Agri_12mth_99 "\makecell{Total \# days \\ worked in  \\ agriculture \\ (last 12 \\ mths)}"
	
	* Impacts on earnings and profits
	label var 	R_Mois_Tot_99 "\makecell{Earnings from \\ Wage Employment \\  (monthly) }"
	label var 	AGR_Profit_99 "\makecell{Earnings from \\Self Employment  \\ (Profits, monthly) }"
	label var 	AGR_Profit_NoFarm_99 "\makecell{Earnings from \\Self Employment : \\  Non Ag. Activities \\ qqq }"
	label var 	AGR_Profit_Farm_99 "\makecell{Earnings from \\Self Employment :  \\ Ag. Activities \\ qqq }" 
	label var 	Sales_Farming_Indiv_99 "\makecell{Revenues from \\ farming  \\ activities \\(last 12 mths) }" 
	label var 	Sales_Lvstck_Indiv_99 "\makecell{Revenues from \\   livestock \\ activities \\ (last 12 mths) }"
	* Impacts on welfare indicators
	label var	Nb_Asset_HHeqp_99  "\makecell{\# household \\ durable goods \\ owned}"
	label var  	Nb_Asset_Transport_99 "\makecell{\# assets owned : \\transportation  \\ equipment}"
	label var	food_cs_score "\makecell{Food \\ Consumption \\ Score \\ (food security)}" 
	label var	Education_99 "\makecell{Education \\ expenditures}" 
	label var	z_Indice2_WB "\makecell{Psycological \\ Well Being \\ index \\ (z-score)}"  
	* Impacts on business outcomes
	label var	Stt_Kpital_All_99	"\makecell{Total start-up \\ capital  \\ (all activities)}"
	label var	Assets_Act_99  "\makecell{Value of \\productive assets\\(all activities)}"
	label var	Assets_Act_NoFarm_99  "\makecell{Value of \\ non agricultural \\productive assets\\(all activities)}"
	label var	Assets_Act_Farm_99 "\makecell{Value of \\ agricultural \\productive assets\\(all activities)}"
	label var	Main_AGR_Invest_99 "\makecell{Investments in \\ \textit{main} activity   \\      (last 6 mths)}"
	label var	Empl_Tot_99  "\makecell{\# individuals\\working in\\idpdt \\ activities\\(all types)\\mmm }"
	label var	Empl_Tot_NoFarm_99 "\makecell{\# individuals \\ working in  \\ idpdt \\ nonag \\ mmm }"
	label var	Empl_Tot_Farm_99 "\makecell{\# individuals \\ working in  \\ idpdt  \\ agact \\ mmm }" 
	
    label var	Main_Empl_Tot_99 "\makecell{\# employees\\(main activity)}"
	label var	Main_Paid_Employ_99 "\makecell{\# paid employees\\main\\activity}" 

	
	
	label var	Livestock_index_99 "\makecell{Livestock \\ Index \\ (TLU)}" 
	label var	Nb_Asset_Agric_99 "\makecell{\# assets owned :\\ agricultural \\  equipment}"
	* Impacts on savings
	label var	Has_Saved "\makecell{Has Saved \\(last 2 yrs)}"
	label var	Has_Saved_Formal "\makecell{Has Saved :\\ formal \\ savings}"
	label var	Has_Saved_Informal "\makecell{Has Saved :\\ oth. informal \\  savings}"
	label var	Has_Svgs_Group_12m "\makecell{Has Saved: \\ any saving\\ group  \\ (last 12 mths)}"
	label var	A_VSLA	"\makecell{Participate \\in a VSLA \\ (currently)}"
	label var	A_ROSCA "\makecell{Participate \\in a ROSCA \\ (currently)}"
	label var	Tot_Savings_99	"\makecell{Savings \\ stock \\ (Total)}"
	label var	Savings_Formal_99 "\makecell{Savings \\ stock: \\ formal \\ savings}"
	label var	Tot_Savings_VSLA_99 "\makecell{Savings \\ stock: \\ VSLA}"
	label var	Tot_Savings_ROSCA_99 "\makecell{Savings \\ stock: \\ ROSCA}"
	label var	Savings_Informal_99 "\makecell{Savings\\stock :\\oth. informal \\ savings}"
	* Impacts on credit
	label var 	Took_Credit_2yrs "\makecell{Has taken \\ a credit \\ (last 2 yrs)}"	
	label var	A_Credit_Formal "\makecell{Has taken \\a credit from \\ formal sources\\ (last 2 yrs)}" 
	label var	A_Credit_SavingGroup "\makecell{Has taken \\a credit from \\a savings group\\ (last 2 yrs)}"
	label var	A_Credit_Informal "\makecell{Has taken \\ a credit from \\othinfsour}"
	label var	A_Credit_VSLA "\makecell{Has taken \\a credit from \\a  VSLA}"  
	label var	Tot_Credit_2yrs_99 "\makecell{Credits taken \\(all)\\ (cumulative, \\last 2 yrs)}"
	label var	Credit_Formal_99 "\makecell{Credits taken\\ from formal \\  sources}" 
	label var	Credit_VSLA_99 "\makecell{Credits taken\\ from VSLA}"
	label var	Credit_Informal_99 "\makecell{Credits taken\\ from oth.\\ informal sources}"
	* Impacts on social outcomes
	label var	RA_nb "\makecell{Participation to \\ groups or associations\\ (\# groups)}"
	label var	SB3a_nhelp_99 "\makecell{\# times received \\ finsup1 \\(last 12 mths)}"
	label var	SB4a_ngive_99 "\makecell{\# times provided \\ financial support \\ (last 12 mths)}"
	label var	SA5b_partici_tr01 "\makecell{Participation in \\ community works \\ (\# times in \\last 12 mths)}"
	label var	SA5b_partici_soc "\makecell{Participation in \\social activities \\ (\# times in \\last 12 mths)}" 
	label var	zs_T_tot_trust_index_M "\makecell{Trust\\ Index\\ (z-score)}"
	label var	zs_RB_victimindex_M "\makecell{Victimization \\(conflict) \\Index \\ (z-score)}"
	label var	zs_RB_insecurityindex_M "\makecell{Insecurity \\(perception) \\Index \\ (z-score)}"
	label var	zs_T_tot_trust_index_S "\makecell{Trust\\ Index\\ (z-score)}"
	
	* Impacts on agricultural outcomes
	label var 	Farming "\makecell{Is engaged \\in farming}"
	label var 	Livestock "\makecell{Is engaged in\\ livestock}"
	label var	Nb_plots "\makecell{Nb of plots}"
	label var	Area_cultivated_99 "\makecell{Area\\cultivated\\(ha)}"
	label var	Fertilizer_use "\makecell{Used fertilizer\\ (all types)}"
	label var	I_Cash_crop "\makecell{Has cultivated\\ cash crops}"
	label var	I_Food_crop "\makecell{Has cultivated\\ food crops }"
	label var	Cash_Volume_Prod_99	"\makecell{Production \\(cash crops)\\ (kg) }"
	label var	Cash_Volume_Sold_99 "\makecell{Sales \\(cash crops)\\ (kg) }"
	* Business practices and knowledge
	label var	z_score_SEtest	"\makecell{Entrepreneurship\\knowledge\\(quiz)\\ (z-score)}"
	label var	zs_index_Buss_Prac_M "\makecell{Index of \\business  practices \\   (z-score)}"
	label var	AGR_market	"\makecell{Has done a \\market \\assessment}"
	label var	AGR_bplan "\makecell{Has developed\\ a business plan}"	
	label var	AGR_Acc_Form "\makecell{Uses formal\\ book-keeping}"
	label var	AGR_Reg_Payment "\makecell{Separate\\ regular \\payments \\to  self}"
	label var	zs_index_Buss_Prac_S	"\makecell{Index of \\business  practices \\   (z-score)}"

	
}

	
	
	

/*

This do-file presents the baseline tables: 

A4
A5
A6

*/

*

* global of variables for tables A5 and A6 
# delimit ;

	global balance_check "
	village
	milieu
	a1
	age20_01_16
	youth
	a17
	handicap
	autoch
	a3_2
	a3_3
	a3_5
	a4a
	a5
	a7_1
	a16_1
	a16_2
	b4
	b2a
	b2b
	b1_agri
	travail
	db4_indep
	db4_7
	db4_1
	rev_99
	dc1
	dc3_c_1
	e2
	e5
	e6
	e7
	e8a
	e1
	f2a_3
	f2b_3
	";


	matrix W = [ . , . , . , . , . , . , . , . ]; 
	matrix V = [ . , . , . , . , . , . , . , . ]; 
	matrix U = [ . , . , . , . , . ]; 
	
	local varname " " ;

	foreach var in $balance_check  {;
		local varname "`varname' `var'" ; 


/* Code to produce table A5 */	

			qui tabstat `var'  if endline==1 , by(treat_common_main) s(mean) notot save; 
			tabstatmat G;
			
		 	qui reg `var' treat_common_main if endline==1 , cluster(cluster_loc) robust; 
			sca Nobs=e(N) ;
			test treat_common_main ;
			sca pval_diff=r(p) ;
			

			
			qui tabstat `var' if endline==1 , by(Option_M_common) s(mean) notot save; 
			tabstatmat H;
			
			qui reg `var' T_VSLA_M_common T_SEMI_M_common  T_CASH_M_common if endline==1, cluster(cluster_loc) robust; 

			test  T_SEMI_M_common=T_VSLA_M_common=T_CASH_M_common ;
			sca pval_joint_slected_t_c=r(p) ;
			

			
			qui reg `var' VSLA_M_C if endline==1, cluster(cluster_loc) robust; 
			test VSLA_M_C ;
			sca pval_diff2_C2=r(p) ;
			
			qui reg `var' Semi_M_C  if endline==1 , cluster(cluster_loc) robust; 
			test Semi_M_C ;
			sca pval_diff1_C1=r(p) ;

			
			qui reg `var' Cash_M_C if endline==1 , cluster(cluster_loc) robust; 
			test Cash_M_C ;
			sca pval_diff3_C3=r(p) 	;	
			
			
			matrix W= [ W \ Nobs, G' , pval_diff ,H[1,1], H[2,1], H[3,1], pval_joint_slected_t_c] ;
			
	

/* Code to produce table A6 */	
	
	
	
			qui tabstat `var'  if endline==1 , by(treat_common_spill) s(mean) notot save; 
			tabstatmat I;

		 	qui reg `var' treat_common_spill if endline==1 , cluster(cluster_loc) robust; 
			sca Nobs=e(N) ;
			test treat_common_spill ;
			sca pval_diff=r(p) ;
			

			
			qui tabstat `var' if endline==1 , by(Option_S_common) s(mean) notot save; 
			tabstatmat J;
			
			qui reg `var' T_VSLA_S_common T_SEMI_S_common  T_CASH_S_common if endline==1 , cluster(cluster_loc) robust; 

			test  T_SEMI_S_common=T_VSLA_S_common=T_CASH_S_common ;
			sca pval_joint_noslected_t_c=r(p) ;
			

			
			qui reg `var' VSLA_S_C if endline==1 , cluster(cluster_loc) robust; 
			test VSLA_S_C ;
			sca pval_diff2_C2=r(p) ;
			
			qui reg `var' Semi_S_C  if endline==1 , cluster(cluster_loc) robust; 
			test Semi_S_C ;
			sca pval_diff1_C1=r(p) ;

			
			qui reg `var' Cash_S_C  if endline==1 , cluster(cluster_loc) robust; 
			test Cash_S_C ;
			sca pval_diff3_C3=r(p) 	;	
			
			
			matrix V= [ V \ Nobs, I' , pval_diff ,J[1,1], J[2,1], J[3,1], pval_joint_noslected_t_c] ;	

			
			};
		
		matdelrc W, r(1);
		matrix colname W = N EL_Select_Control EL_Select_Treated Pval_Diff EL_Select_VSLA EL_Select_Semi  EL_Select_Cash Pval_joint  ;
		matrix rowname W = `varname' ;
		matlist W;
			
		matdelrc V, r(1);
		matrix colname V = N  EL_NoSelect_Control EL_NoSelect_Treated Pval_Diff EL_NoSelect_VSLA EL_NoSelect_Semi  EL_NoSelect_Cash Pval_joint ;
		matrix rowname V = `varname' ;
		matlist V;

		
		#delimit cr


		
* global of variables for table A4

*IMPORTANT: recode the variable Traitement_Indiv for tabstat to get the groups correctly

recode Traitement_Indiv (0=2)
*treatment = 1 and control = 2		
		
		
# delimit ;

	global sum_stat "
	village milieu a1 age20_01_16 
	a17       handicap
	a3_2 a3_3 a3_5 a4a a5 a7_1 a16_1 a16_2 b2a b2b b1_agri travail 
	db4_1 db4_indep db4_7 rev_99 dc1 dc3_c_1 e2 e5 e6 e7 e8a e1 f2a_3 f2b_3 
	"; 

	matrix U = [ . , . , . , . , . ]; //sheet 6;
	
	local varname " " ;

	foreach var in $sum_stat  {;
		local varname "`varname' `var'" ; 


/* Code to produce table A4 */	


			qui tabstat `var' if non_eligible_form==0 &  Option!=4, by(Traitement_Indiv) s(mean)  save; 
			tabstatmat L; 
			 
			qui reg `var' Traitement_Indiv if non_eligible_form==0 &  Option!=4, cluster(cluster_loc) robust; 
			sca Nobs=e(N) ;
			test Traitement_Indiv ;
			sca pval_diff=r(p) ;		
				
			matrix U= [ U \ Nobs, L', pval_diff] ;

		
		};
		
		matdelrc U, r(1);
		matrix colname U = N   Selected Non_Selected All Pval_Diff  ;
		matrix rowname U = `varname' ;
		matlist U;	
				
	#delimit cr		
		
* --------------------------------------------------------
* Section to export tables A4, A5, and A6
*--------------------------------------------------------	

esttab 	matrix(U, fmt(0 3 3 3 3)) using "$output/table_A4.tex", 	replace booktabs nomtitles label ///
				collabels("Nb. Obs." "\makecell{Mean \\ among \\ selected \\ individuals}" "\makecell{Mean \\ among \\ non-selected \\ individuals}" "\makecell{All \\ applicants}" "\makecell{ p-value \\ of test \\ (2)-(3)}") ///
				varlabels(, blist( ///
				village " \multicolumn{6}{l}{Personal and Household characteristics} \\ \midrule " ///
				b2a " \midrule \multicolumn{6}{l}{Assets} \\ \midrule " ///
				travail " \midrule \multicolumn{6}{l}{Employment} \\ \midrule " ///
				dc3_c_1 " \midrule \multicolumn{6}{l}{Savings and Credit} \\ \midrule " ///
				f2a_3 " \midrule \multicolumn{6}{l}{Financial constraints} \\ \midrule " ///
				)) ///
				prehead("\begin{tabular}{>{\raggedright\arraybackslash}m{8cm}*{5}{c}} \toprule  & (1) & (2) & (3) & (4) & (5) \\ \midrule ") 
				
esttab matrix(W, fmt(0 3 3 3 3 3 3 3)) using "$output/table_A5", replace booktabs nomtitles label ///
				collabels("Obs." "\makecell{Mean in \\ control \\ group}" "\makecell{Mean in \\ treatment \\ group \\ (pooled)}" "\makecell{p-value \\ of test \\ (3)-(2)}" "\makecell{Mean in \\ VSLA}" "\makecell{Mean in \\ Cash Grant \\ with Repayment}" "\makecell{Mean in \\ Cash Grant}" "\makecell{p-value of \\ joint test \\ (T1=T2=T3)}") /// 
				varlabels(, blist( ///
				village " \multicolumn{9}{l}{Personal and Household characteristics} \\ \midrule " ///
				b2a " \midrule \multicolumn{9}{l}{Assets} \\ \midrule " ///
				travail " \midrule \multicolumn{9}{l}{Employment} \\ \midrule " ///
				dc3_c_1 " \midrule \multicolumn{9}{l}{Savings and Credit} \\ \midrule " ///
				f2a_3 " \midrule \multicolumn{9}{l}{Financial constraints} \\ \midrule " ///
				)) ///
				prehead("\begin{tabular}{>{\raggedright\arraybackslash}m{8cm}*{8}{c}} \toprule  & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) \\ \midrule ") 
		
		esttab matrix(V, fmt(0 3 3 3 3 3 3 3)) using "$output/table_A6", replace booktabs nomtitles label ///
				collabels("Obs." "\makecell{Mean in \\ control \\ group}" "\makecell{Mean in \\ treatment \\ group \\ (pooled)}" "\makecell{p-value \\ of test \\ (3)-(2)}" "\makecell{Mean in \\ VSLA}" "\makecell{Mean in \\ Cash Grant \\ with Repayment}" "\makecell{Mean in \\ Cash Grant}" "\makecell{p-value \\ of joint \\ test \\ (T1=T2=T3)}") /// 
				varlabels(, blist( ///
				village " \multicolumn{9}{l}{Personal and Household characteristics} \\ \midrule " ///
				b2a " \midrule \multicolumn{9}{l}{Household and productive assets} \\ \midrule " ///
				travail " \midrule \multicolumn{9}{l}{Employment} \\ \midrule " ///
				dc3_c_1 " \midrule \multicolumn{9}{l}{Savings and Credits} \\ \midrule " ///
				f2a_3 " \midrule \multicolumn{9}{l}{Financial constraints} \\ \midrule " ///
				)) ///
				prehead("\begin{tabular}{>{\raggedright\arraybackslash}m{8cm}*{8}{c}} \toprule  & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) \\ \midrule ") 	
