
use "$data/processed data/Endline_cleaned_dataset.dta", replace 
***** Endline analysis do-file 
*************************************************************************
* 2.1 Builds macro containing the key sets of indicators (per table) 
*************************************************************************	
run "${dofile}/analysis/endline analysis/List of Tables.do"  
		
	
*************************************************************************	
* 2.2 Estimations on the main sample (both main specifications, and heterogeneity specifications) : 
*************************************************************************

*global to estimate effect on beneficiaries
	global direct_ben = 1
*global to estimate main effect
	global het = 0
*global to make endline estimations	
	global base = 0

*This do-file sets the labels of variables used for estimations	
	do "${dofile}/cleaning and var creation/english_labels.do"
	
	
*--------------------------------------------------------------*
	preserve

*-- Main estimations --*
* Keep if relevant sample for main estimations
		keep if echantillon_princ==1
*Tables for main sample regressions: Table2 Table3 Table4 Table5 Table6 Table11 TableA10 TableA11 TableA12 TableA13 
		do "${dofile}/analysis/endline analysis/main_sample_regressions.do"
	
		
		
		
*-- Heterogeneous effects --*		
* Set data for heterogeneous effects
		global het = 1
*Heterogeneity regressions: TableA14 TableA15 TableA16 TableA17 TableA22 TableA23 TableA24 TableA25 
  		do "${dofile}/analysis/endline analysis/heterogeneity_regressions.do" 


			
		
*-- Figures --*		
** Figure 4 and Figure 6		
 		do "${dofile}/analysis/endline analysis/Figures_4_and_6.do"		
** Figure 5		
		do "${dofile}/analysis/endline analysis/Figure_5.do"
		
	restore
*--------------------------------------------------------------*
		
	
	

	
*************************************************************************	
* 2.3 Estimations on the secondary sample (spillover effects) : 	
*************************************************************************

*Global to only measure non-direct beneficiaries (spillover sample)
	global direct_ben = 0

	preserve
		keep if echantillon_sec==1
*Tables for spillover sample regressions: Table7 Table8 Table9 Table10 TableA18 TableA19 TableA20 TableA21	
		do "${dofile}/analysis/endline analysis/spillover_sample_regressions.do"
	restore	


	
	
	
	
	
	
	
	
*************************************************************************	
*************************************************************************		
*Multiple Hypothesis Testing: Table A9
do "${dofile}/analysis/endline analysis/TableA9.do"	
	
	


	
	
	
// *========================================================================================================================
// *       COMPARISON TO NATIONAL SURVEY (Table A7)
// *========================================================================================================================	

use "$data/processed data/Endline_cleaned_dataset.dta", replace 

***** Endline analysis do-file 
	keep if echantillon_princ==1

*** Table A7	
	do "${dofile}/analysis/endline analysis/Table_A7.do"

	
	
	
	
	