*************************************************************************************************
*************************************************************************************************
*************************************************************************************************

*This do-file performs graphs for: 
*figure 4: Quantile treatment efefcts for self-employment earnings (total profits) 

foreach var in   	 AGR_Profit_99  { 
	

di "`var'"
cap drop y
gen y=`var'

cap matrix drop B
cap drop q Coef Std Tstat

 forvalues num =0.1(0.05)0.9   { 
		 quietly qreg y treat_common_main strata_loc grappe* [pweight=sampling_w_main], vce(robust) quantile(`num')
		 matrix se2=e(V)
		sca se=sqrt(se2[1,1])
		sca coef=_b[treat_common_main]
		sca t=coef/se

		mat B=nullmat(B)\(`num',coef,se,t)
	}
matrix list B


svmat B
rename B1 q 
rename B2 Coef
rename B3 Std
rename B4 Tstat

cap drop  High Low Zero
g High = Coef + 1.96*Std  
g Low = Coef - 1.96*Std
g Zero=0


twoway (rarea High Low q, color(blue*0.2)) ///
 (line Zero q, color(black)  lpattern(solid) ) ///
 (line Coef q, color(black)  lpattern(dash) ), ///
legend(label(3 " Quantile Treament Effect")  label(1 " 95% Confidence Interval")order(3 1) pos(0) bplace(nwest) r(1))  /// 
xscale(range(0.1 0.9)) ///
xlabel(0.1[0.10]0.9) ///
xtitle(Quantile) ///
yscale(range(-8000 8000)) /// 
ylabel(-8000[2000]8000) ///  
ytitle("Self-employment earnings" " ") /// 
graphregion(color(white)) bgcolor(white)


graph export "$output/Figure_5.png", replace width(800)


}

