*************************************************************************************************
*************************************************************************************************
*************************************************************************************************

*This do-file performs graphs for: 
*figure 3: Profits 
*Figure 5: Savings

/*

1/ Profits: AGR_Profit_99

2/ Savings: Tot_Savings_99

*/

label var AGR_Profit_99 "Profits in independent activities"
label var Tot_Savings_99 "Profits in independent activities"

**************************************************************
* 1/ Profits: Figure 3
**************************************************************


preserve
keep if  AGR_Profit_99!=.
sum AGR_Profit_99, d
 

matrix M=J(102,4,.)
		
        forvalue num = 0(3000)300000 {
                local j=`num'/3000+1
                matrix M[`j',1] = `num'
                capture drop AGR_Profit_99_`num'
                gen AGR_Profit_99_`num'=100*(AGR_Profit_99<=`num') if AGR_Profit_99!=.
				quie reg AGR_Profit_99_`num' treat_common_main  [pw=sampling_w_main], robust
                sca meanb=_b[_cons]
                matrix M[`j',2] = meanb
				quie reg AGR_Profit_99_`num' treat_common_main strata_loc grappe*  [pw=sampling_w_main] , robust // why strata only for this reg ?
				matrix se2=e(V)
                sca se=sqrt(se2[1,1])
                matrix M[`j',4] = se
                qui lincom meanb + _b[treat_common_main]
                matrix M[`j',3] = r(estimate)
                        }

				clear
                svmat M
                g High = M2 + 1.96*M4
                g Low = M2 - 1.96*M4
                rename M1 inc
                rename M2 Cont
                rename M3 Treatment
                matrix list M

                twoway (rarea High Low inc, color(blue*0.2)) ///
                (connected Cont inc, color(red)  lpattern(dash) msize(vsmall))  ///
                (connected Treatment inc, color(blue)  lpattern(solid) msize(vsmall)) , ///
                legend(label(3 "Treatment") label(2 "Control") label(1 "95% CI of the difference") order(2 3 1) position(7) r(1))  ///
                xscale(range(0 300000)) ///
                xlabel(0[50000]300000) ///
                yscale(range(0 100)) ///
                ylabel(0[20]100) ///
                ytitle(Share) ///
				xtitle(Cumulative distribution of profits) /// 
				graphregion(color(white)) bgcolor(white)
		graph export "$output/Figure_4.png", replace width(800)
		
		restore	
		
		
**************************************************************
* 2/ Savings: Figure 5
**************************************************************

		preserve
keep if  Tot_Savings_99!=.
sum Tot_Savings_99, d
 

matrix M=J(102,4,.)
		
        forvalue num = 0(3000)300000 {
                local j=`num'/10000+1
                matrix M[`j',1] = `num'
                capture drop Tot_Savings_99_`num'
                gen Tot_Savings_99_`num'=100*(Tot_Savings_99<=`num') if Tot_Savings_99!=.
				quie reg Tot_Savings_99_`num' treat_common_main  [pw=sampling_w_main], robust
                sca meanb=_b[_cons]
                matrix M[`j',2] = meanb
				quie reg Tot_Savings_99_`num' treat_common_main strata_loc grappe*  [pw=sampling_w_main] , robust // why strata only for this reg ?
				matrix se2=e(V)
                sca se=sqrt(se2[1,1])
                matrix M[`j',4] = se
                qui lincom meanb + _b[treat_common_main]
                matrix M[`j',3] = r(estimate)
                        }

				clear
                svmat M
                g High = M2 + 1.96*M4
                g Low = M2 - 1.96*M4
                rename M1 inc
                rename M2 Cont
                rename M3 Treatment
                matrix list M

                twoway (rarea High Low inc, color(blue*0.2)) ///
                (connected Cont inc, color(red)  lpattern(dash) msize(vsmall))  ///
                (connected Treatment inc, color(blue)  lpattern(solid) msize(vsmall)) , ///
                legend(label(3 "Treatment") label(2 "Control") label(1 "95% CI of the difference") order(2 3 1) position(7) r(1))  ///
                xscale(range(0 300000)) ///
                xlabel(0[50000]300000) ///
                yscale(range(0 100)) ///
                ylabel(0[20]100) ///
                ytitle(Share) ///
                xtitle(Cumulative distribution of savings stock) /// 
				graphregion(color(white)) bgcolor(white)
		graph export "$output/Figure_6.png", replace width(800)

		
		restore	
		
