****************************************************************************************
* ENDLINE : PRISE - Cote d'Ivoire                                            *
****************************************************************************************

* Description : this do-file presents the globals to mark the variables of the following output tables

/*
Table 2. Employment outcomes and independent activities
Table 3. Earnings and Profits
Table 4. Welfare indicators 
Table 5. Investments and productive assets 
Table 6. Savings 
Table 7. Local spillovers on earnings and profits  
Table 8. Local spillovers on employment and independent activities 
Table 9. Local spillovers on investments and productive assets
Table 10. Local spillovers on financial outcomes 
Table 11. Social outcomes 
Table A8. Direct impacts on agricultural outcomes 
Table A9. Credit  
Table A10. Impact on business practices and knowledge 
Table A15. Local spillovers on business practices and knowledge
Table A21. Local spillovers on social outcomes 
*/

global Table2 "A_Act A_AGR A_Any_Sal Nb_AGR H_Tot_99 H_Ind_99 H_Sal_99"

global Table3 "R_Mois_Tot_99	AGR_Profit_99  Sales_Farming_Indiv_99    Sales_Lvstck_Indiv_99 "

global Table4 "food_cs_score Nb_Asset_HHeqp_99 Education_99 z_Indice2_WB   "

global Table5 "Stt_Kpital_All_99 Assets_Act_99"

global Table6 "Has_Saved A_VSLA	A_ROSCA Tot_Savings_99 Tot_Savings_VSLA_99 Tot_Savings_ROSCA_99"

global Table7  "A_Act A_AGR A_Any_Sal Nb_AGR H_Tot_99 H_Ind_99 H_Sal_99 "

global Table8 "R_Mois_Tot_99 AGR_Profit_99"

global Table9 "Stt_Kpital_All_99 Assets_Act_99 "   

global Table10 "Has_Saved A_VSLA A_ROSCA Tot_Savings_99 Tot_Savings_VSLA_99 Tot_Savings_ROSCA_99 "

global Table11 "RA_nb SB3a_nhelp_99 SB4a_ngive_99 SA5b_partici_tr01 SA5b_partici_soc zs_T_tot_trust_index_M zs_RB_victimindex_M zs_RB_insecurityindex_M  "

** agricult in main sample
global TableA10 "Nb_AGR_NoFarm Nb_AGR_Farm AGR_Profit_NoFarm_99 AGR_Profit_Farm_99 Assets_Act_NoFarm_99 Assets_Act_Farm_99"

global TableA11 "Farming Livestock Nb_plots  Area_cultivated_99 Fertilizer_use  I_Cash_crop I_Food_crop Cash_Volume_Prod_99	Cash_Volume_Sold_99 Tot_Hours_Livst_7j Tot_Days_Agri_12mth_99 Livestock_index_99 Nb_Asset_Agric_99"

global TableA12 "Took_Credit_2yrs	A_Credit_Formal  A_Credit_SavingGroup A_Credit_Informal A_Credit_VSLA  Tot_Credit_2yrs_99	 Credit_Formal_99  Credit_VSLA_99 Credit_Informal_99"

global TableA13 "Main_Empl_Tot_99 Main_Paid_Employ_99 z_score_SEtest	zs_index_Buss_Prac_M AGR_market	AGR_bplan	AGR_Acc_Form AGR_Reg_Payment"




















** agricult in spillover sample
global TableA18 "Nb_AGR_NoFarm	Nb_AGR_Farm AGR_Profit_NoFarm_99 AGR_Profit_Farm_99 Assets_Act_NoFarm_99 Assets_Act_Farm_99"

global TableA19 "A_Credit_VSLA Credit_VSLA_99 "

global TableA20 "Main_Empl_Tot_99 zs_index_Buss_Prac_S AGR_market	AGR_bplan	AGR_Acc_Form AGR_Reg_Payment"

global TableA21 "RA_nb SB3a_nhelp_99 SB4a_ngive_99 SA5b_partici_tr01 SA5b_partici_soc zs_T_tot_trust_index_S   "





/*

The following globals are designed to use variables that produce tables on heterogeneous effects 

*Heterogeneous effects for main sample  
Table_HET is for tables A11, A12, A13, and A14 

*Heterogeneous effects for spillover sample
Table_HET_S is for tables A16, A18, A19, A20
 
*/

global Table_HET " A_AGR Nb_AGR	AGR_Profit_99 Stt_Kpital_All_99	Assets_Act_99 Tot_Savings_99" 

global Table_HET_S " RA_nb SB3a_nhelp_99 SB4a_ngive_99 zs_T_tot_trust_index_M"


*------------------------------------------------------
* This global lists all variables included in the comparison table between PRISE and ENSETE (Table A6)
global Table_comp_ENSETE	age ///
							gender ///
							urban ///
							hhmembers ///
							no_diploma ///
							employed ///
							self_empl ///
							self_empl_agr ///
							wage_empl ///
							own_lvstock ///
							asset_index ///
							asset_index_lvstock

*------------------------------------------------------
*  Summary vars to look at heterogeneity

	# delimit ;
global SUMMARY "

		Nb_Tot
		A_AGR	Nb_AGR	Nb_AGR_NoFarm	Nb_AGR_Farm
		H_Tot_99
		R_Mois_Tot_99
		AGR_Profit_99	AGR_Profit_NoFarm_99	AGR_Profit_Farm_99
		A_VSLA
		Tot_Savings_99
		Tot_Savings_VSLA_99
		Stt_Kpital_All_99
		RA_nb
		

		SB3a_nhelp_99
		SB4a_ngive_99
		SA5b_partici_tr01 
		T_tot_trust_index
		SC3_groupethnique
		
		RB_insecurityindex
 " ;
	
	# delimit cr
