
****** Table A9: Multiple Hypothesis Testing

global tables_lasso_p_values "Table3 Table4 Table5 Table6 Table7 Table8 Table9 Table10 Table11"

foreach table in Table2 $tables_lasso_p_values {  
clear	
svmat lasso_pvalues_`table', names(col) 
local names : rownames lasso_pvalues_`table'
gen names=""
forvalues i=1/`: word count `names'' {
replace names=`"`: word `i' of `names''"' in `i'
}
gen mht_family = " `table' "
tempfile lasso_pvalues_`table'
save `lasso_pvalues_`table''

}


use `lasso_pvalues_Table2', replace 
foreach table in $tables_lasso_p_values {  
append using `lasso_pvalues_`table''
}

drop T1_T2 T2_T3 T1_T3 T1_T2_T3

********
gen order = _n
order mht_family names
foreach var in pooled T_SEMI_M_common T_VSLA_M_common T_CASH_M_common {
sort mht_family
by mht_family: qqvalue `var', method(simes) qvalue(fdr_`var')		
}
sort order
drop order

********
*order variables 
foreach var in T_CASH_M_common T_VSLA_M_common T_SEMI_M_common pooled {	
order `var' fdr_`var' 
order mht_family names
}


*** Part 1 of the table 
preserve
drop mht_family names
keep in 1/17
mkmat *, matrix(fdr_table1)
restore

*** Part 2 of the table 
preserve
drop mht_family names
keep in 18/34
mkmat *, matrix(fdr_table2)
restore

*** Part 3 of the table 
preserve
drop mht_family names
keep in 34/48
mkmat *, matrix(fdr_table3)
restore



keep names pooled
gen x = _n
reshape wide pooled, i(x) j(names) string
drop x
rename pooled* *


foreach var of varlist _all {
	label var `var' ""
}

do "${dofile}/analysis/endline analysis/labels_mht_table.do"

ds *
foreach var in `r(varlist)' {
*sum `var'
local lab_`var' : variable label `var'
di "`lab_`var''"
}


   		     
		       


frmttable using "$output/TableA9_part1.tex", tex fragment replace			/// 
		statmat(fdr_table1) sdec(3) ///
		ctitles("","(1)", "(2)", "(3)", "(4)", "(5)", "(6)", "(7)", "(8) \\ \cmidrule(lr){2-9}" \ "& \multicolumn{2}{c}{Treatment}", "\multicolumn{2}{c}{\shortstack{VSLA (T1)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant with repayment (T2)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant (T3)}}\\ \cmidrule(lr){2-3} \cmidrule(lr){4-5} \cmidrule(lr){6-7} \cmidrule(lr){8-9}" , "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }") ///
		rtitles("\multicolumn{8}{l}{\textbf{Table 2: Employment and independent activities}}\\\\ `lab_A_Act'"\ ///
		"`lab_A_AGR'" \ ///
		"`lab_A_Any_Sal'"\ ///
		"`lab_Nb_AGR'"\ ///
		"`lab_H_Tot_99'"\ ///
		"`lab_H_Ind_99'"\ ///
		"`lab_H_Sal_99'" \ ///		
		"\\\\ \multicolumn{8}{l}{\textbf{Table 3: Earnings}}\\\\ `lab_R_Mois_Tot_99'"\ ///
		"`lab_AGR_Profit_99'" \ ///
		"`lab_Sales_Farming_Indiv_99'" \ ///
		"`lab_Sales_Lvstck_Indiv_99'" \ ///			
		"\\\\ \multicolumn{8}{l}{\textbf{Table 4: Welfare indicators}}\\\\ `lab_food_cs_score'"\ ///
		"`lab_Nb_Asset_HHeqp_99'" \ ///
		"`lab_Education_99'" \ ///
		"`lab_z_Indice2_WB'" \ ///
		"\\\\ \multicolumn{8}{l}{\textbf{Table 5: Investments and productive assets}}\\\\ `lab_Stt_Kpital_All_99'"\ ///
		"`lab_Assets_Act_99'" ) ///
		pretext("\footnotesize")
		
		
		
		
		
		
frmttable using "$output/TableA9_part2.tex", tex fragment replace			/// 
		statmat(fdr_table2) sdec(3) ///
		ctitles("","(1)", "(2)", "(3)", "(4)", "(5)", "(6)", "(7)", "(8) \\ \cmidrule(lr){2-9}" \ "& \multicolumn{2}{c}{Treatment}", "\multicolumn{2}{c}{\shortstack{VSLA (T1)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant with repayment (T2)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant (T3)}}\\ \cmidrule(lr){2-3} \cmidrule(lr){4-5} \cmidrule(lr){6-7} \cmidrule(lr){8-9}" , "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }") ///
		rtitles("\multicolumn{8}{l}{\textbf{Table 6:  Savings}}\\\\ `lab_Has_Saved'"\ ///
		"`lab_A_VSLA'" \ ///
		"`lab_A_ROSCA'" \ ///
		"`lab_Tot_Savings_99'" \ ///
		"`lab_Tot_Savings_VSLA_99'" \ ///
		"`lab_Tot_Savings_ROSCA_99'" \ ///
		"\\\\ \multicolumn{8}{l}{\textbf{Table 7:  Local spillovers on employment and independent activities}}\\\\ `lab_A_Act'"\ ///
		"`lab_A_AGR'" \ ///
		"`lab_A_Any_Sal'" \ ///
		"`lab_Nb_AGR'" \ ///
		"`lab_H_Tot_99'" \ ///
		"`lab_H_Ind_99'" \ ///		
		"`lab_H_Sal_99'" \ ///
		"\\\\ \multicolumn{8}{l}{\textbf{Table 8: Local spillovers on earnings}}\\\\ `lab_R_Mois_Tot_99'"\ ///
		"`lab_AGR_Profit_99'" \ ///
		"\\\\ \multicolumn{8}{l}{\textbf{Table 9: Local spillovers on investments and productive assets}}\\\\ `lab_Stt_Kpital_All_99'"\ ///
		"`lab_Assets_Act_99'" ) ///
		pretext("\footnotesize")		
		
		
frmttable using "$output/TableA9_part3.tex", tex fragment replace			/// 
		statmat(fdr_table3) sdec(3) ///
		ctitles("","(1)", "(2)", "(3)", "(4)", "(5)", "(6)", "(7)", "(8) \\ \cmidrule(lr){2-9}" \ "& \multicolumn{2}{c}{Treatment}", "\multicolumn{2}{c}{\shortstack{VSLA (T1)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant with repayment (T2)}}" , "\multicolumn{2}{c}{\shortstack{Cash Grant (T3)}}\\ \cmidrule(lr){2-3} \cmidrule(lr){4-5} \cmidrule(lr){6-7} \cmidrule(lr){8-9}" , "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }", "\shortstack{ Actual p-value }", "\shortstack{  FDR  }") ///
		rtitles("\multicolumn{8}{l}{\textbf{Table 10: Local spillovers on savings}}\\\\ `lab_Has_Saved'"\ ///
		"`lab_A_VSLA'" \ ///
		"`lab_A_ROSCA'" \ ///
		"`lab_Tot_Savings_99'" \ ///
		"`lab_Tot_Savings_VSLA_99'" \ ///
		"`lab_Tot_Savings_ROSCA_99'" \ ///
		"\\\\ \multicolumn{8}{l}{\textbf{Table 11: Social outcomes}}\\\\ `lab_RA_nb'"\ ///
		"`lab_SB3a_nhelp_99'" \ ///
		"`lab_SB4a_ngive_99'" \ ///
		"`lab_SA5b_partici_tr01'" \ ///
		"`lab_SA5b_partici_soc'" \ ///
		"`lab_zs_T_tot_trust_index_M'" \ ///
		"`lab_zs_RB_victimindex_M'" \ ///
		"`lab_zs_RB_insecurityindex_M'") ///
		pretext("\footnotesize")
		
		