****************************************************************************************
* ENDLINE : PRISE - Cote d'Ivoire                                            *
****************************************************************************************

/* 
Description: This do-file creates locals that set the order of outputs by assigning table 
numbers to the globals that contain the lists of outcomes

*Note: The figures and the following tables are numbered directly in the code that builds the output
*/ 


*Locals for direct beneficiaries - not looking at heterogeneous results 
if ${direct_ben}==1 & ${het}==0{
    
	if "`GROUP'"=="Table2" local tableno "2"
	if "`GROUP'"=="Table3" local tableno "3"
	if "`GROUP'"=="Table4" local tableno "4" 
	if "`GROUP'"=="Table5" local tableno "5"
	if "`GROUP'"=="Table6" local tableno "6"
	if "`GROUP'"=="Table11" local tableno "11" 
	
	if "`GROUP'"=="TableA10" local tableno "A10"
	if "`GROUP'"=="TableA11" local tableno "A11"
	if "`GROUP'"=="TableA12" local tableno "A12"
	if "`GROUP'"=="TableA13" local tableno "A13"
	
}

*Locals for direct beneficiaries - looking at heterogeneous results 
if ${direct_ben}==1 & ${het}==1{

	* Economic outcomes
	
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET" local tableno "A14" 
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET" local labelhet "(Youth=1)" 
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET" local hetctr "(Youth=0)"  
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET" local hetsht "`labelhet'" 

	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET" local tableno "A15" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET" local labelhet "(Native Group=1)" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET" local hetctr "(Native Gp.=0)" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET" local hetsht "(Native Gp.=1)" 

	if "`HET'"=="gender" & "`GROUP'"=="Table_HET" local tableno "A16" 
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET" local labelhet "(Female=1)"  
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET" local hetctr "(Female=0)" 
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET" local hetsht "`labelhet'" 

	if "`HET'"=="village" & "`GROUP'"=="Table_HET" local tableno "A17" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET" local labelhet "(Village=1)" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET" local hetctr "(Village=0)" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET" local hetsht "`labelhet'" 

	* Social outcomes
	
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET_S" local tableno "A22" 
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET_S" local labelhet "(Youth=1)" 
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET_S" local hetctr "(Youth=0)" 
	if "`HET'"=="youth" & "`GROUP'"=="Table_HET_S" local hetsht "`labelhet'"  
	
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET_S" local tableno "A23" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET_S" local labelhet "(Native Group=1)" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET_S" local hetctr "(Native Gp.=0)" 
	if "`HET'"=="autoch" & "`GROUP'"=="Table_HET_S" local hetsht "(Native Gp.=1)" 

	if "`HET'"=="gender" & "`GROUP'"=="Table_HET_S" local tableno "A24" 
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET_S" local labelhet "(Female=1)" 
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET_S" local hetctr "(Female=0)" 
	if "`HET'"=="gender" & "`GROUP'"=="Table_HET_S" local hetsht "`labelhet'" 

*	if "`HET'"=="frag_1" & "`GROUP'"=="Table_HET_S" local tableno "A22" 
*	if "`HET'"=="frag_1" & "`GROUP'"=="Table_HET_S" local labelhet "(Ethnic Diversity==1)" 
*	if "`HET'"=="frag_1" & "`GROUP'"=="Table_HET_S" local hetctr "(Ethnic Diversity==0)" 
*	if "`HET'"=="frag_1" & "`GROUP'"=="Table_HET_S" local hetsht "`labelhet'" 

	if "`HET'"=="village" & "`GROUP'"=="Table_HET_S" local tableno "A25" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET_S" local labelhet "(Village=1)" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET_S" local hetctr "(Village=0)" 
	if "`HET'"=="village" & "`GROUP'"=="Table_HET_S" local hetsht "`labelhet'" 

}

*Locals for no direct beneficiaries
if ${direct_ben}==0 {
	if "`GROUP'"=="Table7" local tableno 7  
	if "`GROUP'"=="Table8" local tableno 8 
	if "`GROUP'"=="Table9" local tableno 9 
	if "`GROUP'"=="Table10" local tableno 10 
	if "`GROUP'"=="TableA18" local tableno A18
 	if "`GROUP'"=="TableA19" local tableno A19
	if "`GROUP'"=="TableA20" local tableno A20
	if "`GROUP'"=="TableA21" local tableno A21 

}


