*********************************************************
* This do-file labels variables in English for the balance tables 
* Author: Horacio Vera Cossio hveracossio@worldbank.org
*********************************************************

if ${base}==1{
label var 	village "Type of locality ($ 1 =$ village)"
label var 	milieu "Rural Area"
label var 	a1 "Female"
label var 	age20_01_16 "Age"
label var 	youth "Youth ($ <$ 35 years-old)"
label var 	a17 "Single mother"
label var 	a18 "Out of school or out of school in primary school"
label var 	handicap "Disabled"
label var	autoch "Native ethnic group"
label var	a3_2 "Married"
label var	a3_3 "Lives with a partner (but not married)"
label var	a3_5 "Widowed"
label var	a4a "Nb of children"
label var	a5 "Has been to school"
label var	a7_1 "No diploma"
label var	a16_1 "Head of the Household"
label var	a16_2 "Spouse of the head of the household"
label var	b4 "Nb of other household members"
label var	b2a "Nb of livestock"
label var	b2b "Nb of poultry"
label var	b1_agri "Nb of agricultural tools"
label var	travail "Has an activity (last 7 days)"
label var	c1 "Has worked in an agricultural activity (last 6 months)"
label var	dc1 "Has a non-ag business"
label var	db4_indep "Main activity is non-ag self-empl."
label var	db4_7 "Main activity is agricultural self-empl."
label var	db4_1 "Main activity is wage work"
label var	rev_99 "Total income (main activity, last month)" 
label var	dc3_c_1 "Has saved (last 3 months)"
label var	e2 "Amount saved (last 3 months)"
label var	e1 "Does not do accounting"
label var	dc3_c_2 "Does accounting by memory"
label var	e5 "Has a mobile money account"
label var	e6 "Has a bank account"
label var	e7 "Has participated in a Tontine (ROSCA)"
label var	e8a "Has debt"
label var	f2a_3 "Reports constraints for education expenditures"
label var	f2b_3 "Reports constraints for health expenditures"
}

else{ 
	
	* Labor market outcomes
	label var	A_Act "\makecell{Employment \\ (Has an \\ activity of \\ any type)}" 
	label var	A_AGR "\makecell{Self \\ employed \\ (at least \\ 1 activity)}"
	label var	A_Any_Sal "\makecell{Wage \\ employed \\      (at least \\ 1 activity)}" 
	label var	Nb_AGR	"\makecell{\# Independent \\ Activities}"
	label var	Nb_AGR_NoFarm "\makecell{\# Non-Ag. \\ Independent  \\ Activities}"	 
	label var	Nb_AGR_Farm "\makecell{\# Agricultural \\ Independent  \\  Activities}"
	label var   Nb_Group_AGR "\makecell{\# Independent \\ activities \\ jointly \\ owned}"
	label var	H_Tot_99  "\makecell{Total \\ hours\\ worked \\ (last 7 \\ days)}"
	label var	H_Sal_99 "\makecell{Hours \\worked in\\ wage \\ employment}"
	label var	H_Ind_99 "\makecell{Hours \\ worked in \\ self \\ employment}"
	label var	H_Ag_99  "\makecell{Hours \\worked in\\ independent   \\ag.  activities}"
	label var	Tot_Hours_Livst_7j "\makecell{Hours for \\ livestock}"
	label var	Tot_Days_Agri_12mth_99 "\makecell{Total \# days \\ worked in  \\ agriculture \\ (last 12 \\ mths)}"
	
	* Impacts on earnings and profits
	label var 	R_Mois_Tot_99 "\makecell{Earnings from \\ Wage Employment \\  (monthly) }"
	label var 	AGR_Profit_99 "\makecell{Earnings from \\Self Employment  \\ (Profits, monthly) }"
	label var 	AGR_Profit_NoFarm_99 "\makecell{Earnings from \\Self Employment : \\  Non Ag. Activities \\ qqq }"
	label var 	AGR_Profit_Farm_99 "\makecell{Earnings from \\Self Employment :  \\ Ag. Activities \\ qqq }" 
	label var 	Sales_Farming_Indiv_99 "\makecell{Revenues from \\ farming  \\ activities \\(last 12 mths) }" 
	label var 	Sales_Lvstck_Indiv_99 "\makecell{Revenues from \\   livestock \\ activities \\ (last 12 mths) }"
	* Impacts on welfare indicators
	label var	Nb_Asset_HHeqp_99  "\makecell{\# household \\ durable goods \\ owned}"
	label var  	Nb_Asset_Transport_99 "\makecell{\# assets owned : \\transportation  \\ equipment}"
	label var	food_cs_score "\makecell{Food \\ Consumption \\ Score \\ (food security)}" 
	label var	Education_99 "\makecell{Education \\ expenditures}" 
	label var	z_Indice2_WB "\makecell{Psycological \\ Well Being \\ index \\ (z-score)}"  
	* Impacts on business outcomes
	label var	Stt_Kpital_All_99	"\makecell{Total start-up \\ capital  \\ (all activities)}"
	label var	Assets_Act_99  "\makecell{Value of \\productive assets\\(all activities)}"
	label var	Assets_Act_NoFarm_99  "\makecell{Value of \\ non agricultural \\productive assets\\(all activities)}"
	label var	Assets_Act_Farm_99 "\makecell{Value of \\ agricultural \\productive assets\\(all activities)}"
	label var	Main_AGR_Invest_99 "\makecell{Investments in \\ \textit{main} activity   \\      (last 6 mths)}"
	label var	Empl_Tot_99  "\makecell{\# individuals\\working in\\idpdt \\ activities\\(all types)\\mmm }"
	label var	Empl_Tot_NoFarm_99 "\makecell{\# individuals \\ working in  \\ idpdt \\ nonag \\ mmm }"
	label var	Empl_Tot_Farm_99 "\makecell{\# individuals \\ working in  \\ idpdt  \\ agact \\ mmm }" 
	
    label var	Main_Empl_Tot_99 "\makecell{\# employees\\(main activity)}"
	label var	Main_Paid_Employ_99 "\makecell{\# paid employees\\main\\activity}" 

	
	
	label var	Livestock_index_99 "\makecell{Livestock \\ Index \\ (TLU)}" 
	label var	Nb_Asset_Agric_99 "\makecell{\# assets owned :\\ agricultural \\  equipment}"
	* Impacts on savings
	label var	Has_Saved "\makecell{Has Saved \\(last 2 yrs)}"
	label var	Has_Saved_Formal "\makecell{Has Saved :\\ formal \\ savings}"
	label var	Has_Saved_Informal "\makecell{Has Saved :\\ oth. informal \\  savings}"
	label var	Has_Svgs_Group_12m "\makecell{Has Saved: \\ any saving\\ group  \\ (last 12 mths)}"
	label var	A_VSLA	"\makecell{Participate \\in a VSLA \\ (currently)}"
	label var	A_ROSCA "\makecell{Participate \\in a ROSCA \\ (currently)}"
	label var	Tot_Savings_99	"\makecell{Savings \\ stock \\ (Total)}"
	label var	Savings_Formal_99 "\makecell{Savings \\ stock: \\ formal \\ savings}"
	label var	Tot_Savings_VSLA_99 "\makecell{Savings \\ stock: \\ VSLA}"
	label var	Tot_Savings_ROSCA_99 "\makecell{Savings \\ stock: \\ ROSCA}"
	label var	Savings_Informal_99 "\makecell{Savings\\stock :\\oth. informal \\ savings}"
	* Impacts on credit
	label var 	Took_Credit_2yrs "\makecell{Has taken \\ a credit \\ (last 2 yrs)}"	
	label var	A_Credit_Formal "\makecell{Has taken \\a credit from \\ formal sources\\ (last 2 yrs)}" 
	label var	A_Credit_SavingGroup "\makecell{Has taken \\a credit from \\a savings group\\ (last 2 yrs)}"
	label var	A_Credit_Informal "\makecell{Has taken \\ a credit from \\othinfsour}"
	label var	A_Credit_VSLA "\makecell{Has taken \\a credit from \\a  VSLA}"  
	label var	Tot_Credit_2yrs_99 "\makecell{Credits taken \\(all)\\ (cumulative, \\last 2 yrs)}"
	label var	Credit_Formal_99 "\makecell{Credits taken\\ from formal \\  sources}" 
	label var	Credit_VSLA_99 "\makecell{Credits taken\\ from VSLA}"
	label var	Credit_Informal_99 "\makecell{Credits taken\\ from oth.\\ informal sources}"
	* Impacts on social outcomes
	label var	RA_nb "\makecell{Participation to \\ groups or associations\\ (\# groups)}"
	label var	SB3a_nhelp_99 "\makecell{\# times received \\ finsup1 \\(last 12 mths)}"
	label var	SB4a_ngive_99 "\makecell{\# times provided \\ financial support \\ (last 12 mths)}"
	label var	SA5b_partici_tr01 "\makecell{Participation in \\ community works \\ (\# times in \\last 12 mths)}"
	label var	SA5b_partici_soc "\makecell{Participation in \\social activities \\ (\# times in \\last 12 mths)}" 
	label var	zs_T_tot_trust_index_M "\makecell{Trust\\ Index\\ (z-score)}"
	label var	zs_RB_victimindex_M "\makecell{Victimization \\(conflict) \\Index \\ (z-score)}"
	label var	zs_RB_insecurityindex_M "\makecell{Insecurity \\(perception) \\Index \\ (z-score)}"
	label var	zs_T_tot_trust_index_S "\makecell{Trust\\ Index\\ (z-score)}"
	
	* Impacts on agricultural outcomes
	label var 	Farming "\makecell{Is engaged \\in farming}"
	label var 	Livestock "\makecell{Is engaged in\\ livestock}"
	label var	Nb_plots "\makecell{Nb of plots}"
	label var	Area_cultivated_99 "\makecell{Area\\cultivated\\(ha)}"
	label var	Fertilizer_use "\makecell{Used fertilizer\\ (all types)}"
	label var	I_Cash_crop "\makecell{Has cultivated\\ cash crops}"
	label var	I_Food_crop "\makecell{Has cultivated\\ food crops }"
	label var	Cash_Volume_Prod_99	"\makecell{Production \\(cash crops)\\ (kg) }"
	label var	Cash_Volume_Sold_99 "\makecell{Sales \\(cash crops)\\ (kg) }"
	* Business practices and knowledge
	label var	z_score_SEtest	"\makecell{Entrepreneurship\\knowledge\\(quiz)\\ (z-score)}"
	label var	zs_index_Buss_Prac_M "\makecell{Index of \\business  practices \\   (z-score)}"
	label var	AGR_market	"\makecell{Has done a \\market \\assessment}"
	label var	AGR_bplan "\makecell{Has developed\\ a business plan}"	
	label var	AGR_Acc_Form "\makecell{Uses formal\\ book-keeping}"
	label var	AGR_Reg_Payment "\makecell{Separate\\ regular \\payments \\to  self}"
	label var	zs_index_Buss_Prac_S	"\makecell{Index of \\business  practices \\   (z-score)}"

	
}
