
set more off
	
/*

Code to produce: 

Heterogeneous impacts on main economic outcomes:
TableA14 
TableA15 
TableA16 
TableA17 


Heterogeneous impacts on main social outcomes:
TableA22 
TableA23 
TableA24 
TableA25 

*/	

	
	
	
	
	****************** ESTIMATION 
	****************** ESTIMATION 
	****************** ESTIMATION 
		

foreach HET  in  gender  youth autoch frag_1  village {  
	

	
	foreach var in treat_common_main  T_VSLA_M_common T_SEMI_M_common T_CASH_M_common {
		local name = substr("`var'", 1, 8) 
		gen `name'x`HET'= `var'*`HET'
	}
	 
	foreach GROUP  in 	Table_HET  Table_HET_S { 
	local vargroup " $`GROUP'  "   
	
	local tableno ""
	include "${dofile}/analysis/endline analysis/correspondence_tables_no.do" 
	
	foreach mat in Q U R V {
		matrix `mat' = [ . , . ] 
	}
	
	foreach mat in  T W X Y {
		matrix `mat' = [ ., . , ., .] 
	}


			
		foreach var of varlist `vargroup'   {


			tabstat `var' if `HET'==0 & attrit_i_e==0 [weight= sampling_w_main], by( treat_common_main ) s(mean) notot save
			tabstatmat F
			matrix Q= [ Q \ F'  ] 

			tabstat `var' if `HET'==1 & attrit_i_e==0 [weight= sampling_w_main], by( treat_common_main ) s(mean) notot save
			tabstatmat G
			matrix U= [ U \ G'  ] 
			
			mat R = [ . ] 
			mat V = [ . ] 
			
			foreach var_treat of varlist  T_VSLA_M_common T_SEMI_M_common T_CASH_M_common {
				tabstat `var' if `HET'==0 & attrit_i_e==0 [weight= sampling_w_main], by( `var_treat' ) s(mean) notot save
				tabstatmat S
				matrix R= [ R , S'  ] 
				
				
				tabstat `var' if `HET'==1 & attrit_i_e==0 [weight= sampling_w_main], by( `var_treat' ) s(mean) notot save
				tabstatmat P
				matrix V= [ V , P'  ] 
							
				
			}


			matrix T= [ T \  F[1,1], R[1,2], R[1,4], R[1,6]  ] // Male, control
			matrix W= [ W \  G[1,1], V[1,2], V[1,4], V[1,6] ] // Female, control
			
			matrix X= [ X \  F[2,1], R[1,3], R[1,5], R[1,7]  ] // Male, treatment
			matrix Y= [ Y \  G[2,1], V[1,3], V[1,5], V[1,7] ] // Female, treatment
		
			mat drop R	
			mat drop V
			
			
		}
		
		
		
		foreach matrix in T W { 
			matdelrc `matrix', r(1)
			matrix colname `matrix' = Control_All Control_VSLA Control_SEMI  Control_CASH 
		}
		
		foreach matrix in X Y { 
			matdelrc `matrix', r(1)
			matrix colname `matrix' = Treat_All Treat_VSLA Treat_SEMI  Treat_CASH 
		}
		
		foreach matrix in Q U { 
			matdelrc `matrix', r(1)
		}
		
		matrix colname Q = C_`HET'_0 T_`HET'_0 
		matrix colname U = C_`HET'_1 T_`HET'_1  

		

		
	matrix A = [ . , . ]
	matrix B = [ . , . , ., . , .,. , .,. ,. ,.]
	matrix C = [ . , . ]
	matrix D = [ . , . , ., . , .,. , .,. ,. ,.]
	
	local spec6 " " 
	local spec7 " " 
	local spec8 " " 
	local spec9 " " 
	
	
	local var_list " " 

	foreach var of varlist `vargroup'   {

		local var_list " `var_list' `var' " 

dsregress `var' treat_common_main treat_cox`HET' `HET', controls((strata_loc grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster)
reg `var' treat_common_main treat_cox`HET' `HET' `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust
		
*		reg `var' treat_common_main treat_cox`HET' `HET' strata_loc grappe* [pweight= sampling_w_main], cluster(cluster) robust
		
		local r1=_b[treat_common_main]
		local r2=_b[treat_cox`HET'] 
		local r3=`r1'+`r2'
		
		test treat_common_main + treat_cox`HET' = 0
		local r4 = `r(p)' 

		sum `var' if `HET'==0 & attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c = round(r(mean)*100,.1) 
		else estadd scalar mean_c = r(mean) 
		estadd scalar effect_h = `r3'
		estadd scalar effect_h_p = `r4'
		
		estimates store r6`var' 
		local spec6 " `spec6' r6`var' " 
		
		matrix A = [ A   \  `r3' , `r4' ] 


dsregress `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET', controls((strata_loc grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster)
reg `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET' `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust

*		reg `var'  T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET' strata_loc grappe* [pweight= sampling_w_main], cluster(cluster) robust
		
		local r1=_b[T_SEMI_M_common]
		local r2=_b[T_SEMI_Mx`HET'] 
		local r3=`r1'+`r2'
		test T_SEMI_M_common  + T_SEMI_Mx`HET' == 0 
		local r4 = `r(p)' 

		
		local r5=_b[T_VSLA_M_common]
		local r6=_b[T_VSLA_Mx`HET'] 
		local r7=`r6'+`r5'
		test T_VSLA_M_common + T_VSLA_Mx`HET'== 0 
		local r8 = `r(p)' 
		
		local r9=_b[T_CASH_M_common]
		local r10=_b[T_CASH_Mx`HET'] 
		local r11=`r9'+`r10'
		test T_CASH_M_common + T_CASH_Mx`HET'   == 0
		local r12 = `r(p)' 		
		
		test T_SEMI_M_common  + T_SEMI_Mx`HET' == T_VSLA_M_common  + T_VSLA_Mx`HET'
		local r13 = `r(p)' 
		test T_SEMI_M_common + T_SEMI_Mx`HET' == T_CASH_M_common + T_CASH_Mx`HET'
		local r14 = `r(p)' 
		test T_VSLA_M_common + T_VSLA_Mx`HET'== T_CASH_M_common + T_CASH_Mx`HET'
		local r15 = `r(p)' 
		test T_SEMI_M_common + T_SEMI_Mx`HET' == T_VSLA_M_common + T_VSLA_Mx`HET' == T_CASH_M_common + T_CASH_Mx`HET'
		local r16 = `r(p)' 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_pooled = round(r(mean)*100,.1) 
		else estadd scalar mean_c_pooled = r(mean) 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & T_VSLA_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_VSLA = round(r(mean)*100,.1) 
		else estadd scalar mean_c_VSLA = r(mean) 

		sum `var' if `HET'==0 & attrit_i_e==0 & T_SEMI_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_SEMI = round(r(mean)*100,.1) 
		else estadd scalar mean_c_SEMI = r(mean) 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & T_CASH_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_CASH = round(r(mean)*100,.1) 
		else estadd scalar mean_c_CASH = r(mean) 
		
		
		estadd scalar effect_VSLA = `r7'
		estadd scalar effect_VSLA_p = `r8'
		estadd scalar effect_SEMI = `r3'
		estadd scalar effect_SEMI_p = `r4'
		estadd scalar effect_CASH = `r11'
		estadd scalar effect_CASH_p = `r12'

		estadd scalar t1_eq_t2 = `r13'
		estadd scalar t2_eq_t3 = `r14'
		estadd scalar t1_eq_t3 = `r15'
		estadd scalar all_eq = `r16'
		
		
		estimates store r7`var' 
		local spec7 " `spec7' r7`var' " 
		
		matrix B = [ B   \   `r7' , `r8' ,  `r3' , `r4' ,`r11' , `r12' , `r13' , `r14' , `r15' , `r16'  ] 
		
/*The following regressions are for village only*/

dsregress `var' treat_common_main treat_cox`HET' `HET', controls((grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster)
reg `var' treat_common_main treat_cox`HET' `HET' `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust


*		reg `var' treat_common_main treat_cox`HET' `HET'  grappe* [pweight= sampling_w_main], cluster(cluster) robust

		local r31=_b[treat_common_main]
		local r32=_b[treat_cox`HET'] 
		local r33=`r31'+`r32'
		
		test treat_common_main + treat_cox`HET' = 0
		local r34 = `r(p)' 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c = round(r(mean)*100,.1) 
		else estadd scalar mean_c = r(mean) 
		estadd scalar effect_h = `r33'
		estadd scalar effect_h_p = `r34'

		estimates store r8`var' 
		local spec8 " `spec8' r8`var' " 
		
		matrix C = [ C   \  `r33' , `r34' ] 


dsregress `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET', controls((grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster)
reg `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET' `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust



*		reg `var'  T_VSLA_M_common T_SEMI_M_common T_CASH_M_common T_VSLA_Mx`HET' T_SEMI_Mx`HET'  T_CASH_Mx`HET' `HET'  grappe* [pweight= sampling_w_main], cluster(cluster) robust
		
		local r41=_b[T_SEMI_M_common]
		local r42=_b[T_SEMI_Mx`HET'] 
		local r43=`r41'+`r42'
		test T_SEMI_M_common  + T_SEMI_Mx`HET' == 0 
		local r44 = `r(p)' 

		
		local r45=_b[T_VSLA_M_common]
		local r46=_b[T_VSLA_Mx`HET'] 
		local r47=`r46'+`r45'
		test T_VSLA_M_common + T_VSLA_Mx`HET'== 0 
		local r48 = `r(p)' 
		
		local r49=_b[T_CASH_M_common]
		local r50=_b[T_CASH_Mx`HET'] 
		local r51=`r49'+`r50'
		test T_CASH_M_common + T_CASH_Mx`HET'   == 0
		local r52 = `r(p)' 		
		
		test T_SEMI_M_common  + T_SEMI_Mx`HET' == T_VSLA_M_common  + T_VSLA_Mx`HET'
		local r53 = `r(p)' 
		test T_SEMI_M_common + T_SEMI_Mx`HET' == T_CASH_M_common + T_CASH_Mx`HET'
		local r54 = `r(p)' 
		test T_VSLA_M_common + T_VSLA_Mx`HET'== T_CASH_M_common + T_CASH_Mx`HET'
		local r55 = `r(p)' 
		test T_SEMI_M_common + T_SEMI_Mx`HET' == T_VSLA_M_common + T_VSLA_Mx`HET' == T_CASH_M_common + T_CASH_Mx`HET'
		local r56 = `r(p)' 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_pooled = round(r(mean)*100,.1) 
		else estadd scalar mean_c_pooled = r(mean) 

		sum `var' if `HET'==0 & attrit_i_e==0 & T_VSLA_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_VSLA = round(r(mean)*100,.1) 
		else estadd scalar mean_c_VSLA = r(mean) 
		 
		sum `var' if `HET'==0 & attrit_i_e==0 & T_SEMI_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_SEMI = round(r(mean)*100,.1) 
		else estadd scalar mean_c_SEMI = r(mean) 
		
		sum `var' if `HET'==0 & attrit_i_e==0 & T_CASH_M_common==0 [weight= sampling_w_main] 
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c_CASH = round(r(mean)*100,.1) 
		else estadd scalar mean_c_CASH = r(mean) 
		
		
		estadd scalar effect_VSLA = `r47'
		estadd scalar effect_VSLA_p = `r48'
		estadd scalar effect_SEMI = `r43'
		estadd scalar effect_SEMI_p = `r44'
		estadd scalar effect_CASH = `r51'
		estadd scalar effect_CASH_p = `r52'

		estadd scalar t1_eq_t2 = `r53'
		estadd scalar t2_eq_t3 = `r54'
		estadd scalar t1_eq_t3 = `r55'
		estadd scalar all_eq = `r56'		
		
		estimates store r9`var' 
		local spec9 " `spec9' r9`var' " 

		matrix D = [ D   \   `r47' , `r48' ,  `r43' , `r44' ,`r51' , `r52' , `r53' , `r54' , `r55' , `r56'  ] 
		
		}

	foreach mat in A B C D { 
		matdelrc `mat', r(1)
	} 


	
	

	matrix VV= [ Q[1...,1] , A ]' 
	matrix WW = [ T[1...,2...] , B ]' 
	matrix VVV= [ Q[1...,1] , C ]' 
	matrix WWW = [ T[1...,2...] , D ]' 	
	

	
	
	
	
	

 	mat rowname VV = Control_Com_H_0 Total_treat_H_1 pval_total_treat 
	mat colname VV = `var_list'
 	mat rowname WW =   Control_VSLA_H_0 Control_SEMI_H_0  Control_CASH_H_0  Tot_T_VSLA_H_1 pval_tot_treat Tot_T_SEMI_H_1 pval_tot_treat Tot_T_CASH_H_1 pval_tot_treat Pval_1_2 Pval_2_3 Pval_1_3    Pval_Tot_Treat_Joint
 	mat colname WW = `var_list'
	
 	mat rowname VVV = Control_Com_H_0 Total_treat_H_1 pval_total_treat 
	mat colname VVV = `var_list'
 	mat rowname WWW =   Control_VSLA_H_0 Control_SEMI_H_0  Control_CASH_H_0  Tot_T_VSLA_H_1 pval_tot_treat Tot_T_SEMI_H_1 pval_tot_treat Tot_T_CASH_H_1 pval_tot_treat Pval_1_2 Pval_2_3 Pval_1_3    Pval_Tot_Treat_Joint
 	mat colname WWW = `var_list'



	if "`tableno'"!=""{
		
		local coln: word count `spec6' 
		local multi = `coln' + 1 

		esttab `spec6' 	using "$output/Table_`tableno'.tex", keep(treat_common_main treat_cox`HET' `HET') cells(b(star fmt(2)) se(par fmt(2)) ) ///
					indicate("PDS Lasso selected controls = strata_loc" "\makecell[l]{Department X (Urban/Rural)} = grappe*") ///
						varlabels(treat_common_main "Treatment (ITT)" treat_cox`HET' "Treatment X `labelhet'" `HET' "`labelhet'") ///
						stats(mean_c effect_h effect_h_p N, fmt(2 2 2 %8.0fc) labels("Mean in Control `hetctr'" "Total Treatment Effect `hetsht'" "pzxzvalue Total Treatment Effect `hetsht'" "Observations")) ///
						prehead(\begin{tabular}{l*{`coln'}{c}}  \toprule ) ///
						posthead(\midrule \multicolumn{`multi'}{l}{Panel A. Pooled Estimates} \\ \midrule) ///
						collabels(none) ///
						label se booktabs fragment nonotes ///
						substitute("zxz" "-" "qqq" "(Profits, monthly)" "finsup1" "financial support" "finsup2" "financially supported") ///
						starlevels(* .1 ** .05 *** .01) replace 
											
		esttab `spec7' 	using "$output/Table_`tableno'.tex", cells(b(star fmt(2)) se(par fmt(2)) ) /// 
						keep(	T_VSLA_M_common /// 
								T_SEMI_M_common ///
								T_CASH_M_common ///
								T_VSLA_Mx`HET' ///
								T_SEMI_Mx`HET' ///
								T_CASH_Mx`HET' ///
								`HET') ///
					indicate("PDS Lasso selected controls = strata_loc" "\makecell[l]{Department X (Urban/Rural)} = grappe*") ///
						varlabels(	T_VSLA_M_common "VSLA (T1) (ITT)"  ///
									T_SEMI_M_common "Cash Grant with repayment (T2) (ITT)" ///
									T_CASH_M_common "Cash Grant (T3) (ITT)" ///
									T_VSLA_Mx`HET' "VSLA (T1) x `labelhet'" ///
									T_SEMI_Mx`HET' "Cash Grant with repayment (T2) x `labelhet'"  ///
									T_CASH_Mx`HET' "Cash Grant (T3) x `labelhet'" ///
									`HET' "`labelhet'") /// 
						stats(	mean_c_VSLA mean_c_SEMI mean_c_CASH /// 
								effect_VSLA effect_VSLA_p /// 
								effect_SEMI effect_SEMI_p /// 
								effect_CASH effect_CASH_p ///
								t1_eq_t2 t2_eq_t3 t1_eq_t3 all_eq N, ///
									fmt(2 2 2 2 2 2 2 2 2 2 2 2 2 %8.0fc) ///
									labels(	"Mean in T1 Control `hetctr'" ///
											"Mean in T2 Control `hetctr'" ///
											"Mean in T3 Control `hetctr'" ///
											"\midrule Total Effect T1 `hetsht'" ///
											"pzxzvalue Total Effect T1 `hetsht'" ///
											"Total Effect T2 `hetsht'" ///
											"pzxzvalue Total Effect T2 `hetsht'" ///
											"Total Effect T3 `hetsht'" ///
											"pzxzvalue Total Effect T3 `hetsht'" ///
											"\midrule pzxzvalue T1=T2" /// 
											"pzxzvalue T2=T3" /// 
											"pzxzvalue T1=T3" ///
											"pzxzvalue T1=T2=T3" /// 
											"Observations")) ///
						prehead(\midrule \multicolumn{`multi'}{l}{Panel B. Treatment Arm Estimates} \\  ) ///
						postfoot(\bottomrule \end{tabular}) ///
						collabels(none) ///
						nomtitle ///
						nonumber ///
						label se booktabs fragment nonotes ///
						substitute("zxz" "-") ///
						starlevels(* .1 ** .05 *** .01) append 	
				
		if `HET'==village { 

		local coln: word count `spec8' 
		local multi = `coln' + 1 

		esttab `spec8' 	using "$output/Table_`tableno'.tex", keep(treat_common_main treat_cox`HET' `HET') cells(b(star fmt(2)) se(par fmt(2)) ) ///
					indicate("PDS Lasso selected controls = grappe_v_1" "\makecell[l]{Department X (Urban/Rural)} = grappe_v_2") ///
						varlabels(treat_common_main "Treatment (ITT)" treat_cox`HET' "Treatment X `labelhet'" `HET' "`labelhet'") ///
						stats(mean_c effect_h effect_h_p N, fmt(2 2 2 %8.0fc) labels("Mean in Control `hetctr'" "Total Treatment Effect `hetsht'" "pzxzvalue Total Treatment Effect `hetsht'" "Observations")) ///
						prehead(\begin{tabular}{l*{`coln'}{c}}  \toprule ) ///
						posthead(\midrule \multicolumn{`multi'}{l}{Panel A. Pooled Estimates} \\ \midrule) ///
						collabels(none) ///
						label se booktabs fragment nonotes ///
						substitute("zxz" "-" "qqq" "(Profits, monthly)" "finsup1" "financial support" "finsup2" "financially supported") ///
						starlevels(* .1 ** .05 *** .01) replace 
						
		esttab `spec9' 	using "$output/Table_`tableno'.tex", cells(b(star fmt(2)) se(par fmt(2)) ) /// 
						keep(	T_VSLA_M_common /// 
								T_SEMI_M_common ///
								T_CASH_M_common ///
								T_VSLA_Mx`HET' ///
								T_SEMI_Mx`HET' ///
								T_CASH_Mx`HET' ///
								`HET') ///
					indicate("PDS Lasso selected controls = grappe_v_1" "\makecell[l]{Department X (Urban/Rural)} = grappe_v_2") ///
						varlabels(	T_VSLA_M_common "VSLA (T1) (ITT)"  ///
									T_SEMI_M_common "Cash Grant with repayment (T2) (ITT)" ///
									T_CASH_M_common "Cash Grant (T3) (ITT)" ///
									T_VSLA_Mx`HET' "VSLA (T1) x `labelhet'" ///
									T_SEMI_Mx`HET' "Cash Grant with repayment (T2) x `labelhet'"  ///
									T_CASH_Mx`HET' "Cash Grant (T3) x `labelhet'" ///
									`HET' "`labelhet'") /// 
						stats(	mean_c_VSLA mean_c_SEMI mean_c_CASH /// 
								effect_VSLA effect_VSLA_p /// 
								effect_SEMI effect_SEMI_p /// 
								effect_CASH effect_CASH_p ///
								t1_eq_t2 t2_eq_t3 t1_eq_t3 all_eq N, ///
									fmt(2 2 2 2 2 2 2 2 2 2 2 2 2 %8.0fc) ///
									labels(	"Mean in T1 Control `hetctr'" ///
											"Mean in T2 Control `hetctr'" ///
											"Mean in T3 Control `hetctr'" ///
											"\midrule Total Effect T1 `hetsht'" ///
											"pzxzvalue Total Effect T1 `hetsht'" ///
											"Total Effect T2 `hetsht'" ///
											"pzxzvalue Total Effect T2 `hetsht'" ///
											"Total Effect T3 `hetsht'" ///
											"pzxzvalue Total Effect T3 `hetsht'" ///
											"\midrule pzxzvalue T1=T2" /// 
											"pzxzvalue T2=T3" /// 
											"pzxzvalue T1=T3" ///
											"pzxzvalue T1=T2=T3" /// 
											"Observations")) ///
						prehead(\midrule \multicolumn{`multi'}{l}{Panel B. Treatment Arm Estimates} \\  ) ///
						postfoot(\bottomrule \end{tabular}) ///
						collabels(none) ///
						nomtitle ///
						nonumber ///
						label se booktabs fragment nonotes ///
						substitute("zxz" "-") ///
						starlevels(* .1 ** .05 *** .01) append 		
			
		}
	}
	mat drop A
	mat drop B
	mat drop C
	mat drop D
	mat drop T
	mat drop W
	mat drop X	
	mat drop Y
	mat drop Q
	mat drop U
	mat drop VV
	mat drop WW
	mat drop VVV
	mat drop WWW
	estimates clear


	}
}


 

