
/*
Code to produce: 

Table2 
Table3 
Table4 
Table5 
Table6 
Table11 
TableA10 
TableA11 
TableA12 
TableA13


*/


*** Merge baseline controls for the Post-Double Selection Lasso
merge 1:1 id using "$data/processed data/baseline controls for lasso/baseline_controls_main.dta"
keep if _merge == 3 
drop _merge 









	****************** ESTIMATION 
	****************** ESTIMATION 
	****************** ESTIMATION 


	# delimit ;

	
	/* ****** */ ;



	foreach GROUP  in 
	
	Table2 Table3 Table4 Table5 Table6 Table11 TableA10 TableA11 TableA12 TableA13 {;

	# delimit cr
	
	include "${dofile}/analysis/endline analysis/correspondence_tables_no.do" 
	
	# delimit ;
	
	display "`GROUP'" ;
	display "`tableno'" ;
	/*   */ ;
		
	

	local vargroup " $`GROUP'  " ;
	 
	

	
	local spec1 " " ;
	local spec2 " " ;

	matrix lasso_pvalues_`GROUP' = [ . , . , . , . , . , . , . , . ];
	

	local var_list " " ;

	foreach var of varlist `vargroup'   {;

*** Matrix of p-values 	
	
	
		local var_list " `var_list' `var' " ;
/* Specification 1 Treatment (pooled) Vs Common Control / weight : sampling_w_main / cluster : cluster */


dsregress `var' treat_common_main, controls((strata_loc grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster) ;

reg `var' treat_common_main `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust;





		local r0 = `e(N)' ;
		local r1=_b[treat_common_main] ;
		local r2=_se[treat_common_main] ;
		local r00 = 2*ttail(e(df_r),abs(_b[treat_common_main]/_se[treat_common_main])) ;
		
		sum `var' if attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] ;
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c = round(r(mean)*100,.1) ;
		else estadd scalar mean_c = r(mean) ;
		
		estimates store r1`var' ;
		
		local spec1 " `spec1' r1`var' " ;
		local format_b " `format_b' `format' " ;

		
/* Specification 2 Treatment Arms with common support (T_SEMI_M_common T_VSLA_M_common T_CASH_M_common) Vs Common Control / weight : sampling_w_main / cluster */

dsregress `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common, controls((strata_loc grappe*) $baseline_controls_final_main )  selection(plugin) vce(cluster cluster);

reg `var' T_VSLA_M_common T_SEMI_M_common T_CASH_M_common `e(controls_sel)' [pweight= sampling_w_main], cluster(cluster) robust;





		local r0 = `e(N)' ;
		
		local r1=_b[T_SEMI_M_common] ;
		local r2=_se[T_SEMI_M_common] ;
		local r3 = 2*ttail(e(df_r),abs(_b[T_SEMI_M_common]/_se[T_SEMI_M_common])) ;
		
		local r4=_b[T_VSLA_M_common] ;
		local r5=_se[T_VSLA_M_common] ;
		local r6 = 2*ttail(e(df_r),abs(_b[T_VSLA_M_common]/_se[T_VSLA_M_common])) ;		
		
		local r7=_b[T_CASH_M_common] ;
		local r8=_se[T_CASH_M_common] ;
		local r9 = 2*ttail(e(df_r),abs(_b[T_CASH_M_common]/_se[T_CASH_M_common])) ;
		
		test T_SEMI_M_common == T_VSLA_M_common  ;
		local r10 = `r(p)' ;		
		test T_SEMI_M_common == T_CASH_M_common ;
		local r11 = `r(p)' ;
		test T_VSLA_M_common == T_CASH_M_common ;
		local r12 = `r(p)' ;
		test T_SEMI_M_common == T_VSLA_M_common == T_CASH_M_common ;
		local r13 = `r(p)' ;

		sum `var' if attrit_i_e==0 & treat_common_main==0 [weight= sampling_w_main] ;
		if `r(min)'==0 & `r(max)'==1 estadd scalar mean_c = round(r(mean)*100,.1) ;
		else estadd scalar mean_c = r(mean) ;
		estadd scalar t1_eq_t2 	= `r10' ;
		estadd scalar t2_eq_t3 	= `r11' ;
		estadd scalar t1_eq_t3 	= `r12' ;
		estadd scalar all_eq 	= `r13' ;
		estimates store r2`var' ;
		local spec2 " `spec2' r2`var' " ;

		matrix lasso_pvalues_`GROUP' = [lasso_pvalues_`GROUP' \ `r00' , `r6' , `r3' , `r9' , `r10' , `r11' , `r12' , `r13' ];

			
		};

	foreach mat in lasso_pvalues_`GROUP' { ;
		matdelrc `mat', r(1);
	} ;
	
		
			
	mat rownames lasso_pvalues_`GROUP' = $`GROUP' ;
	mat colnames lasso_pvalues_`GROUP' = pooled T_SEMI_M_common T_VSLA_M_common T_CASH_M_common T1_T2 T2_T3 T1_T3 T1_T2_T3  ;
	

	local coln: word count `spec1' ;
	local multi = `coln' + 1 ;

	esttab `spec1' 	using "$output/Table_`tableno'.tex", keep(treat_common_main) cells(b(star fmt(2)) se(par fmt(2)) )
					indicate("PDS Lasso selected controls = strata_loc" "\makecell[l]{Department X (Urban/Rural)} = grappe*")
					varlabels(treat_common_main "Treatment (ITT)") 
					stats(mean_c N, fmt(2 %8.0fc) labels("Mean in Control" "Observations")) 
					prehead(\begin{tabular}{l*{`coln'}{c}}  \toprule )
					posthead(\midrule \multicolumn{`multi'}{l}{Panel A. Pooled Estimates} \\ \midrule)
					collabels(none)
					label se booktabs fragment nonotes
					substitute("qqq" "(Profits, monthly)" 
					"mmm" 		 "(last 30 days)" 
					"idpdt"      "independent"
					"nonag" 	 "non ag. activities" 
					"finsup1" 	 "financial support"
					"finsup2" 	 "financially supported"
					"agact" 	 "ag. activities" 
					"othinfsour" "oth. informal \\ sources \\ (last 2 years)")
					starlevels(* .1 ** .05 *** .01) replace ;
					

	esttab `spec2' 	using "$output/Table_`tableno'.tex", keep(T_VSLA_M_common T_SEMI_M_common T_CASH_M_common)  cells(b(star fmt(2)) se(par fmt(2)) )
					indicate("PDS Lasso selected controls = strata_loc" "\makecell[l]{Department X (Urban/Rural)} = grappe*")
					varlabels(	T_VSLA_M_common "VSLA (T1) (ITT)" 
								T_SEMI_M_common "Cash Grant with repayment (T2) (ITT)" 
								T_CASH_M_common "Cash Grant (T3) (ITT)") 
					stats(mean_c t1_eq_t2 t2_eq_t3 t1_eq_t3 all_eq N, fmt(2 2 2 2 2 %8.0fc) labels("Mean in Control" "pzxzvalue T1=T2" "pzxzvalue T2=T3" "pzxzvalue T1=T3" "pzxzvalue T1=T2=T3" "Observations")) 
					prehead(\midrule \multicolumn{`multi'}{l}{Panel B. Treatment Arm Estimates} \\  )
					postfoot(\bottomrule \end{tabular})
					collabels(none)
					nomtitle
					nonumber
					label se booktabs fragment nonotes
					substitute("zxz" "-")
					starlevels(* .1 ** .05 *** .01) append ;
	
	estimates clear;

	};

	# delimit cr
	





