
**** Controls in do-file for main estimations 



*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*** imputation program 
cap program drop imputation 
program imputation
	

foreach var in $categorical_vars_baseline {	
    egen mode_`var' = mode(`var')
    sum mode_`var'
    global mode_`var' = `r(mean)' 	
    drop mode_`var'	
	disp ${mode_`var'}
}	

count
local sample_size = `r(N)'
disp `sample_size'
local sample_size_95p = `sample_size'*0.95
disp `sample_size_95p'

	
foreach var in $baseline_controls_final {
count if `var' != .
local obs_`var' = `r(N)'


*Drop vars with more than 5% of missing values
if `sample_size_95p' > `obs_`var'' {
drop `var'	
}	

}

foreach var in $numeric_vars_baseline {	
sum `var'
cap replace `var' = round(`r(mean)',1) if `var' == . 	
}


foreach var in $categorical_vars_baseline {	
cap replace `var' = ${mode_`var'} if `var' == .
}

end
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
 
	global baseline_controls village ///
	milieu ///
	a1 ///
	age20_01_16 ///
	youth ///
	a17 ///
	a18 ///
	handicap ///
	autoch ///
	a3_2 ///
	a3_3 ///
	a3_5 ///
	a4a ///
	a5 ///
	a7_1 ///
	a16_1 ///
	a16_2 ///
	b4 ///
	b2a ///
	b2b ///
	b1_agri ///
	travail ///
	c1 ///
	dc1 ///
	db4_indep ///
	db4_7 ///
	db4_1 ///
	rev_99 ///
	dc3_c_1 ///
	e2 ///
	e1 ///
	dc3_c_2 ///
	e5 ///
	e6 ///
	e7 ///
	e8a ///
	f2a_3 ///
	f2b_3	

disp "$baseline_controls"


global categorical_vars_baseline village_baseline ///
	milieu_baseline ///
	a1_baseline ///
	youth_baseline ///
	a17_baseline ///
	a18_baseline ///
	handicap_baseline ///
	autoch_baseline ///
	a3_2_baseline ///
	a3_3_baseline ///
	a3_5_baseline ///
	a5_baseline ///
	a7_1_baseline ///
	a16_1_baseline ///
	a16_2_baseline ///
	b1_agri_baseline ///
	travail_baseline ///
	c1_baseline ///
	dc1_baseline ///
	db4_indep_baseline ///
	db4_7_baseline ///
	db4_1_baseline ///
	dc3_c_1_baseline ///
	e1_baseline ///
	dc3_c_2_baseline ///
	e5_baseline ///
	e6_baseline ///
	e7_baseline ///
	e8a_baseline ///
	f2a_3_baseline ///
	f2b_3_baseline	



global numeric_vars_baseline a4a_baseline ///
b2a_baseline ///
b2b_baseline ///
b4_baseline ///
e2_baseline ///
age20_01_16_baseline /// 
rev_99_baseline 
 





	use "$data/processed data/Baseline_cleaned_database.dta", clear

	
	
	
	
	*global to grasp labels of baseline vars 
	global base = 1
	
	run "${dofile}/cleaning and var creation/english_labels.do"


******** Baseline in main sample	
use "$data/processed data/Baseline_cleaned_database.dta", clear

	global base = 1	
*	run "${dofile}/english_labels.do"
	keep if endline==1
	
global baseline_controls_final " "
foreach var in $baseline_controls {
rename `var' `var'_baseline 
global baseline_controls_final "${baseline_controls_final} `var'_baseline" 
}
disp "$baseline_controls_final"

keep id $baseline_controls_final treat_common_main treat_common_spill
*bring treat_common_main, treat_common_spill, and attrit_i_e from the endline
preserve 
use "$data/processed data/Endline_cleaned_dataset.dta", replace
keep id attrit_i_e 
tempfile attrition_var 
save `attrition_var', replace
restore 
merge 1:1 id using `attrition_var'
keep if _merge == 3
keep id $baseline_controls_final treat_common_main treat_common_spill attrit_i_e






**** Keep variables for individuals in the main sample 	
preserve 
keep if treat_common_main != . & attrit_i_e== 0
imputation
drop treat_common_main treat_common_spill attrit_i_e
save "$data/processed data/baseline controls for lasso/baseline_controls_main.dta", replace
global baseline_controls_final_main "i.village_baseline i.milieu_baseline i.a1_baseline i.youth_baseline i.a17_baseline i.a18_baseline i.handicap_baseline i.autoch_baseline i.a3_2_baseline i.a3_3_baseline i.a3_5_baseline i.a5_baseline i.a7_1_baseline i.a16_1_baseline i.a16_2_baseline i.b1_agri_baseline i.travail_baseline i.c1_baseline i.dc1_baseline i.db4_indep_baseline i.e1_baseline i.e5_baseline i.e6_baseline i.e7_baseline i.e8a_baseline i.f2a_3_baseline i.f2b_3_baseline a4a_baseline b2a_baseline b2b_baseline b4_baseline e2_baseline age20_01_16_baseline rev_99_baseline"
restore








**** Keep variables for individuals in the spillover sample 	
preserve 
keep if treat_common_spill != . & attrit_i_e== 0
imputation
drop treat_common_main treat_common_spill attrit_i_e
save "$data/processed data/baseline controls for lasso/baseline_controls_spillover.dta", replace
global baseline_controls_final_spill "i.village_baseline i.milieu_baseline i.a1_baseline i.youth_baseline i.a17_baseline i.a18_baseline i.handicap_baseline i.autoch_baseline i.a3_2_baseline i.a3_3_baseline i.a3_5_baseline i.a5_baseline i.a7_1_baseline i.a16_1_baseline i.a16_2_baseline i.b1_agri_baseline i.travail_baseline i.c1_baseline i.dc1_baseline i.db4_indep_baseline i.db4_7_baseline i.db4_1_baseline i.e1_baseline i.e5_baseline i.e6_baseline i.e7_baseline i.e8a_baseline i.f2a_3_baseline i.f2b_3_baseline a4a_baseline b2a_baseline b2b_baseline b4_baseline e2_baseline age20_01_16_baseline rev_99_baseline"
restore




