
******************************************** Baseline data cleaning starts below
use "$data/raw data/Baseline_raw_database.dta", clear
keep if ensete == 0
drop ensete*

	

***** AGE *******
* Pour les criteres on utilise l age a la date de debut de l enrolement, donc au 5 decembre 2015
* Variable "birthday" est la variable "date_naiss" (numeric) passée au format "date" de stata
generate age20_01_16=( mdy(1,20,2016) - birthday ) / 365.25  // calcul age a partir de la date de naiss passée au format date
replace age20_01_16=a2 if birthday==. & a2!=. // on utile a2 (age declaré) qd pas de date de naissance (7 cas)

/* age : (decision avec IRC)
 - Le critère d'age appliqué à partir de la date de naissance enregistrée 
 - On calculera l'âge au 5 décembre 2015 (date de début de l'enregistrement) 
 - Si date de naissance vide, on utilise age renseigne en a2
*/

assert age20_01_16!=.
*ta age20_01_16

******** CRI 1 *************

* jeune fille mere (a17)
	gen a17=0
	replace a17=1 if a1==2 & age20_01_16<=18 & a4a>0 & a4a<.

* non scolarise ou descolarise au primaire (a18)
	gen a18=0
	replace a18=1 if a5==2 | (a5==1 & a7==1)

*  Inactif (Da5)
	gen da2= (da2_a==1) | (da2_b==1 ) | ( da2_c==1 ) | ( da2_d==1 ) | ( da2_e==1 ) | ( da2_f==1 ) | ( da2_g==1 ) | ( da2_h==1 ) | ( da2_i==1 )
	gen db_vide=0
	replace db_vide=1 if db1=="" & db2==. & db3==. & db4==. & db5==. & db6==. & db7==.
	replace db_vide=1 if db1=="" & db2==. & db3==. & db5==. & db6==. & db7==. // 1 cas ou db4 est la seule chose remplie de db, on va considerer db vide
	gen dc_vide=0
	replace dc_vide=1 if (dc1==2 | dc1==.) & dc2==. & dc3_a==. & dc3_b==. 

	gen travail_da=1 if da1==1 | da2==1 | da3==1 | da4==6
	replace travail_da=0 if (da1==2 & da2==0 & da3==2 & da4!=6 & da4!=.)

	gen da5=0
	replace da5=1 if travail_da==0 & db_vide==1 & dc_vide==1
	
/* 
 da5 : (decision avec IRC)

 Si il ne travaille pas d'après le module Da mais que Db OU Dc est renseigné : PAS considéré comme inactif 
*count if da5==0 & travail_da==0 // 21 cas
*/

* Handicap > Retraitement par IRC (cf liste handicaps + classification)

	gen handicap=0
	replace handicap=1 if (a12==1 & a12_bis!="" )
	
	replace handicap=0 if id=="SP10V15S2N063"| id=="SP10V10S2N031"| id=="SP10V03S2N021"| id=="SP10V03S2N022"| ///
	id=="SP10V03S1N065"| id=="SP10V03S1N067"| id=="SP10V03S2N068"| id=="SP10V03S2N084"| id=="SP10V03S2N047"| /// 
	id=="SP08V11S2N049"| id=="SP10V07S2N006"| id=="SP10V04S1N013"| id=="SP07V01S2N032"| id=="SP05V01S2N100"|  ///
	id=="SP01V08S2N004"| id=="SP01V08S1N018"| id=="SP05V09S2N182"| id=="SP16V03S1N045"| id=="SP08V08S1N075"|  ///
	id=="SP08V02S2N076"| id=="SP08V09S1N017"| id=="SP08V04S2N023"| id=="SP09V07S1N027"| id=="SP14V03S2N067"| ///
	id=="SP15V02S1N021"| id=="SP08V14S2N005"| id=="SP08V14S1N018"| id=="SP14V01S2N097"| id=="SP03V02S2N005"| ///
	id=="SP03V09S1N036" | id=="SP14V01S2N023"| id=="SP09V04S2N010"| id=="SP09V04S1N019"| id=="SP15V04S1N019"| /// 
	id=="SP15V04S2N022"| id=="SP10V11S1N006"| id=="SP10V11S2N016"| id=="SP09V03S1N008"| id=="SP09V03S1N009"| /// 
	id=="SP09V09S2N011"| id=="SP09V05S1N053"| id=="SP09V08S2N029"| id=="SP09V03S2N025"| id=="SP09V03S1N031"| /// 
	id=="SP09V05S2N018"| id=="SP08V06S2N037"| id=="SP16V06S1N137"| id=="SP16V09S1N043"| id=="SP04V04S2N054"| ///
	id=="SP08V06S2N085"| id=="SP16V11S1N010"| id=="SP16V13S1N050"| id=="SP16V12S1N055"| id=="SP16V12S1N011"| ///
	id=="SP08V13S2N016"| id=="SP16V15S1N103"| id=="SP10V16S1N016"| id=="SP07V05S1N093"| id=="SP07V05S1N096"| ///
	id=="SP01V06S1N049"| id=="SP01V06S1N092"| id=="SP01V06S2N006"| id=="SP01V06S1N040"| id=="SP01V05S1N070"
	
 * handicap : (decision avec IRC)
  *   - A12 et A12_bis vide : considéré non handicapé
  *   - A12=1 (oui handicapé) mais pas de texte en A12_bis (description handicap) : considéré non handicapé
  *   - Liste ci dessus des IDs pr lesquels le handicap n'est pas considéré comme un handicap pr le prg (trop léger)

* CRI1

gen CRI1=0
replace CRI1=1 if a3==5 | a17==1 | a18==1 | da5==1 | handicap==1 

assert CRI1!=.
**************** CRI 3 ***********************

** CRI3a

gen CRI3a=0
replace CRI3a=1 if inlist(db4,4,5,6) | (db4==1 & inlist(db5,2,3) ) | da5==1

assert CRI3a!=.

/* db4 : (decision avec IRC)
- Db4 non renseigné : CRI3a non impacté 
- Db4=1 (employés) mais Db5 pas renseigné : CRI3a non impacté 
*/

** CRI3b : preparation des variables en amont

** Revenu mensuel act principale (cash et nature)

	*** travail sur db6/db7

		/* Decision IRC
		Db6 et Db7 vide alors que Db est renseigné et que Db5<> non rémunéré :
		 on imputera la moyenne pour le calcul du revenu disponible 
		*/
		
		* les valeurs manquantes (pour ceux sans activite db) sont remplacees par zero
					foreach var in db6 db7 {
					recode `var' (.=0) if db_vide==1 // revenu de l activite principale (db6/db7) = 0 si la personne ne travaille pas
						}
		
		* les valeurs en db6/db7 allant trs haut (risque d erreur de mesure), on la top code a la valeur du 99e percentile
		* cela permet de retraiter les valeurs "aberrantes" sans les enlever, et de reduire la moyenne qui semble tres elevee
		* on appelle ces var db6_99 et db7_99 pour les distinguer
				gen db6_99=db6
				gen db7_99=db7

			foreach var in db6 db7 { 
				qui su `var' if `var'>0,d
				sca `var'_v99=r(p99)
				replace `var'_99=`var'_v99 if `var'>`var'_v99 // variable de revenu db6 ou db7 topcodée à 99percentile
			}
			
		* les valeurs manquantes (pour ceux avec une activite db) sont remplacees par la moyenne
			foreach var in db6 db7 db6_99 db7_99 {
				qui su `var'
				sca mean_`var'=r(mean)
				replace `var'=mean_`var' if `var'>=. & db_vide!=1 // si db6 ou db7 vide ms travaille, on impute la moyenne de la variable
			}

	
	su db6* db7*

	*** travail sur b9

		/* Decision IRC
		B9 non renseigné  : on considèrera b9=0 si b9 est "missing" 
		*/
			replace b9=0 if b9>=.
			
			gen b9_99=b9
					qui su b9 if b9>0,d
					sca b9_v99=r(p99)
					replace b9_99=b9_v99 if b9>b9_v99

	*** Calcul revenu de l activite principale (db6 + db7 )
		gen rev=0
		gen rev_99=0

		foreach var in db6 db7  {
		replace rev=rev+`var' if `var'<. 
		replace rev_99=rev_99+`var'_99 if `var'_99<.
		}

	su rev*

	*** Calcul revenu total (db6 + db7 + b9)
		gen tot_rev=0
		gen tot_rev_99=0

		replace tot_rev=rev+b9 if b9<. 
		replace tot_rev_99=rev_99+b9_99 if b9_99<.
		

	su tot_rev*

	*** Alternative : integrer les revenus de l auto emploi
		gen rev_autoemploi=0
		replace rev_autoemploi=dc3_b/dc3_a if dc3_unite==3 &  dc3_a<.
		replace rev_autoemploi=dc3_b*4/dc3_a if dc3_unite==2 &  dc3_a<.
		replace rev_autoemploi=dc3_b*30/dc3_a if dc3_unite==1 &  dc3_a<.
		replace rev_autoemploi=dc3_b/(dc3_a*12) if dc3_unite==4 &  dc3_a<.
		qui su rev_autoemploi
		sca mean=r(mean)
		replace rev_autoemploi=mean if dc1==1 & (dc3_unite==. | dc3_a==. | dc3_b>=.) // 52 cas : s il manque une des 3 variables pr le calcul, on remplace par le revenu moyen ds l auto emploi

		
		gen rev_autoemploi_99=rev_autoemploi
				qui su rev_autoemploi if rev_autoemploi>0,d
				sca rev_autoemploi_v99=r(p99)
				replace rev_autoemploi_99=rev_autoemploi_v99 if rev_autoemploi>rev_autoemploi_v99

	su rev_auto*
		/* Remarque :
		Attention rev_autoemploi ecart type ENORME (>300 000), dc probablement 
		des pbs sur les hypotheses pour ramener les profits a un equivalent mensuel.
		
		Ceci conforte ma recommendation initiale de ne pas les inclure ds le calcul 
		de CRI3b (revenu mensuel et transferts recus)
		*/
	
		gen tot_rev_V2=0
		gen tot_rev_99_V2=0

		replace tot_rev_V2=tot_rev+rev_autoemploi if rev_autoemploi<. 
		replace tot_rev_99_V2=tot_rev_99+rev_autoemploi_v99 if rev_autoemploi_v99<.

	su tot_rev*

******** CRI3b

	gen CRI3b=tot_rev_99 // preferred measure
	assert CRI3b!=.

	/* alternatives :
	- tot_rev (sans topcod)
	- tot_rev_99_V2 (inclus auto emploi et topcod)
	-tot_rev_V2 (inclus auto emploi, pas de topcod)
	*/
	
********************* CRI 4 *********************

** CRI 4a (membres participant aux dépenses / total membres)

	gen CRI4a=b7/b4 if b4!=0 & b4!=. & b7!=.         // Rq : b4 n inclut pas l individu qui repond au questionnaire
	replace CRI4a=0 if b4!=0 & b4!=. & b5==0 & b7==. // ratio a 0 si b7 est vide car aucun membre de plus de 15 ans ( equivaut à b7=0)
	replace CRI4a=0 if b4==0                         // ratio a 0 si 0 autre membre ds le menage (la personne vit seule)
	replace CRI4a=1 if b7>b4 & b7!=.                 // ratio a 1 si incoherence (plus de membres en b7 que le total du menage)

	assert CRI4a!=.

	/* Discussions IRC :
	Si B4 (nombre de membres du ménage) est inférieur à B7 (membres participants aux dépenses) : incohérence , ratio à 1 (max)
	Si B4 vide : on remplace b4 par le max entre b7, b8
	Si B7>B6 (nb de gens qui participent aux dépenses > nb de gens qui travaillent dans le ménage) (incoherence) : on se fiera uniquement à B7
	Si B4=0 (la personne vit seule) : ratio à 0 
	(car ca veut dire qu il y a zero autre membre ds le menage pouvant contribuer aux depenses)
	*/

** CRI 4b (membres dépendant entièrement du postulant / total membres)

	gen CRI4b=b8/b4 if b4!=0 & b4!=. & b8!=.         
	replace CRI4b=0 if b4==0                         // ratio a 0 si 0 autre membre ds le menage
	replace CRI4b=0 if b8>b4 & b8!=.                 // ratio a 0 si incoherence (plus de membres en b8 que le total du menage)
	replace CRI4b=b8/max(b7,b8) if  b4==. &  b7<. & b8<.  // si b4 vide on utilise le max entre b7 et b8 pr avoir le nbre de membres
	assert CRI4b!=.

	/* Discussions IRC :
	Si B4 vide : on remplace b4 par le max entre b7, b8
	Si B4=0 (la personne vit seule) : ratio à 0 (min)
	Si B4 (nombre de membres du ménage) est inférieur à B8 (membres dépendants) incohérence , ratio à 0 
	*/
	
** CRI 4 : moyenne de CRI4a et CRI4b (plus precisement : 1-CRI4a et CRI4b) pour reduire l erreur
	gen CRI4=((1-CRI4a)+CRI4b)/2 // CRI4 : moyenne entre ces deux criteres qui devraient mesurer la meme chose
	assert CRI4!=.


***********************CRI 5 **********************

********* CRI5a *************


	foreach var in b2a b2b b2c {
	recode `var' (.=0) (.b=0) (.c=0)
	}

	* Critere avec variable non topcodee
	gen A_CRI5a=b2a+b2b+b2c

		/* Discussions IRC :
		Têtes de cheptel (B2a, B2b, B2c) : si indique en posséder (B1a, B1b, B1c) 
		mais pas de valeur renseignée ensuite (ou ne sait pas ou refus) :
		on considèrera B2a, B2b, B2c  = 0 
		*/

	* Critere avec variable  topcodee
	foreach var in b2a b2b b2c {
	gen `var'_99=`var'
		qui su `var' if `var'>0,d
		sca `var'_v99=r(p99)
		replace `var'_99=`var'_v99 if `var'>`var'_v99
	}
	
	gen B_CRI5a=b2a_99+b2b_99+b2c_99
	
	su A_CRI5a B_CRI5a
	
	* CRI5 : preferrence pour var topcodee (reduit les valeurs aberrantes)
	gen CRI5a=B_CRI5a
	
*********** CRI5 b c d  ***************

	foreach let in d e f g h i j k l m {
	recode b1`let' (.=2)
	recode b1`let' (2=0)
	assert b1`let'<.
	}

	gen CRI5b=b1d+b1e+b1f+b1g
	gen CRI5c=b1h+b1i+b1j
	gen CRI5d=b1k+b1l+b1m
	
	foreach var in CRI5b CRI5c CRI5d{
	assert `var'!=.
	}

	/* Discussions IRC :	
		Autres biens (B1d à B1m) : 
		si non renseigné on considèrera que le bien n'est pas possédé 
		*/

*********** CRI5 e  ***************
* Nombre de pièces dans le logement/nombre de membres du ménage (postulant inclus) 

	gen CRI5e=b3/(b4+1) if b3!=0        // b4+1 est le nbre total de membres du menage
		
	*count if (b4<b7 & b7<.) | (b4<b8 & b8<.)
	replace CRI5e=b3/(max(b7,b8)+1) if b3!=0 & ((b4<b7 & b7<.) | (b4<b8 & b8<.)) // incoherence sur b4 par rapport au reste du module --> on prend le max entre b7 et b8
		
	*li b3 b4 b7 b8 if b3==0 | b3>=.
	* si b3 vide ou non renseigne on attribue le score moyen du critere 
	qui su CRI5e
	sca mean_CRI5e=r(mean)
	replace CRI5e=mean_CRI5e if (b3==0 | b3>=.)
	
	/* Discussions IRC :	
	Nombre de pièces dans le logement : si vide ou égal à 0 pièces, 
	pas de ratio possible à calculer, on attribuera le score moyen
		*/
		
	assert CRI5e!=.
		
*********** CRI5 f et CRI5 g  ***************
** corriger
	gen NA_CRI5f=0
	replace NA_CRI5f=c2 if c2<.
	qui su c2
	sca mean_c2=r(mean)
	replace NA_CRI5f=mean_c2 if c2>=.


	gen NA_CRI5g=0
	replace NA_CRI5g=c3 if c3<.
	qui su c3
	sca mean_c3=r(mean)
	replace NA_CRI5g=mean_c3 if c3>=.


	/* Discussions IRC :	
	Non utilisés pour l annee 2 car des pbs importants tant au niveau des
	enqueteurs (remplissage pas clair des questionnaires) que de la saisie
	(nbreuses erreurs de virgule sur la saisie)
	*/		
		
************* CRITERES D EXCLUSION *******************

*** CRI 2 **********
*Bénéficiaire d'un AUTRE programme d'assistance économique actuellement 
	gen CRI2=0
	replace CRI2=1 if a13==1

*** CRI 6 *************
* Va présentement à l'école (hors cours du soir) 

	gen CRI6=0
	replace CRI6=1 if a6==1 // si a6=. on laisse le bénéfice du doute (on considere non a l ecole)
	replace CRI6=0 if a5==1 & age20_01_16>=35  // Pour les + de 35 ans,on considere que a6=1 est une erreur (ne vont plus a l ecole)
	assert CRI6!=.
	
	/* Discussions IRC sur A6 (actuellement a l'école):
	- A6 vide alors que A5=1: on considèrera a6=2  par défaut
	- A6 = 1 alors que la personne a plus de 35 ans  : on considèrera que c'est une erreur donc que a6=2 
	*/
	
	*ta age20_01_16 if CRI6==1 
	*	Note : 10 personnes ont entre 30 et 35 ans et declarent aller a l ecole


*** CRI 7  ***************
*Avoir été recensé par l'ADDR en tant qu'ex-combattant 

	gen CRI7=0
	replace CRI7=1 if a14==1


** CRI 8 ****************
/* Critère éligibilité AGE: 
- Avoir entre 18 et 40 ans. 
- Exception pour les filles mères qui peuvent avoir entre 15 et 18 ans. 
- Exception pour les veuf(ves) et pour les handicapés qui peuvent avoir jusqu'à 60 ans.
*/

	gen CRI8_c=0
	replace CRI8_c=1 if age20_01_16>=18 & age20_01_16<=40 							// individu ds la tranche d age du programme
	replace CRI8_c=2 if (age20_01_16>40 & age20_01_16<=60) & (a3==5 | handicap==1 ) // Exception veuf/ve et handicape
	replace CRI8_c=3 if (age20_01_16>=15 & age20_01_16<18) & a17==1 				// Exception jeune fille mere

	gen CRI8=1-CRI8_c
	recode CRI8(-2=0) (-1=0)
	assert CRI8!=.

	count if age20_01_16>60 //305 cas (71 cas ont entre 60 et 60.5 ans)
	count if age20_01_16<15 // 16 cas 

** CRITERE ELIGIBILITE ****************

	gen non_eligible=0
	replace non_eligible=1 if (CRI2==1 | CRI6==1 | CRI7==1 | CRI8==1)

*******************************************************************
********************************************************************

** CRITERES **
	su CRI*
	su age20_01_16 handicap a17 da5 a18 non_eligible
	ta CRI8_c
	su  age20_01_16 if CRI8==1, d
		* remarque : 18% des eligibles (selon critere d age) ont plus de 40 ans
	
**********
*On ramene chaque critere a une echelle similaire (en prenant le critere centré-réduit (fonction zscore), cad CRI-mean/sd)
	cap drop z_CRI*
	zscore CRI1 CRI4 CRI5a CRI5b CRI5c CRI5d CRI5e CRI3a CRI3b
	su z_CRI*

******

* score vulnerabilite avec Coeff externes

	matrix B = [ 0.2 \ 0.1 \ -0.1 \ -0.1 \ -0.1 \ -0.1 \ -0.05 \ 0.05 \ -0.2]

	gen score_vul=B[1,1]*z_CRI1+B[2,1]*z_CRI4 +B[3,1]*z_CRI5a +B[4,1]*z_CRI5b +B[5,1]*z_CRI5c+B[6,1]*z_CRI5d+B[7,1]*z_CRI5e ///
	+B[8,1]*z_CRI3a+B[9,1]*z_CRI3b // Plus le score est eleve, plus la personne est vulnerable
	 
	replace score_vul=. if non_eligible==1 // pas de score sur les non eligibles qui sont exclus de toute facon

	
	su score*, d

	* HISTOGRAMMES
	/*

histogram score_vul, percent fcolor(ltblue) fintensity(70) lcolor(white) lpattern(blank) ///
 ytitle(Pourcentage) xtitle(Valeur du Score)   title(Histogramme du Score de Vulnerabilité (version 2)) graphregion(fcolor(white) ifcolor(white))
graph export "$root\Distribution_score_final.png", as(png) replace

*/

drop CRI* z_CRI* A_CRI5a B_CRI5a NA_CRI5f NA_CRI5g


rename non_eligible non_eligible_grille

 *****************

 
 
 
 
 
 
 

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

*************************************************************************
*	TRIANGULATION  AVEC BASES DES AUTRES PROJETS
*************************************************************************
# delimit ;

gen Exclu_PAPC=0;
replace Exclu_PAPC=1  if id=="SP05V12S2N030" | id== "SP01V15S2N025" | id== "SP01V15S2N020" | id== "SP05V13S2N057" | 
id== "SP05V07S1N038" | id== "SP01V13S2N025" | id== "SP01V15S2N006" | id== "SP05V01S2N027" | id== "SP01V14S2N053" | 
id== "SP05V01S2N019" | id== "SP05V11S2N095" | id== "SP01V13S2N044" | id== "SP01V10S2N081" | id== "SP06V03S1N098" | 
id== "SP05V09S2N046" | id== "SP01V14S1N054" | id== "SP01V14S2N065" | id== "SP01V14S2N057" | id== "SP01V03S1N031" | 
id== "SP01V08S2N076" | id== "SP01V09S1N041" | id== "SP05V09S2N034" | id== "SP06V03S2N111" | id== "SP07V02S2N067" | 
id== "SP05V10S2N031" | id== "SP01V13S2N019" | id== "SP01V07S2N007" | id== "SP05V09S2N021" | id== "SP05V01S1N078" | 
id== "SP01V08S2N066" | id== "SP01V08S1N018" | id== "SP01V14S1N013" | id== "SP05V01S1N071" | id== "SP01V15S2N059" | 
id== "SP06V03S1N032" | id== "SP05V01S1N080" | id== "SP05V01S1N065" | id== "SP01V10S2N031" | id== "SP01V07S2N029" | 
id== "SP01V01S1N009" | id== "SP07V02S1N068" | id== "SP01V01S1N051" | id== "SP01V12S2N072" | id== "SP01V03S1N034" | 
id== "SP01V08S2N043" | id== "SP05V14S2N001" | id== "SP05V15S2N012" | id== "SP01V02S1N043" | id== "SP01V08S1N052" | 
id== "SP05V10S2N046" | id== "SP01V13S2N037" | id== "SP05V01S1N081" | id== "SP05V10S2N022" | id== "SP01V07S1N006" | 
id== "SP05V11S2N067" | id== "SP01V14S2N023" ;


replace Exclu_PAPC=1  if id=="SP05V12S2N030" | id== "SP01V15S2N025" | id== "SP01V15S2N020" | id== "SP05V13S2N057" | 
id== "SP05V07S1N038" | id== "SP01V13S2N025" | id== "SP01V15S2N006" | id== "SP05V01S2N027" | id== "SP01V14S2N053" | 
id== "SP05V01S2N019" | id== "SP05V11S2N095" | id== "SP01V13S2N044" | id== "SP01V10S2N081" | id== "SP06V03S1N098" | 
id== "SP05V09S2N046" | id== "SP01V14S1N054" | id== "SP01V14S2N065" | id== "SP01V14S2N057" | id== "SP01V03S1N031" | 
id== "SP01V08S2N076" | id== "SP01V09S1N041" | id== "SP05V09S2N034" | id== "SP06V03S2N111" | id== "SP07V02S2N067" | 
id== "SP05V10S2N031" | id== "SP01V13S2N019" | id== "SP01V07S2N007" | id== "SP05V09S2N021" | id== "SP05V01S1N078" | 
id== "SP01V08S2N066" | id== "SP01V08S1N018" | id== "SP01V14S1N013" | id== "SP05V01S1N071" | id== "SP01V15S2N059" | 
id== "SP06V03S1N032" | id== "SP05V01S1N080" | id== "SP05V01S1N065" | id== "SP01V10S2N031" | id== "SP01V07S2N029" | 
id== "SP01V01S1N009" | id== "SP07V02S1N068" | id== "SP01V01S1N051" | id== "SP01V12S2N072" | id== "SP01V03S1N034" | 
id== "SP01V08S2N043" | id== "SP05V14S2N001" | id== "SP05V15S2N012" | id== "SP01V02S1N043" | id== "SP01V08S1N052" | 
id== "SP05V10S2N046" | id== "SP01V13S2N037" | id== "SP05V01S1N081" | id== "SP05V10S2N022" | id== "SP01V07S1N006" | 
id== "SP05V11S2N067" | id== "SP01V14S2N023" ;

gen Exclu_CYPD=0;
replace Exclu_CYPD=1  if id=="SP12V03S2N018" | id== "SP12V03S2N019" | id== "SP12V07S2N090" | id== "SP13V15S2N003" | 
id== "SP12V27S2N039" | id== "SP12V27S2N036" | id== "SP12V22S2N051" | id== "SP05V06S2N054" | id== "SP12V27S2N031" | 
id== "SP05V02S2N073" | id== "SP05V02S2N025" | id== "SP02V04S2N022" | id== "SP05V06S2N100" | id== "SP13V15S2N029" | 
id== "SP12V27S2N008" | id== "SP12V27S2N005" | id== "SP13V15S2N066" | id== "SP05V08S2N096" | id== "SP05V05S2N085" | 
id== "SP02V03S2N004" | id== "SP12V22S2N056" ;

replace Exclu_CYPD=1  if id=="SP12V03S2N018" | id== "SP12V03S2N019" | id== "SP12V07S2N090" | id== "SP13V15S2N003" | 
id== "SP12V27S2N039" | id== "SP12V27S2N036" | id== "SP12V22S2N051" | id== "SP05V06S2N054" | id== "SP12V27S2N031" | 
id== "SP05V02S2N073" | id== "SP05V02S2N025" | id== "SP02V04S2N022" | id== "SP05V06S2N100" | id== "SP13V15S2N029" | 
id== "SP12V27S2N008" | id== "SP12V27S2N005" | id== "SP13V15S2N066" | id== "SP05V08S2N096" | id== "SP05V05S2N085" | 
id== "SP02V03S2N004" | id== "SP12V22S2N056" ; 

gen Exclu_C2D=0;
replace Exclu_C2D=1 
if id=="SP10V08S1N103" | id=="SP10V07S1N038" | id=="SP10V07S2N058" | id=="SP16V01S2N091" 
| id=="SP10V07S2N044" ;

gen Exclu_PFS=0;
replace Exclu_PFS=1 if id=="SP05V10S2N010";

# delimit cr

** Checks 
		**  OIM_AWECO aucun exclu malgré le grand nombre de gens "à vérifier" ?? > OK Résolu : pas assez de données ds la base OIM pour conclure au doublon
		**  villages controle triangulation ? (base et méthodo)  > OK Résolu, fichiers recus par KASSI + methodo appliquee
		
		** "SP10V07S2N030" : inscrit sur listes, ms est ds l'option AVEC jugée complémentaire et non identique au C2D MPE

		** 5 cas inscrits sur liste des postulants C2D mais pas retenu comme bénéficiaire a priori
				* SP16V14S1N015
				* SP08V07S1N021
				* SP08V05S1N019
				* SP16V03S2N068
				* SP16V03S1N035


gen Exclu_Tg=max(Exclu_PAPC,Exclu_CYPD,Exclu_C2D, Exclu_PFS)
label variable Exclu_Tg "Exclusion car bénéficie d'un autre projet (triangulation bases)"

		rename Select_Form Select_Form_IRC
		rename Exclusion_Trg Exclusion_Trg_IRC
		recode Select_Form_IRC Exclusion_Trg_IRC  (.=0)
		
		replace Exclu_CV=1 if id=="SP16V02S2N115" // Erreur dans fichier IRC , vu 18/11/16
		
 
** Nombre final de non éligibles (pour  formation) : non éligible de la grille + de la triangulation + rejets comités de validation
 
		gen non_eligible_form=0
		replace non_eligible_form=1 if non_eligible_grille==1 | Exclu_Tg==1 | Exclu_CV==1

** Cas de doublons repérés durant la validation des listes
		replace non_eligible_form=1 if id=="SP13V10S2N035" // doublon avec SP13V10S2N028 mais non volonté de tricher d apres IRC ( donc maintenue)

		
		
		
		
		

*************************************************************************************************************************************************
* Identification des personnes à sélectionner pour les formations, et ordre établi dans les listes d'éligibles non sélectionnés
**************************************************************************************************************************************************

** Ordonner dans chaque localité par score décroissant de vulnérabilité
		replace score_vul=. if non_eligible_form==1 // pas de score sur les non eligibles qui sont exclus de toute facon
		** TBC : qui est non éligible ? Est ce juste els critères de la grille ou aussi la triangulation ou triangulation + CV
		** --> ce qui a été retenu, c'est grille + triangulation + CV dans la selection finale, mais que grille dans le calcule des nb à former (calcul de Select_Formation)

		gsort  +ID_loc -score_vul
		cap drop rank_loc
		by ID_loc : egen rank_loc=rank(-score_vul), unique

** Sélectionner le quota des plus vulnérables dans chaque localité
		gen Select_Formation=0 if Option!=4
		 replace Select_Formation=1 if rank_loc<=Tot_Select_Formation & Option!=4
		ta Select_Formation Option  // Check the Fit - total should be 5000

		forvalues i = 1/3 {
		gen Select_Form_C_`i'=0
		replace Select_Form_C_`i'=1 if rank_loc<=Tot_Select_Form_C_`i'
		ta Select_Form_C_`i' Option
		}
		
		** ADD 10/26/18 : simulating stricter cut off on all treated to have common cut off sample **
		gen Select_Form_T_1_All=0 if Option!=4
		replace Select_Form_T_1_All=1 if rank_loc<=Tot_Select_Form_T2_1 & Option==2
		replace Select_Form_T_1_All=1 if rank_loc<=Tot_Select_Form_T3_1 & Option==3
		replace Select_Form_T_1_All=1 if Select_Formation==1 & Option==1
		ta Select_Form_T_1_All Option  // check consistency by comparing the two following tables
		ta Select_Formation Option
		
		** ADD 06/15/19 : simulating larger cut off on all to have common cut off sample for SPILLOVERS **
		gen Select_Form_T_3_All=0 if Option!=4
		replace Select_Form_T_3_All=1 if rank_loc<=Tot_Select_Form_T2_3 & Option==2
		replace Select_Form_T_3_All=1 if rank_loc<=Tot_Select_Form_T1_3 & Option==1
		replace Select_Form_T_3_All=1 if Select_Formation==1 & Option==3
		ta Select_Form_T_3_All Option // check consistency by comparing the two following tables
		ta Select_Formation Option
		
** Echantillon final de traités (invités aux formations)

		gen Traitement_Indiv=Select_Formation
		label variable Traitement_Indiv "Traitement Individuel PRISE (théorique)"
		*recode Traitement_Indiv (0=.) if non_eligible_form==1

** Echantillon final "réel" d'invités aux formations

		gen Traitement_Indiv_IRC=Traitement_Indiv

				*** Cas particuliers des AVEC de moins de 17 personnes 
				gen Exception_Select=0
				replace Exception_Select=1 if Option==2 & Select_Formation==0 & Tot_Select_Formation<17 & rank_loc<=17 & non_eligible_form==0
				label variable Exception_Select "Exception AVEC < 17 Selection additionnelle"

		replace Traitement_Indiv_IRC=1 if Exception_Select==1
		*replace Traitement_Indiv_IRC=1 if id=="SP12V22S2N056" // voir plus haut
		recode Traitement_Indiv_IRC (0=.) if (non_eligible_grille==1 | Exclusion_Trg_IRC==1 | Exclu_CV==1 )

		
		ta Traitement_Indiv Select_Form_IRC,m
		


drop Traitement_Indiv_IRC //Exclusion_Trg_IRC
rename Select_Form_IRC Traitement_Indiv_IRC
label variable Traitement_Indiv_IRC "Traitement Individuel PRISE (réel)"		




























* 6) Recoding some variables

	foreach var in f2a f2b {
		recode `var' (3=0)
	}

	foreach var in  a5 a6 a9 c1 dc1 dc4 dc7 e1 e5 e6 e7 e8a{
		recode `var' (2=0)
	}

	recode milieu (1=0) (2=1) // 1 = rural

	recode a1 (1=0) (2=1) 
	
	recode a6 (.=0) if a5==0
	recode a7 (.=1) if a5==0

	recode b7 (.=0) if b5==0 | b4==0
	recode b8 (.=0) if  b4==0


	recode e2 (.=0) if e1==0
	recode e9 (.=0) if e8a==0

*	recode Traitement_Indiv (.=0)

	
	replace e3_1=0 if e3_1!=1

	* LABELS VALUES
		
	label define yesno 1 "Oui" 0 "Non"

	foreach var in  a1 a5 a6 a9 c1 dc1 dc4 dc7 e1 e5 e6 e7 e8a{
		label values `var' yesno
	}	

		
	* Categorical variables into dummies		

	foreach var of varlist a3 a7 a16 a15 db5 db4 dc3_c dc5 dc6_1 f2a f2b g6c g7 Option {
		tab `var' , gen(`var'_)
	}

	*Complementary variables

		gen a16_autre=a16_6+a16_7 // lien ac chef du menage : sans lien de parentalité ou domestique

		gen travail=(travail_da==1) // l'enquete travail
		recode  travail (0=1) if dc_vide==0 | db_vide==0

		recode db2 (.=0) if travail==0 // si ne travail pas alors 0 heures de travail sur les 7 derniers jours
	recode db3 (.=0) if  travail==0 // si ne travail pas alors 0 jours de trvail sur les 30 derniers jours

		gen dc2_bis=dc2 // Au moins deux activites independantes 
		recode dc2_bis (1=0) (2=1)
		recode dc2_bis (.=0)
		label values dc2_bis yesno
		label variable dc2_bis "Activite independante en plus de la principale"
		
	* Grouping modalities with low incidence response
		gen a7_autre=1 if a7_4==1 | a7_5==1 | a7_6==1
		label variable a7_autre "Autre diplome - bac et plus"
		
		replace a16_autre=1 if a16_4==1 | a16_5==1 | a16_autre==1
		label variable a16_autre "Autre statut ménage"
		
		gen db4_indep=1 if db4_2==1 | db4_3==1
		label variable db4_indep "Act principale - Indépendant"

		gen db4_autre=1 if db4_4==1 | db4_5==1 | db4_6==1 | db4_8==1
		label variable db4_autre "Act principale - Autres"
		
		gen db5_autre=1 if db5_2==1 | db5_3==1 | db5_4==1 
		label variable db5_autre "Remuneration - Autres"
		
		gen dc3_c_autre=1 if dc3_c_3==1 | dc3_c_5==1 | dc3_c_6==1
		label variable db5_autre "Comptabilite - Autres"

		foreach var in a7_autre db4_indep db4_autre db5_autre dc3_c_autre {
		recode `var' (.=0)
		}
	
	* grouping assets into categories
		gen b2 = 0
		replace b2=b2a_99+ b2b_99+ b2c_99
		
		gen b1_agri = 0
		replace b1_agri = b1d+b1e+b1f+b1g
		
		gen b1_transp = 0
		replace b1_transp = b1h+b1i+b1j
		
		gen b1_confort = 0
		replace b1_confort = b1k+b1l+b1m
	
	
	
	gen village=(type_loc==1) // type_loc = 1 = village
	
	ta village milieu // OK - recall milieu=1=rural
	
	
	* adding heterogeneity variables observable
			* A/ Gender
			gen gender= a1
			gen compl_gender=substr(id,9,1)
			replace gender=1 if compl_gender=="2"
			replace gender=0 if compl_gender=="1"
			

		
		* B/ Age

			gen youth=(age20_01_16<=35)

	/* age20_01_16 : computation comes from the code used for eligibility
		 - On calculera l'âge au 20 janvier 2016 (date de fin de l'enregistrement) 
		 - Si date de naissance vide, on utilise age renseigne en a2
	*/

		* C/ Village / other
// 			 village // variable already merged
		
			
		* D/ Autochtone versus others (allochtone, allogene)
		
		/* measure for autochtone :
		 - baseline declaration  b_a15
		 - based on ethnic group declared in endline A7 -> var A_Autochtone
		 
		 Between the two, 92% overlap. 
		 We keep using the baseline measure because it was directly asked compared to the ethnic group approach.
		
		*/
			gen autoch=(a15==1)
		
		* E/ Vulnerability at baseline - using the vulnerability score to be selected in the program
		
			su score_vul,d
// 			sca lim=r(p50)      
// 			gen vuln=( b_score_vul>=lim) // easier to keep the score as a continuous variable since subgroups of balance checks vary (indicator would have to be built on different subgroups)
			
	
* 7) Generating indicators for treatment and control sub groups 

	* Eligible group across treatment arms
		gen eligible_all=1 if non_eligible_form==0 & Option!=4
		replace eligible_all=0 if non_eligible_form==0 & Option==4
		
		gen T_SEMI_elig = (eligible_all==1) & (Option==1) if eligible_all<. 
		gen T_VSLA_elig = (eligible_all==1) & (Option==2) if eligible_all<. 
		gen T_CASH_elig = (eligible_all==1) & (Option==3) if eligible_all<.	
		
		gen Option_elig=1*(T_VSLA_elig==1)+2*(T_SEMI_elig==1)+3*(T_CASH_elig==1)+4*(eligible_all==0)
		recode Option_elig (0=.)
		
		
	* Pooled treatment variables for selected group (common support group)
		gen treat_common_main = 1 if (Traitement_Indiv==1) & Option!=4
		replace treat_common_main=0 if Select_Form_C_1==1 & Option==4 // using the control group identical to cutoff of T1
		recode treat_common_main (1=.) if Select_Form_T_1_All!=1 & (Option==2 |  Option==3 ) // Taking out of treatment T2 and T3 those who are not common (same cut off) to T1
		recode treat_common_main (0=.) if Select_Form_C_1==0 & Option==4 // Taking out of control those who are not common across branches
		replace treat_common_main=. if non_eligible_form==1 // we keep only for analysis people eligible for the program
		

	* Pooled treatment variables for non-selected group (common support group)
		gen treat_common_spill = 1 if (Traitement_Indiv==0) & Option!=4
		replace treat_common_spill=0 if Select_Form_C_3==0 & Option==4 // using the control group identical to cutoff of T3
		recode treat_common_spill (1=.) if Select_Form_T_3_All!=0 & (Option==1 |  Option==2 ) // Taking out of treatment T2 and T1 those who are not common (same cut off) to T3
		recode treat_common_spill (0=.) if Select_Form_C_3==1 & Option==4 // Taking out of control those who are not common across branches
		replace treat_common_spill=. if non_eligible_form==1 // we keep only for analysis people eligible for the program
		
	* By arm (common support group)
		gen T_SEMI_M_common = (treat_common_main==1) & (Option==1) if treat_common_main<. 
		gen T_VSLA_M_common = (treat_common_main==1) & (Option==2) if treat_common_main<. 
		gen T_CASH_M_common = (treat_common_main==1) & (Option==3) if treat_common_main<.	

		gen Option_M_common=1*(T_VSLA_M_common==1)+2*(T_SEMI_M_common==1)+3*(T_CASH_M_common==1)+4*(treat_common_main==0)
		recode Option_M_common (0=.)

		
		gen T_SEMI_S_common = (treat_common_spill==1) & (Option==1) if treat_common_spill<. 
		gen T_VSLA_S_common = (treat_common_spill==1) & (Option==2) if treat_common_spill<. 
		gen T_CASH_S_common = (treat_common_spill==1) & (Option==3) if treat_common_spill<.	
		
		gen Option_S_common=1*(T_VSLA_S_common==1)+2*(T_SEMI_S_common==1)+3*(T_CASH_S_common==1)+4*(treat_common_spill==0)
		recode Option_S_common (0=.)
		
		
	* Control group equivalent for each treatment arm
	
	gen Semi_M_C = 1 if Option==1 & Traitement_Indiv==1 & non_eligible_form==0
	replace Semi_M_C= 0 if Select_Form_C_1==1 & non_eligible_form==0 //control group for selected under option 1 Semi Credit "cash grant with repayment"

	gen VSLA_M_C = 1 if Option==2 & Traitement_Indiv==1  & non_eligible_form==0
	replace VSLA_M_C= 0 if Select_Form_C_2==1 & non_eligible_form==0 //control group for selected under option 2 VSLA

	gen Cash_M_C = 1 if Option==3 & Traitement_Indiv==1 & non_eligible_form==0
	replace Cash_M_C= 0 if Select_Form_C_3==1 & non_eligible_form==0 //control group for selected under option 3 Cash grant

	gen Semi_S_C = 1 if Option==1 & Traitement_Indiv==0 & non_eligible_form==0 //control group for non-selected under option 1 Semi Credit "cash grant with repayment"
	replace Semi_S_C= 0 if Option==4 & Select_Form_C_1==0 & non_eligible_form==0

	gen VSLA_S_C = 1 if Option==2 & Traitement_Indiv==0 & non_eligible_form==0 //control group for non-selected under option 2 VSLA
	replace VSLA_S_C= 0 if Option==4 & Select_Form_C_2==0 & non_eligible_form==0

	gen Cash_S_C = 1 if Option==3 & Traitement_Indiv==0 & non_eligible_form==0 //control group for non-selected under option 3 Cash grant
	replace Cash_S_C= 0 if Option==4 & Select_Form_C_3==0 & non_eligible_form==0

	
	egen cluster_loc=group(ID_loc) 
		

replace treat_common_spill = . if id == "SP12V29S2N059"




save "$data/processed data/Baseline_cleaned_database.dta", replace

