********* Cleaning do-file of the endline dataset 

use "$data/raw data/Endline_raw_database.dta", replace       
	
	
	
	
	
	

* B2) on ajoute les infos des variables de fin d'interview :

replace attrit_i_e=0 if visit1_resultat==1 | visit2_resultat==1 | visit3_resultat==1
recode attrit_i_e (.=2) if visit1_resultat==2 & visit2_resultat!=1 & visit3_resultat!=1 // A VOIR si on compte attrit ou non // 43 changes made
recode attrit_i_e (.=2) if visit2_resultat==2  & visit3_resultat!=1 
replace attrit_i_e=1 if visit1_resultat==3 | visit2_resultat==3 | visit3_resultat==3


* B2) on rectifie en vérifiant les lignes vides :
recode attrit_i_e (.=1) if visit1_resultat>=. & observations=="##N/A##" & consent==.a // questionnaire non administré
recode attrit_i_e (.=1) if visit1_resultat>=. & (consent==.a | consent==2) & A1>=.a // questionnaire non administré
recode attrit_i_e (.=1) if visit1_resultat>=. &  A1>=. &  T1a>=. // questionnaire non administré

recode attrit_i_e (.=0) if consent<. & A1<. & T1a<.


*** check completion pour non attrit
// OK

*** check non completion pour  attrit
// OK

*** check enquete partielle

recode attrit_i_e (2=0) if  A1<. & capi_id=="8a3e0007b6fb4a6091a382e82b490b5d" | ///
capi_id=="46e830359a8543dd9fd721f52f337d64" | capi_id=="f83127a6cc28407f9d35aafa52e3c321" | ///
capi_id=="9ecd6a7a33a24a82be6b44d025cd5309" |  capi_id=="088bd7ae4e1e4c009c681a72e04f7517" | ///
capi_id=="a6b17ebacf09417e810adc7b640f27ea" | capi_id=="830d08673a424346b0248d39f3ab3f76" 

recode attrit_i_e (2=1) // tous les autres cas marques enquete partielle sont en fait des non enquetes

/** B3= on vérifie la cohèrence avec les infos d'attrition de suivi de la collecte

merge 1:1 id using "$chemin\Bases complementaires\Follow_up_data.dta", keepusing (R_a R_b)
gen check=1 if R_a==1 | R_b==1
recode check (.=0)
assert check==(1-attrit_i_e)
drop check
drop R_a R_b _merge
order attrit_i_e, after(attrit_i_m)
*/

*label variable 
		 
assert attrit_i_e!=. 

ta attrit_i_e


	 
**** OUTPUT SUIVI

// merge 1:1 id using "$user\Suivi collecte HQ\ID_tracking.dta"
// recode attrit_i_e (1=0) if _merge==3
// drop _merge

// preserve
// 	keep if  loc_completed==1
// 	*assert not_on_server!=1 //  some indiv from the sample in completed localities ARE NOT on survey solution server 
//	
// 	sort ID_loc
// 	keep if not_on_server==1
// 	export excel id using "$user/Suivi collecte HQ/Suivi_collecte_$date", sheet("ID manquant serveur") firstrow(variables) replace
//
//  restore

	** BELOW : FILE TO FOLLOW ATTRITION 	 
// 	 sum attrit_i_e if treatment==1 & echantillon_princ==1
// 	 sca A1=`r(mean)'
// 	 sum attrit_i_e if treatment==0 & echantillon_princ==1
// 	 sca A2=`r(mean)'	 
//	 
// 	 sum attrit_i_e if ie_arm==1 & echantillon_princ==1
// 	 sca A3=`r(mean)'	 
// 	 sum attrit_i_e if ie_arm==2 & echantillon_princ==1
// 	 sca A4=`r(mean)'	 
// 	 sum attrit_i_e if ie_arm==3 & echantillon_princ==1
// 	 sca A5=`r(mean)'	 
//	 
// 	 mat A=(A1,A2,A3,A2,A4,A2,A5,A2)
//	 
// 	 sum attrit_i_e if treatment==1 & echantillon_sec==1
// 	 sca B1=`r(mean)'
// 	 sum attrit_i_e if treatment==0 & echantillon_sec==1
// 	 sca B2=`r(mean)'	 
//	 
// 	 sum attrit_i_e if ie_arm==1 & echantillon_sec==1
// 	 sca B3=`r(mean)'	 
// 	 sum attrit_i_e if ie_arm==2 & echantillon_sec==1
// 	 sca B4=`r(mean)'	 
// 	 sum attrit_i_e if ie_arm==3 & echantillon_sec==1
// 	 sca B5=`r(mean)'	 
//	 
// 	 mat B=(A \ B1,B2,B3,B2,B4,B2,B5,B2)
//	 
// 	matrix rownames B = Main_Sample Spillover_Sample
// 	matrix colnames B = All_treated Control Semi_Credit Control AVEC Control Cash_Grant Control
//	
// 	xml_tab B, save($user/Suivi collecte HQ/Suivi_attrition_$date) sheet("Suivi taux attrition All")  replace  
//	
//
//  preserve
//	 
// 	 bysort ID_loc : egen attrit_nb_all=total(attrit_i_e)
// 	 bysort ID_loc : egen loc_tot_all=count(attrit_i_e)
// 	 bysort ID_loc : egen attrit_nb_main=total(attrit_i_e) if echantillon_princ==1
// 	 bysort ID_loc : egen loc_tot_main=count(attrit_i_e) if echantillon_princ==1
//	 
// 	 bysort ID_loc : egen attrit_nb_spill=total(attrit_i_e) if echantillon_sec==1
// 	 bysort ID_loc : egen loc_tot_spill=count(attrit_i_e) if echantillon_sec==1
//	 
// 	*bysort ID_loc : egen not_server=total(not_on_server)
//
// 	 keep attrit* loc* ID_loc
// 	 drop attrit_i_e 
// 	 duplicates drop
//	 
// 	 order attrit_nb_all loc_tot_all attrit_nb_main loc_tot_main  loc_tot_spill attrit_nb_spill, a(ID_loc)
// 	 export excel using "$user/Suivi collecte HQ/Suivi_attrition_$date", sheet("Suivi taux attrition") firstrow(variables) nolabel replace 
//
// restore


//
//   preserve
// 	 keep if   attrit_i_e==1
// 	merge 1:1 id using "$user/PRISE - Collecte/Data/Non_enquete_221118.dta"
// 	gen check=1 if _merge==3
// 	replace check=0 if _merge!=3
//	
// 	gen missing_fichier=1 if _merge==1 // inclus 40taine de cas entretien partiel
// 	gen incoherent_data=1 if _merge==2
// 	sort missing_fichier
// 	keep if check==0 
//	
// 	export excel ID_loc  id  capi_id visit1_resultat-nonenquete_detail observations missing_fichier incoherent_data using "$user/Suivi collecte HQ/Suivi_collecte_$date", sheet("Check Non reponse ",replace) firstrow(variables) nolabel  
//
// restore
// 
// 
 
********** END TEMPORAIRE

// merge 1:1 id using "$user/PRISE - Collecte/Data/Rappel51218.dta"
// recode attrit_i_e (1=0) if _merge==3
//
//  preserve
//	 
// 	 bysort ID_loc : egen attrit_nb_all=total(attrit_i_e)
// 	 bysort ID_loc : egen loc_tot_all=count(attrit_i_e)
// 	 bysort ID_loc : egen attrit_nb_main=total(attrit_i_e) if echantillon_princ==1
// 	 bysort ID_loc : egen loc_tot_main=count(attrit_i_e) if echantillon_princ==1
//	 
// 	 bysort ID_loc : egen attrit_nb_spill=total(attrit_i_e) if echantillon_sec==1
// 	 bysort ID_loc : egen loc_tot_spill=count(attrit_i_e) if echantillon_sec==1
//	 
// 	*bysort ID_loc : egen not_server=total(not_on_server)
//
// 	 keep attrit* loc* ID_loc
// 	 drop attrit_i_e 
// 	 duplicates drop
//	 
// 	 order attrit_nb_all loc_tot_all attrit_nb_main loc_tot_main  loc_tot_spill attrit_nb_spill, a(ID_loc)
// 	 export excel using "$user/Suivi collecte HQ/Suiviattrition_$date", sheet("Sim ALL tracked") firstrow(variables) nolabel replace 
//
// restore
//
// recode attrit_i_e (0=1) if _merge==3
// recode attrit_i_e (1=0) if _merge==3 & rank<=(0.5*72)
//
//  preserve
//	 
// 	 bysort ID_loc : egen attrit_nb_all=total(attrit_i_e)
// 	 bysort ID_loc : egen loc_tot_all=count(attrit_i_e)
// 	 bysort ID_loc : egen attrit_nb_main=total(attrit_i_e) if echantillon_princ==1
// 	 bysort ID_loc : egen loc_tot_main=count(attrit_i_e) if echantillon_princ==1
//	 
// 	 bysort ID_loc : egen attrit_nb_spill=total(attrit_i_e) if echantillon_sec==1
// 	 bysort ID_loc : egen loc_tot_spill=count(attrit_i_e) if echantillon_sec==1
//	 
// 	*bysort ID_loc : egen not_server=total(not_on_server)
//
// 	 keep attrit* loc* ID_loc
// 	 drop attrit_i_e 
// 	 duplicates drop
//	 
// 	 order attrit_nb_all loc_tot_all attrit_nb_main loc_tot_main  loc_tot_spill attrit_nb_spill, a(ID_loc)
// 	 export excel using "$user/Suivi collecte HQ/Suiviattrition_$date", sheet("Sim HALF tracked") firstrow(variables) nolabel replace 
//
// restore












































***********************************
*  CLEANING CODE
**********************************

*DATE : 07/12/2018
* Last update May 7th 2019

*Alicia Marguerie & Eva Lestant

**** Base endline  PRISE ****

/* DESCRIPTION : 
- checks modules par modules sur les valeurs prises par les variables
- checks sur la cohérence 
- re-ventilation de quelques catégories "autres" qui ne sont pas pertinentes (travail à poursuivre)
- re-codage des valeurs spéciales (refus, non applicable, ne sait pas, cf ci dessous)

NB recodage :
66..6 = ne sait pas --> codé .b
77..7 = non applicable --> codé .a
88..8 = refus de répondre  --> codé .c */


**************************************
** Checks  par modules et par var
**************************************

label define binary 1 "Oui" 0 "Non"
label define gender 1 "Female" 0 "Male"
label define FCS 1 "Poor" 2 "Borderline" 3 "Acceptable"

**********************
**Module Identification
**********************

* en suspens *
replace consent=1 if attrit_i_e!=1 & consent==2
assert consent==1 if attrit_i_e!=1

******************************************************************************************************************
** 										Checks  Module A
**											INDIVIDUAL MAIN INFO
******************************************************************************************************************


recode A1 A8 A10 (2=0)
label values A1 A8 A10 binary

*TBC : rajouter la variable age pour avoir ceux pour qui A1==1 : la variable age  du merge des data de baseline

recode A2 (666=.b) (216=.b) (330=.b)

replace A2=2018-A2 if A2>2000 & A2<.
replace A2=2018-2016 if A3_a==3
replace A2=2018-2017 if A3_a==2
replace A2=0 if A3_a==1 & A3_b!=.

recode A4a (99=3) if A4aAutre=="Libéria"

*TBC : A4b a recoder en grande region

*TBC : A5Autre

* Groupe ethnique autre a recoder A7
label define A7 1 "Yacouba / Dan / Kla" 2 "Toura" 3 "Dioula / Malinké" 4 "Baoulé" 5 "Mahouka / Mahou" 6 "Sénoufo" 7 "Moré / Mossi" ///
8 "Lobi" 9 "Gouro" 10 "Wan" 11 "Guéré" 12 "Gourounsi / Groussi" 13 "Agni" 14 "Bambara" 15 "Attié" 16 "Wobe" ///
66 "Ne sait pas" 88 "Refus" 99 "Autre (à préciser)" ///
17 "Bété" 18 "Koyaka" 19 "Libériens" 20 "Guinéens" 21 "Maliens" 22 "Ghanéens" 23 "Béninois" 24 "Burkinabé autre", replace

recode A7 (99=1) if A7Autre=="kla" | A7Autre=="Kla" |  A7Autre=="Dan" | A7Autre=="DAN" |  A7Autre=="dan"
recode A7 (99=18) if A7Autre=="koyaka" | A7Autre=="KOYAKA" |  A7Autre=="Koyaka" | A7Autre=="koyaka de seguela." |  A7Autre=="kouyaka" |  A7Autre=="kouyaga"
recode A7 (99=20) if A7Autre=="GUINEE" | A7Autre=="GUINEENNE" |  A7Autre=="Guinneen" | A7Autre=="Guinée" ///
| A7Autre=="Guinéen" |  A7Autre=="guinee" | A7Autre=="guineen" | A7Autre=="guineenne" | A7Autre=="kissi ( la guinée )" ///
|  A7Autre=="kognanka, ethnie guineen" | A7Autre=="peulhs guinéen" | A7Autre=="Guineenne" 
recode A7 (99=23) if A7Autre=="Beninois" | A7Autre=="Fon (Beninoise)" |  A7Autre=="Fonh (Benin)" 
recode A7 (99=21) if A7Autre=="MALIEN" | A7Autre=="Malien" |  A7Autre=="Malienne" | A7Autre=="PEUHL MALIEN" ///
| A7Autre=="Peulh" |  A7Autre=="peulh" | A7Autre=="peuhl" 
recode A7 (99=7) if A7Autre=="Mossi" | A7Autre=="MOSSI" |  A7Autre=="mossi" | A7Autre=="BOBO" 
recode A7 (99=24) if A7Autre=="BURKINABE" | A7Autre=="burkinabé  (nounouman )" |  A7Autre=="Toussian ( senoufo  du Burkina Faso )" | A7Autre=="senoufo du bukina" 
recode A7 (99=5) if A7Autre=="mahouka" | A7Autre=="BARAKA(COMME MAHOUKA)" | A7Autre=="BRALAKA" | A7Autre=="Baraka" 
recode A7 (99=17) if A7Autre=="BETE" | A7Autre=="Bété" | A7Autre=="bete" | A7Autre=="bété" 
recode A7 (99=6) if  A7Autre=="TAGBANA" | A7Autre=="tagbanan" 
recode A7 (99=3) if  A7Autre=="odieneka" | A7Autre=="odienneka" | A7Autre=="Odienneka" | A7Autre=="Odiennéka" | A7Autre=="Odiénnéka" 
/*

A7:
           1 Yacouba / Dan / Kla
           2 Toura
           3 Dioula / Malinké
           4 Baoulé
           5 Mahouka / Mahou
           6 Sénoufo
           7 Moré / Mossi
           8 Lobi
           9 Gouro
          10 Wan
          11 Guéré
          12 Gourounsi / Groussi
          13 Agni
          14 Bambara
          15 Attié
          16 Wobe
		  
          66 Ne sait pas
          88 Refus
          99 Autre (à préciser)
		  
Ajouts :
		17 Bété		  
		18 Koyaka
		19 Libériens
		20 Guineens
		21 Maliens
		22 Ghanéens
		23 "Béninois" 
		24 "Burkinabé autre"
		
Rq :
- Tagbana is a senoufo language
- Odienneka = Malinke / Dioula
- Peul : by default we coded as Malian but can be guinean or burkinabe too

*/



* A9 a regrouper selon le grouping de A7 

rename A9__11 A9_17
forvalues i=12/17 {
	local j =`i'-1
	rename A9__`i' A9_`j'
}

forvalues i=1/10 {
	rename A9__`i' A9_`i'
}



foreach i of numlist 18/22 99/102 {
	rename A9__`i' A9_`i'
}



* Re classifying categories others
foreach i of numlist 1/22 99/102 {
	gen I_A9_`i'=0 if attrit_i_e==0
	replace I_A9_`i'=1 if A9_`i'>0 & A9_`i'<.
}

gen I_A9_23=0
gen I_A9_24=0


replace I_A9_23 =1 if A9Autre1=="BENINOIS" | A9Autre1=="Benin" | A9Autre1=="Beninois" | A9Autre1=="Bininois" | A9Autre1=="Béninois" | A9Autre1=="beninois" 
replace I_A9_23 =1 if A9Autre2=="Beninois" | A9Autre2=="beninois" 
replace I_A9_23 =1 if A9Autre3=="BENINOIS" | A9Autre3=="beninois"    

replace I_A9_24 =1 if A9Autre1=="BURKINABE" | A9Autre1=="Bobo" | A9Autre1=="Bobo  (burkinabe)" | A9Autre1=="Burkina Faso" | A9Autre1=="Burkina faso"  ///
| A9Autre1=="Burkinabè" | A9Autre1=="Burkinabé" | A9Autre1=="BÔBÔ" | A9Autre1=="Les pheuls venus du Burkina et du Mali" ///
| A9Autre1=="Pheuls venus du Burkina" | A9Autre1=="Pheuls venus du Burkina Faso" | ///
A9Autre1=="boukinabé" | A9Autre1=="brukinabais" | A9Autre1=="bukinabé" | A9Autre1=="burkinabe" | A9Autre1=="burkinabé" 
replace I_A9_24 =1 if A9Autre2=="burkinabe" | A9Autre2=="burkinabè" | A9Autre2=="Dagari (Burkina Faso )" | A9Autre2=="BURKINABE" 
replace I_A9_24 =1 if A9Autre3=="Bissa (Burkina Faso )" 
replace I_A9_24 =1 if A9Autre4=="bobo" 
		  
replace I_A9_21 =1 if A9Autre1=="peuhl" | A9Autre1=="peul" | A9Autre1=="peule" | A9Autre1=="peules" | A9Autre1=="peulh" | A9Autre1=="peulhs" ///
 | A9Autre1=="peuls" | A9Autre1=="Malien" | A9Autre1=="Pheuls venus du Mali" | A9Autre1=="PEUHLS" | A9Autre1=="Peul" ///
 | A9Autre1=="Peulh" | A9Autre1=="Pheuls venus du Mali" | A9Autre1=="Malien" 
 replace I_A9_21 =1 if A9Autre2=="peulh" | A9Autre2=="peulhs" | A9Autre2=="PEUL" | A9Autre2=="PEULH" | A9Autre2=="peul"
 replace I_A9_21 =1 if A9Autre4=="peulh" | A9Autre4=="peûhl" 

								 
replace I_A9_20 =1 if A9Autre1=="Guinéen" | A9Autre1=="Manon"
replace I_A9_20 =1 if A9Autre2=="manon (groupe ethnique de la guinée)" 


replace I_A9_6 =1 if A9Autre1=="TAGBANA" | A9Autre1=="TAGBANAN" | A9Autre1=="TAGNANAN" | A9Autre1=="TANGBANA" ///
| A9Autre1=="Tagbanan" | A9Autre1=="Tagouanan" | A9Autre1=="tagana" | A9Autre1=="tagbana" ///
 | A9Autre1=="tagbanan" | A9Autre1=="tagouana" 
 replace I_A9_6 =1 if A9Autre2=="Tagbanan"
 replace I_A9_6 =1 if A9Autre3=="Tagbanan" 

							  
replace I_A9_5 =1 if A9Autre1=="BRALAKA" | A9Autre1=="Baraka" | A9Autre1=="balaka" | A9Autre1=="baraka" 
replace I_A9_5 =1 if A9Autre2=="BRALAKA"

replace I_A9_1 =1 if A9Autre1=="Dan" | A9Autre1=="KLA" | A9Autre1=="kla" | A9Autre1=="ODIENEKA" ///
| A9Autre1=="ODIENNEKA"  | A9Autre1=="Odiennéka"  | A9Autre1=="Odiénneka"  | A9Autre1=="odieneka"  | A9Autre1=="odiénéka" 
replace I_A9_1 =1 if A9Autre2=="Odiennéka"

* A9_Total = total nb of different ethnic groups in the village
// gen A9_Total = 0 if attrit_i_e==0
// foreach i of numlist 1/22 99/102 {
// replace A9_Total=A9_Total+1 if A9_`i'>0 & A9_`i'<.
// }

gen A9_Total = 0 if attrit_i_e==0
foreach i of numlist 1/24 {
replace A9_Total=A9_Total+1 if I_A9_`i'==1
}

recode  A8 (66=.b)



******************************************************************************************************************
** 										Checks  Module B
**											HOUSEHOLD
******************************************************************************************************************


recode B0a B5* B6* B9 (2=0)
label values B0a B5* B6* B9 binary

recode B2* (1=0) (2=1)
label values B2* gender

foreach x of varlist B10a B10b B10c B10d {
recode `x' (.=0) if B9==0 & attrit_i_e==0
}




//
// gen B0_statut=B0b
// replace B0_statut=1 if B0b==. & B0a==1
// label define B0 1 "Chef de ménage" 2  "Conjoint du chef de ménage"  3  "Enfant du chef de ménage"  4  "Père ou mère du chef de ménagenou du conjoint" 5 "Autres parents du chef de ménage ou du conjoint" 6  "Autre personne non apparentée"
// label value B0_statut B0 
// recode B0_statut (.=.a)
//
// label variable nb_hh "Nombre de ménage"
//
// if type_questionnaire!=1 {
// gen nb_enfants_sco=(B5_1==1)+ (B5_2==1)+(B5_3==1) + (B5_4==1) +(B5_5==1)+(B5_6==1)+(B5_7==1)+(B5_8==1)+(B5_9==1)+(B5_10==1)+(B5_11==1)+(B5_12==1)+(B5_13==1)+(B5_14==1)+(B5_15==1)+(B5_16==1)+(B5_17==1)+(B5_18==1)+(B5_19==1)+(B5_20==1)+(B5_21==1)+(B5_22==1)+(B5_23==1)+(B5_24==1)
// label variable nb_enfants_sco "Nombre de membres du ménage ayant fréquenté l'école"
//

/* Var clean
B0a B1 nb_enfants_sco B9 dep_educ_f1a
*/

*TBC : bq de var non exploitées

******************************************************************************************************************
** 										Checks  Module C
**											ASSETS
******************************************************************************************************************

forvalues i=1/23 {
rename  C1__`i'  C1_`i'
}

recode C1* (2=0) if type_questionnaire==1
label values C1* binary

forvalues i=1/23 {   // cap because var _12 does not exist, noone owns one
 cap recode C2_`i' (.=0) (.a=0) if type_questionnaire==1 & C1_`i'==0 & attrit_i_e==0
 cap recode C3_`i' (.=0) (.a=0) if type_questionnaire==1 & C1_`i'==0 & attrit_i_e==0
 cap recode C3_`i' (666=.b) 
 cap recode C4_`i' (.=0) (.a=0) if type_questionnaire==1 & ( C1_`i'==0 | C3_`i'==0 )	 & attrit_i_e==0
}

** WARNING : mistakes on C3, some people have put the value (price paid) rather than the quantity. Correction below
forvalues i=1/11 {   
  replace C3_`i'=.b if C3_`i'>=500 & C3_`i'<.  //we replace wrong quantities (value instead of quantity) by a missing value
}
forvalues i=13/23 {   
  replace C3_`i'=.b if C3_`i'>=500 & C3_`i'<.  //we replace wrong quantities (value instead of quantity) by missing value
}

forvalues i=1/11 {   // var _12 does not exist, 
 assert  C2_`i'<. if type_questionnaire==1 & C1_`i'==1 
 assert  C3_`i'<. |  C3_`i'==.b if type_questionnaire==1 & C1_`i'==1 
 assert  C4_`i'<.  if type_questionnaire==1 & C1_`i'==1 

}
forvalues i=13/23 {  
 assert  C2_`i'<. if type_questionnaire==1 & C1_`i'==1 
 assert  C3_`i'<. |  C3_`i'==.b if type_questionnaire==1 & C1_`i'==1 
 assert  C4_`i'<.  if type_questionnaire==1 & C1_`i'==1 
}

* Topcoding
foreach var of varlist  C2_*  { 
			su `var' if `var'>0, d
			local p99 = `r(p99)'
			gen `var'_99=`var'
			replace `var'_99=`p99' if `var'>`p99' & `var'<.
	}
foreach var in C3 C4  { 	
foreach i of numlist 1/10 13/23 { // _12 does not exist and C3_11 is zero, C4_11 is zero too
			su `var'_`i' if `var'_`i'>0, d
			local p99 = `r(p99)'
			gen `var'_`i'_99=`var'_`i'
			replace `var'_`i'_99=`p99' if `var'_`i'>`p99' & `var'_`i'<.
}
}
gen C3_11_99=C3_11
gen C4_11_99=C4_11
	
******************************************************************************************************************
** 										Checks  Module E
**											EMPLOYMENT
******************************************************************************************************************

****************************************************************
** 			Checks Sub Module Ea - EMPLOYMENT STATUS
****************************************************************

recode ea2 ea3* ea4  (2=0)
label values  ea2 ea3* ea4   binary

*assert ea5==. if ea2==1 // 2 contradictions but "travail" variable based on ea1 is right so no pb
assert ea5==. if ea4==1

*ta ea5Autre
recode ea5 (99=3) if id=="SP01V10S2N068" | id=="SP01V11S2N029" | id=="SP09V05S2N051"
recode ea5 (99=7) if id=="SP07V04S2N008"  | id=="SP10V14S2N008"

*ta travail attrit_i_e,m
recode travail (0=.) if attrit_i_e==1 // "travail" is automatically generated in the questionnaire based on answers in module Ea.

/*
Note : 
- "travail" is automatically generated in the questionnaire based on answers in module Ea.
- travail = (ea2 == 1)   -- worked in the last 7 days
           | (one var among ea3* ==1 )   -- did an activity in the las t7 days which is considered to be work (ILO)
		   | ea4 == 1     -- exceptionnaly did not work the last 7 days but is employed / has an activity
		   | ea5 ==8      -- said she does not work but then answered she runs an activity / has casual jobs to make her living

*/

****************************************************************
** 			Checks Sub Module Eb - MAIN ACTIVITY
****************************************************************

** Activities

	forvalues i=0/9 {
		local j = `i'+1
		rename eb0__`i'  eb0_`j'
		replace eb0_`j'="" if  eb0_`j'=="##N/A##"
	}

	*assert eb0_1!="" if travail==1 // 2 contracdictions, TBC later if we keep them as worker or not (cross check witg other modules)
	assert eb0_1=="" if travail==0

	replace eb1="1" if eb1=="11"  // 2 errors, activity 11 cannot exist in the system, seems to be nb1 
	replace eb1="" if eb1=="-999999999"  // 2 errors, people who registered 0 activity but still are "working" (travail==1) and completed some questions in the module ...
	
	gen eb1_name=""
	forvalues j=1/10 {
		replace eb1_name=eb0_`j' if eb1=="`j'"
	}
	
	ta e_nb_act travail,m // same 2 weird cases
	recode e_nb_act (.=0) (.a=1) if attrit_i_e==0 
	
	* TBC : cross check eb0 et nb_activities

** Hours / days 

	assert eb2a<=126 | eb2a>=.
	assert eb2b<=30 | eb2b>=.
	assert eb2c <=12  | eb2c>=.

	foreach var in eb2a eb2b eb2c {
		recode `var' (.=0) if  travail==0
	}

	ta eb4 eb3,m


** Salary for wage employment

	recode  eb4 eb6 (2=0)
	label values eb4 eb6 binary

	assert eb5==. if eb4==0
	assert eb7==. if eb6==0

	recode eb5 (.=0) if  eb4==0
	recode eb7 (.=0) if  eb6==0

	foreach var in eb5 eb7  {
		recode `var' (66=.b) (666=.b)(88=.c) 
		recode `var' (.=0) if attrit_i_e==0 & travail!=.
	}


	count if eb5>1000000 & eb5<.
	count if eb7>1000000 & eb7<.



****************************************************************
** 			Checks Sub Module Ec - SECONDARY ACTIVITY
** 			Checks Sub Module Ed - TERTIARY ACTIVITY
****************************************************************

	foreach mod in ec ed {

		recode `mod'0 (2=0)
		recode `mod'0 (.=0)  if travail==0
		label values `mod'0 binary

		ta e_nb_act `mod'0,m 
		
		replace `mod'1="" if `mod'1=="-999999999"  | `mod'1=="14"
	
		gen `mod'1_name=""
		forvalues j=1/10 {
			replace `mod'1_name=eb0_`j' if `mod'1=="`j'"
		}
		
	** Hours / days 

		assert `mod'2a<=126 | `mod'2a>=.
		assert `mod'2b<=30 | `mod'2b>=.
		assert `mod'2c <=12  | `mod'2c>=.

		foreach var in `mod'2a `mod'2b `mod'2c {
			recode `var' (.=0) if  `mod'0==0
		}

		ta `mod'4 `mod'3,m


	** Salary for wage employment

		recode  `mod'4 `mod'6 (2=0)
		label values `mod'4 `mod'6 binary

		assert `mod'5==. if `mod'4==0
		assert `mod'7==. if `mod'6==0

		recode `mod'5 (.=0) if  `mod'4==0
		recode `mod'7 (.=0) if  `mod'6==0

		foreach var in `mod'5 `mod'7  {
			recode `var' (66=.b) (666=.b)(88=.c) 
			recode `var' (.=0) if attrit_i_e==0 & travail!=.
		}


		count if `mod'5>1000000 & `mod'5<.
		count if `mod'7>1000000 & `mod'7<.
		
	}	
		
	

******************************************************************************************************************
** 										Checks  Module F
**										UNEMPLOYMENT / SEARCH
******************************************************************************************************************

	recode  fa1 (2=0)
	label values  fa1 binary

******************************************************************************************************************
** 										Checks  Module Ef
**										SELF EMPLOYMENT
******************************************************************************************************************


	recode EfA1 EfA5* EfA5bis* EfA20a_* (2=0)
	label values EfA1 EfA5* EfA5bis* EfA20a_* binary

	recode EfA1 (.=0) (.a=0) if  attrit_i_e==0
	recode EfA1 (.a=.) 
	recode nb_AGR_EfA (.=0) (.a=0) if EfA1==0 & attrit_i_e==0 // TBC cas ech secondaire

	forvalue i=1/13 { // updated 10 to 13, May 2023
		*ta EfA6_`i',m // bcp de "autres"
		*ta EfA6Autre_`i' // many "others" related to conflict/crime (tensions, robbery, etc) or to health issues

		assert EfA7_`i'<=126 | EfA7_`i'>=.
		assert EfA8_`i'<=30 | EfA8_`i'>=.
		assert EfA9_`i' <=12  | EfA9_`i'>=.

		foreach var in EfA7 EfA8 EfA9 {
			recode `var'_`i' (.=0) if   fonctionne_`i'==0 
		}
				
		recode EfA10a_`i' (66=.b) (666=.b)
		*li EfA10a_`i'  EfA10b_`i'  if EfA10a_`i' >100 & EfA10a_`i' <.
		*ta EfA13__99_`i'

		recode EfA14_`i' (66=.b) (666=.b) (888=.c)
		recode EfA16_`i' (66=.b) (666=.b) (888=.c)
		replace EfA15b_`i'=.b  if EfA15a_`i'==9999999999
		replace EfA16_`i'=.b  if EfA15a_`i'==9999999999
		recode EfA15a_`i' (9999999999=.b) 

		recode EfA16_`i' EfA17_`i' EfA18_`i' (66=.b) (666=.b) (888=.c)
		assert EfA17_`i'<. if EfA18_`i'==99
		replace EfA18_`i'=EfA17_`i' if EfA18_`i'==99 // 99 = same total as previous question
		recode EfA18_`i' (.=0) if EfA17_`i'==0       // zero personql contribution if the total was already zero
		assert  EfA18_`i' <= EfA17_`i' if EfA18_`i'<.

		recode EfA19_`i'  (66=.b) (666=.b) (888=.c)
		
		forvalue j=0/24 {
			replace EfA20b__`j'_`i'="" if EfA20b__`j'_`i'=="-999999999" // added May 2023
		}

		*ta EfA21_`i' // WARNING : some people have put salary rather than nb of people
		replace EfA21_`i'=.b if EfA21_`i'>500 & EfA21_`i'<.
		
		*Topcoded variables // Topcoding 95 added May31 because some very high nb of employees
		sum EfA21_`i' , d
		local r3 = `r(p99)'
		gen EfA21_`i'_99 = EfA21_`i'
		replace EfA21_`i'_99 = `r3' if EfA21_`i'_99>`r3' & EfA21_`i'<.	

		sum EfA21_`i' , d
		local r3 = `r(p95)'
		gen EfA21_`i'_95 = EfA21_`i'
		replace EfA21_`i'_95 = `r3' if EfA21_`i'_95>`r3' & EfA21_`i'<.	
	}

******************************************************************************************************************
** 										Checks  Module EfB
**										SELF EMPLOYMENT
******************************************************************************************************************

	recode EfB5 EfB10_* EfB12_* EfB15 EfB17a_*(2=0)
	label values EfB5 EfB10_* EfB12_* EfB15 EfB17a_* binary 

	ta EfB1 EfA1,m

	gen EfB1_nom=""
	forvalues i=1/10 {
		replace EfB1_nom= EfA3_`i' if EfB1=="`i'"
	}

	recode EfB8b EfB9a EfB9b (666=.b) (999=.a) (66=.b)
	assert EfB9a>=. if EfB9b <.
	assert EfB9b>=. if EfB9a <.

	foreach var in EfB8a EfB8b EfB9a EfB9b {
		recode `var' (.=0) if EfA1==0
	}
	replace EfB8a=.b if EfB8a>1000 // incoherence, montant renseigne au lieu du nb de personnes

	forvalue i=1/4{
		replace EfB11_`i'=0 if EfB10__`i'==0
	}
	replace EfB11_99=0 if EfB10__99==0
	

	replace EfB13b=0 if EfB13a==4

*TBC EfB6


**********************
** Checks sur Module EeA
**********************

* General recoding :
	recode  EeA1 EeA2 EeA8_* EeA9_* EeA10_* EeA21 EeA22a EeA23a (2=0)
	label values  EeA1 EeA2  EeA8_* EeA9_* EeA10_* EeA21 EeA22a EeA23a  binary
	
	* quantities recoded for code 666 = don't know
	foreach var of varlist EeA5a* EeA15 EeA18 EeA20  EeA14a* {
		recode `var' (666=.)
	}
			
	recode EeA22b (666=.) (888=.)
	recode EeA23b (666=.) (888=.)	
	

* One by one checks per variable :

	gen EeA=0 if attrit_i_e==0
	replace EeA=1 if EeA1==1 | EeA2==1
	label variable EeA "Has at least one plot"
	
	ta EeA3 if EeA==1

	sum EeA3
	local nb_parc=r(max)
	
	forvalue i=1/`nb_parc' {
		recode EeA11a_`i' (.=0)  if EeA10_`i' ==1
		recode EeA11b_`i'  (.=0)  if EeA10_`i' ==1
		recode EeA11c_`i'  (.=0)  if EeA10_`i' ==0
		assert EeA11a_`i'<.  if EeA10_`i' ==1
		assert EeA11b_`i'<.  if EeA10_`i' ==1
		assert EeA11c_`i'<.  if EeA10_`i' ==0
		
		
		replace EeA11a_`i'=365 if EeA11a_`i'>365 & EeA11a_`i'<.
		replace EeA11b_`i'=365 if EeA11b_`i'>365 & EeA11b_`i'<.
		replace EeA11c_`i'=365 if EeA11c_`i'>365 & EeA11c_`i'<.
	}
	
	
//	
// 	rename EeA13_2_* EeA13_*
// 	rename EeA14a_2_* EeA14a_*
// 	rename EeA14b_2_* EeA14b_*

	su nb_culture*
	foreach i of numlist 1/19 24 {
		forvalues j=2/11 {
		assert EeA14a_`j'_`i'!=99 // 99 = toute la superficie. can only work if there is only one culture (J>1) on the plot
		}
	}
	
	* Nb total de parcelle topcoding 
	foreach var of varlist EeA3  {
			su `var' if `var'>0, d
			local p99 = `r(p99)'
			gen `var'_99=`var'
			replace `var'_99=`p99' if `var'>`p99' & `var'<.	
		}
	
	* days worked over last year cannot exceed 365 days. Probably the double ocunting is due to the fact that we asked "how many days for all plots together", but in the end the total cannot be more than the total nb of days available
	forvalues i=1/13 {
		replace EeA17_`i'=365 if EeA17_`i'>365 & EeA17_`i'<.
		}
		replace EeA19=365 if EeA19>365 & EeA19<. // topcoding au max du nb de jours	

	
	* EeA 18 / 20 
	* corrections : for 18 and 20, some variables are supposed to be "nb of (people)" and have been filled as "amount of money paid"
				
	foreach var of varlist  EeA18 EeA20  {
			replace `var'=.a if `var' >1000 & `var'<.	
	}
	
	* EeA22/23
	recode EeA22b (.=0) if EeA==0 | EeA22a==0
	recode EeA23b (.=0) if EeA==0 | EeA23a==0
	
	*  EeA18/20/22/23 : Topcoding amounts
	foreach var of varlist   EeA18 EeA19 EeA20 EeA22b EeA23b  {
		su `var' if `var'>0, d
		local p99 = `r(p99)'
		gen `var'_99=`var'
		replace `var'_99=`p99' if `var'>`p99' & `var'<.	
	}
	
	forvalues i=1/12 { // we have to exclude _13 because only 1 obs for this var
		local p99 = `r(p99)'
		gen EeA17_`i'_99=EeA17_`i'
		replace EeA17_`i'_99=`p99' if EeA17_`i'>`p99' & EeA17_`i'<.	
	}
	gen EeA17_13_99=EeA17_13
	

**********************
** Checks sur Module EeB
**********************

* General recoding :
	recode  EeB4* EeB6bis*  (2=0)
	label values EeB4* EeB6bis*  binary
	
	* quantities recoded for code 666 = don't know
	foreach var of varlist EeB3a* EeB5a* EeB6* EeB6ter*  {
		recode `var' (666=.)
	}
	
	
	foreach i of numlist 1/11 15 19 21/25 27/31 34 36 38/39 41/42 99 {	
		su EeB6_`i' if EeB6_`i'>0, d
		local p99 = `r(p99)'
		local p95 = `r(p95)'
		
		gen EeB6_`i'_99=EeB6_`i'
		replace EeB6_`i'_99=`p99' if EeB6_`i'>`p99' & EeB6_`i'<.
		
		gen EeB6_`i'_95=EeB6_`i'
		replace EeB6_`i'_95=`p95' if EeB6_`i'>`p95' & EeB6_`i'<.	
	}
	
	foreach i of numlist 12 16 26 33 35  {	
		gen EeB6_`i'_99=EeB6_`i'	// cannot be topcoded, 0 or 1 occurence
		gen EeB6_`i'_95=EeB6_`i'	// cannot be topcoded, 0 or 1 occurence
	}

	foreach i of numlist 1/4 6/9 11  19 21/24 27 31 34 42 99 {
		su EeB6ter_`i' if EeB6ter_`i'>0, d
		local p99 = `r(p99)'
		local p95 = `r(p95)'
		
		gen EeB6ter_`i'_99=EeB6ter_`i'
		replace EeB6ter_`i'_99=`p99' if EeB6ter_`i'>`p99' & EeB6ter_`i'<.	

		gen EeB6ter_`i'_95=EeB6ter_`i'
		replace EeB6ter_`i'_95=`p95' if EeB6ter_`i'>`p95' & EeB6ter_`i'<.	
		}
	
	foreach i of numlist 5 10 12 15 16 25/26 28/30  33 35/36 38/39 41  {	
	gen EeB6ter_`i'_99=EeB6ter_`i' // cannot be topcoded, 0 or 1 occurence
	gen EeB6ter_`i'_95=EeB6ter_`i' // cannot be topcoded, 0 or 1 occurence
	}	
	
**********************
** Checks sur Module EeC
**********************
* General recoding :
	rename EeC1__* EeC1_*
	
	recode  EeC1_* EeC5* EeC12* (2=0)
	label values  EeC1_* EeC5* EeC12*  binary
	
		* quantities recoded for code 666 = don't know
	foreach var of varlist EeC3* EeC9* EeC10* EeC11* EeC13* EeC14*   {
		recode `var' (666=.)
	}
	


* One by one checks per variable :
	gen EeC=0 if attrit_i_e==0
	foreach i of numlist 1/7 99 {
		replace EeC=1 if EeC1_`i'==1 
	}
	label variable EeC "Livestock Raising"
	
	foreach i of numlist 1/7 99 {
	recode EeC3_`i' (.=0) if EeC1_`i'==0 | EeC==0
		foreach var in EeC6	EeC7 EeC8{
			replace `var'_`i'=0 if EeC5_`i'==0
			recode `var'_`i' (.=0) if EeC5_`i'==1	
		}
	}
	
	
*  Topcoding amounts and numbers
	foreach var of varlist  EeC3* EeC6* EeC7* EeC8* EeC9* EeC10* EeC11*    { 
		su `var' if `var'>0, d
		local p99 = `r(p99)'
		gen `var'_99=`var'
		replace `var'_99=`p99' if `var'>`p99' & `var'<.	
	}
	
	foreach i of numlist 1 2 7 {	
		su EeC13_`i' if EeC13_`i'>0, d
		local p99 = `r(p99)'
		gen EeC13_`i'_99=EeC13_`i'
		replace EeC13_`i'_99=`p99' if EeC13_`i'>`p99' & EeC13_`i'<.		
	}
	
	foreach i of numlist 3/6 99{	
	gen EeC13_`i'_99=EeC13_`i' // cannot be topcoded 
	}

	foreach i of numlist  2 7 {	
		su EeC14_`i' if EeC14_`i'>0, d
		local p99 = `r(p99)'
		gen EeC14_`i'_99=EeC14_`i'
		replace EeC14_`i'_99=`p99' if EeC14_`i'>`p99' & EeC14_`i'<.		
	}
	
	foreach i of numlist 1 3/6 99{	
	gen EeC14_`i'_99=EeC14_`i' // cannot be topcoded 
	}
	
**********************
** Checks sur Module K
**********************

* done, OK

**********************
** Checks sur Module M
**********************

	recode MA1 MA2 MA3(2=0)
	label values MA1 MA2 MA3 binary 
	
	recode MA4 (.=0) if MA3==0

**********************
** Checks sur Module IA/B/C
**********************
	recode i_nb_gpepargne (.=0) (.a=0) if attrit_i_e==0

	recode IA1 IA4_* IA6_* IB5_* IB8_* IC7_* IC11_* IC15_*  (2=0)
	label values IA1 IA4_* IA6_* IB5_* IB8_* IC7_* IC11_* IC15_*  binary

	recode IB1* IB4* IB6*  IC4* IC6*  (666=.)
	
	forvalues i=1/5 {
	replace IA8_`i'=.b if IA8_`i'>1000 & IA8_`i'<.
	// ta IA10Autr_`i'  TBC :   IA10_1, champ autre pourrait etre reventile, 16percent
	recode IB3_`i' (99=2) if IB3Autre_`i'=="CHAQUE 5 JOURS" | IB3Autre_`i'=="chaque 4 jours" | IB3Autre_`i'=="chaque deux jours" | IB3Autre_`i'=="2 fois la semaine  les jeudis et dimanches" | IB3Autre_`i'=="TOUS LES 5 JOURS" | IB3Autre_`i'=="2 fois dans la semaine" | IB3Autre_`i'=="2 fois dans la semaine lundi et jeudi" | IB3Autre_`i'=="4 jours par semaine" | IB3Autre_`i'=="TOUS LES 5 JOURS" | IB3Autre_`i'=="TOUS LES DEUX JOURS" | IB3Autre_`i'=="Tous les 2 jours"
	recode IB3_`i' (99=3) if IB3Autre_`i'=="CHAQUE 10 JOURS" | IB3Autre_`i'=="tous les 15 jours" 
	recode IB3_`i' (99=4) if IB3Autre_`i'=="chaque 1 er lundi du mois" 
	recode IB4_`i' (1=.) (2=.) (5=.) // mistakes, supposed to be an amount in CFA
	recode IB6_`i' (1=.) (2=.) (5=.) // mistakes, supposed to be an amount in CFA
	recode   IB6* (.=0) if IB5_`i'==0
	}
	

	drop IB*_5 IC*_5 // TBC base finale // empty variables, not 5th group in separate modules
	
	forvalues i=1/4 {
	recode IC1_`i' (666=.) (66666=.)
	recode IC4_`i'  (4=.) (5=.) // mistakes, supposed to be an amount in CFA
	recode IC5b_`i'  (1=.) (2=.) // mistakes, supposed to be an amount in CFA
	recode IC5a_`i' (666=.c) // specific code because we need it for analysis later	
	replace IC5a_`i'=.c if IC5b_`i'==666 & IC6_`i'<.
	recode IC5b_`i' (666=.c) if  IC6_`i'<.
	replace IC6_`i'=IC5a_`i' if IC5a_`i' >=1000 & IC5a_`i'<.
	replace IC5a_`i'=.c if IC5a_`i' >=1000 & IC5a_`i'<. & IC6_`i'<.
	
		// TBC IC10Autr_1 a reventilet aussi

	replace IC12_`i'=.b if IC12_`i'>50 & IC12_`i'<. // mistakes, amount of the credit (CFA) has been put in the nb of credits taken
	replace IC13_`i'=.b if IC13_`i'<50  // mistakes, too low to be the amount of the credit (CFA) 
	recode IC12_`i' IC13_`i' (.=0) if IC11_`i'==0

		
	replace IC14bis_`i'=IC14_`i' if IC14_`i'>100 & IC14_`i'<. & IC14bis_`i'>=. // mistakes, confusion between IC14 and IC14bis
	recode IC14_`i' (66=.c) (99=.c) // specific code because we need it for analysis later	
	replace IC14_`i'=.c if IC14_`i'>100 & IC14_`i'<. 
	
	recode IC16_`i' IC17_`i' (1=.) (2=.) // mistakes, supposed to be an amount in CFA
	recode IC16_`i' IC17_`i' (.=0) if IC15_`i'==0
	}	

	* topcoding nb of members
	foreach var of varlist IB1_* IC1_* {
			su `var' if `var'>0, d
			local p99 = `r(p99)'
			gen `var'_99=`var'
			replace `var'_99=`p99' if `var'>`p99' & `var'<.	
		}
		
	* topcoding amounts in CFA
	foreach var of varlist IB4_* IB6_* IC4_* IC5a_* IC5b_* IC6_1 IC6_2 IC8_1 IC8_2 IC8_3 IC13_* IC14bis_1 IC14bis_2 IC14bis_3 IC16_* IC17* { // TBC last version of the data
		su `var' if `var'>0, d
		local p99 = `r(p99)'
		gen `var'_99=`var'
		replace `var'_99=`p99' if `var'>`p99' & `var'<.	
	}
			 
			
**********************
** Checks sur Module IE / IF
**********************

	recode  IE1 IE2 IE3_* IF1_* IF7_* (2=0)
	label values  IE1 IE2 IE3_* IF1_* IF7_* binary

	recode IF2* IF4* IF6* (666=.)

	foreach i of numlist 1/9 99 {
		recode IE4_`i' IE6_`i'  (666=.) (888=.)
		recode IE4_`i' IE6_`i' (.=0) if IE3__`i'==0
		ta IE5_`i'
	}

*  TBC IF1 Autre : attention bcp de "PRISE / IRC"

	foreach i of numlist 1/7 99 {
		recode IF2_`i' (1=.) (2=.) (4=.) // mistakes, supposed to be an amount in CFA
		replace IF5a_`i'=. if IF5b_`i'==66
		replace IF5a_`i'=. if IF5a_`i' > 1000 & IF5a_`i' <. // mistakes, hqs put the amount...
 		recode IF5a_`i' (66=.) (666=.)
		recode IF6_`i' (3=.) (2=.) (8=.) // mistakes, supposed to be an amount in CFA
// 		assert IF6_`i' <= IF4_`i' if IF6_`i'<. // 7 contradictions TBC - what do we consider ?
		li IF2_`i' IF4_`i' IF6_`i' if IF6_`i'>IF4_`i' & IF6_`i'<.	
		replace IF4_`i'= IF6_`i' if IF6_`i'>0 & IF6_`i'<. & IF4_`i'==0
	}
	
	* topcoding amounts in CFA
	foreach var of varlist IE4_* IE6_*  IF2_* IF4_* IF6_*  { // TBC last version of the data
		su `var' if `var'>0, d
		local p99 = `r(p99)'
		gen `var'_99=`var'
		replace `var'_99=`p99' if `var'>`p99' & `var'<.	
	}
		

**********************
** Checks sur Module J
**********************
 * not done yet
 

**********************
** Checks sur Module O
**********************

	recode O1__* O2_* O4_* O6_* O7_* O8_* (2=0)
	label values O1__* O2_* O4_* O6_* O7_* O8_* binary 
	
	forvalues i=1/6 {
	recode O3_`i' (.=0) if O1__`i'==0
	recode O3_`i' (666=.b) 
	}

**********************
** Checks sur Module P
**********************

	recode P5__* (2=0)
	label values P1* P2* P3* P5__* binary 

**********************
** Checks sur Module R
**********************

**********************
** Checks sur Module S
**********************

**********************
** Checks sur Module T
**********************

**********************
** Checks sur Module List U
**********************

// assert ma1==. if groupe==2
// assert mb1==. if groupe==1
//
// recode m20 (2=0)
// label values m20  binary 
//

***** Fin de questionnaire




	preserve
		u  "$data/processed data/Baseline_cleaned_database.dta" , clear
		keep id  birthday sprefect- milieu langue_1- langue_otr_2 a1- g9 nom_loc- score_vul non_eligible_form  rank_loc  Exception_Select
		rename * b_*
		rename b_id id
		tempfile baseline_some_vars
		save `baseline_some_vars', replace
	restore
	
	cap drop _merge
	merge 1:1 id using `baseline_some_vars'
	assert _merge!=1
	keep if _merge==3

	
	
	
	
	

* Description : Preparing DB for estimation : 
* - treatment variables : arms, and common support across arms
* -  clusters

* 1/ Create Treatment group variables

	cap drop _merge
// 	merge 1:1 id using "$data\Data selection indiv admin\Base_Selection_Indiv_VF.dta", keepusing(Select_Form_C_1 Select_Form_C_2 Select_Form_C_3 Select_Form_T_1_All )
	merge 1:1 id using "$data/processed data/Baseline_cleaned_database.dta", keepusing(Select_Form_C_1 Select_Form_C_2 Select_Form_C_3 Select_Form_T_1_All Select_Form_T_3_All  Select_Formation Traitement_Indiv) // June 15,  2019 - Change in DB required for spillovers

	keep if _merge==3
	drop _merge
	
	* Direct effects (benef in treated villages and equivalent in control)
	
	gen T_SEMI =1 if ie_arm==1 & Traitement_Indiv==1
	recode T_SEMI (.=0) if  ie_arm==4 & Select_Form_C_1==1
	gen T_VSLA =1 if ie_arm==2 & Traitement_Indiv==1
	recode T_VSLA (.=0) if ie_arm==4 & Select_Form_C_2==1
	gen T_CASH =1 if ie_arm==3 & Traitement_Indiv==1
	recode T_CASH (.=0) if ie_arm==4 & Select_Form_C_3==1
	
	
// 	gen treat_common_main=treatment if echantillon_princ==1
// 	recode treat_common_main (1=.) if Select_Form_T_1_All!=1 & (ie_arm==2 |  ie_arm==3 ) // Taking out of treatment T2 and T3 those who are not common (same cut off) to T1
// 	recode treat_common_main (0=.) if Select_Form_C_1==0 & ie_arm==4 // Taking out of control those who are not common across branches

	gen treat_common_main=treatment if Traitement_Indiv==1
	recode treat_common_main (.=0) if Select_Form_C_1==1 & ie_arm==4 // Adding comparable indiv from control villages : using the stricter cut off, from T1
	recode treat_common_main (1=.) if Select_Form_T_1_All!=1 & (ie_arm==2 |  ie_arm==3 ) // Taking out of treatment T2 and T3 those who are not common (same cut off) to T1
	
	
	gen T_SEMI_M_common = (treat_common_main==1) & (ie_arm==1) if treat_common_main<.
	gen T_VSLA_M_common = (treat_common_main==1) & (ie_arm==2) if treat_common_main<.
	gen T_CASH_M_common = (treat_common_main==1) & (ie_arm==3) if treat_common_main<.

	* Indirect effects (non benef in treated villagesand equivalent in control)
	
	gen T_SEMI_SPILL =1 if ie_arm==1 & Traitement_Indiv==0
	recode T_SEMI_SPILL (.=0) if  ie_arm==4 & Select_Form_C_1==0
	gen T_VSLA_SPILL =1 if ie_arm==2 & Traitement_Indiv==0
	recode T_VSLA_SPILL (.=0) if ie_arm==4 & Select_Form_C_2==0
	gen T_CASH_SPILL =1 if ie_arm==3 & Traitement_Indiv==0
	recode T_CASH_SPILL (.=0) if ie_arm==4 & Select_Form_C_3==0
	
	
	gen treat_common_spill=treatment if Traitement_Indiv==0
	recode treat_common_spill (.=0) if Select_Form_C_3==0 & ie_arm==4 // Adding comparable indiv from control villages : using the larger cut off, from T3
	recode treat_common_spill (1=.) if Select_Form_T_3_All==1 & (ie_arm==2 |  ie_arm==1 ) // Taking out of treatment T2 and T1 those who are not common (same cut off) to T3

	
	gen T_SEMI_S_common = (treat_common_spill==1) & (ie_arm==1) if treat_common_spill<.
	gen T_VSLA_S_common = (treat_common_spill==1) & (ie_arm==2) if treat_common_spill<.
	gen T_CASH_S_common = (treat_common_spill==1) & (ie_arm==3) if treat_common_spill<.
	
	foreach var in T_SEMI_S_common T_VSLA_S_common T_CASH_S_common {
	replace `var'=treat_common_spill if ie_arm==4
	}
	
// 	keep if echantillon_princ==1 // Temporary


* 2/ Create Clusters, Strata and Grappe variables


	* Cluster
	egen cluster=group(ID_loc)  // each locality corresponds to a different cluster
	
	* Lottery strata : strata_loc (type of loc, village or not) and grappe (large geographical area)
	
	recode strata_loc  (2=0) // strata loc is a strata var for village (1) and district of a city (0)

*** line by Daniel to rename "id" to be "ID" for the next line to run 
rename id ID
*****************************************************************	
	gen SP=substr(ID,1,4)
	gen grappe_v_1=(SP=="SP04") | (SP=="SP06") | (SP=="SP07") // "grappes" are an ensemble of localities, in the same region
	gen grappe_v_2=(SP=="SP02") | (SP=="SP03") 
	gen grappe_v_3=(SP=="SP10") | (SP=="SP14") | (SP=="SP15")
	
	local i=4
	foreach j in SP01 SP05  SP08 SP09 SP11  SP12 SP13 SP16 {
	gen grappe_v_`i'=(SP=="`j'")
	local i=`i'+1
	}
	
	gen grappe_q_1=(grappe_v_1==1) | (grappe_v_4==1) | (grappe_v_5==1) | (grappe_v_2==1)
	gen grappe_q_2=(SP=="SP10")
	gen grappe_q_3=(grappe_v_6==1) | (grappe_v_7==1) | (grappe_v_8==1) | (grappe_v_9==1) | (grappe_v_10==1) | (grappe_v_11==1) | (SP=="SP14") | (SP=="SP15")

*3 / Spillover specific sample checks
	
	foreach var in   treat_common_spill T_SEMI_S_common T_VSLA_S_common T_CASH_S_common T_SEMI_SPILL T_VSLA_SPILL T_CASH_SPILL {
	
		recode echantillon_sec (0=1) if `var'<.
		di "`var'"
		assert echantillon_sec==1 if `var'<.
	}
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	/* DESCRIPTION : 
	- Creation of analysis variables, section by section
	- For each section a description of the main variables created is provided at the beginning
	- At the end of the section or sub section, a global macro is created containing the variables
	 */

	******************************************************************************************************************
	** 										EMPLOYMENT ANALYSIS
	**										module E : Ea, Eb, Ec, Ed
	******************************************************************************************************************

	/*
		Main analysis variables created :
		- 1/ Official employment indicators : A_Act  (ILO : unemployed inactive)
		- 2/ Nb and type of activities
		- 3/ Working hours / days
		- 4/ Earnings in wage employment

	*/

		*********************************************************************************
		* 1/ OFFICIAL EMPLOYMENT INDICATORS (ILO based ) :
		
		* unemployed : not working, looking for a job, ready to work within 15 days 
		* inactive : not working and not looking for a job or not working and looking for a job but not ready to work in the next 15 days
		* active employed : A_act variable
		*********************************************************************************

		* employment indicator
			gen A_Act=travail
			assert A_Act==. if attrit_i_e==1

				/*
				Note : 
				- "travail" is automatically generated in the questionnaire based on answers in module Ea.
				- travail = (ea2 == 1)   -- worked in the last 7 days
						   | (one var among ea3* ==1 )   -- did an activity in the las t7 days which is considered to be work (ILO)
						   | ea4 == 1     -- exceptionnaly did not work the last 7 days but is employed / has an activity
						   | ea5 ==8      -- said she does not work but then answered she runs an activity / has casual jobs to make her living

				*/

		* unemployment indicator
			gen unemployed=1 if A_Act==0 & fa1==1 & (fa2==1 | fa2==2)
			replace  unemployed=0 if A_Act==1

		* inactive indicator
			gen inactive=1 if A_Act==0 & unemployed==.
			replace inactive=0 if  A_Act==1 | unemployed==1

		***  MACRO ******************************************************************************
			global EMPLOI_INDIC " A_Act unemployed  inactive" 
			su $EMPLOI_INDIC
		*********************************************************************************
		

		*********************************************************************************
		* 2/ NB OF ACTIVITIES AND TYPE OF ACTIVITIES :
		
		* A_Tot : total nb of activities last 30 days (up to 10)
		* Nb_`Type' : Nb of activities per type (among the 3 main activities) with Type : 
			* Sal ( wage employment :  salarie, domestique, stagiaire/ apprenti,), 
			* Ind (independent non agriculture), 
			* Ag (independent agriculture), 
			* Other ( aide familial, inclassable) 
		* A_Any_`Type' : at least one activity of type `Type' (among the 3 main activities)
		*********************************************************************************

		* creating dummies for each status
			tab eb3 if attrit_i_e==0, gen(eb3_) 
			gen  Act_1_Sal=(eb3_1==1)+(eb3_4==1)+(eb3_5==1) if attrit_i_e==0
			gen  Act_1_Oth=(eb3_3==1)+(eb3_7==1) if attrit_i_e==0

			tab ec3 if attrit_i_e==0, gen(ec3_) 
			gen  Act_2_Sal=(ec3_1==1)+(ec3_4==1)+(ec3_5==1) if attrit_i_e==0
			gen  Act_2_Oth=(ec3_3==1) +(ec3_7==1) if attrit_i_e==0
			
			tab ed3 if attrit_i_e==0, gen(ed3_) // Warning, no values for ed3==4 domestic so dummies are different from codebook (ed3_5 = agricult, rather than ed3_6)
			gen  Act_3_Sal=(ed3_1==1)+(ed3_4==1) if attrit_i_e==0
			gen  Act_3_Oth=(ed3_3==1) +(ed3_6==1) if attrit_i_e==0

			
			foreach var in eb3  ec3  ed3 {
			rename `var'_autre `var'Autre
			}
			
			foreach var in eb3_*  ec3_*  ed3_* {
				recode `var' (.=0) if attrit_i_e==0
			}

			rename eb3_2 Act_1_Ind
			rename eb3_6 Act_1_Ag
			rename ec3_2 Act_2_Ind
			rename ec3_6 Act_2_Ag
			rename ed3_2 Act_3_Ind
			rename ed3_5 Act_3_Ag  // Warning, no values for ed3==4 so dummies are different from codebook (ed3_5 = agricult, rather than ed3_6)
		
		
		* Generating sum of activities per type
		
			foreach type in Sal Ind Ag Oth {
			gen Nb_`type'= Act_1_`type' + Act_2_`type' + Act_3_`type' if attrit_i_e==0
			}
			
			gen A_Tot_All= e_nb_act if attrit_i_e==0
			gen Nb_Tot=Nb_Sal +Nb_Ind +Nb_Ag +Nb_Oth if attrit_i_e==0
				* Note : A_Tot is the total of activities for the last 30 days, but we have the info on the type only for the 3 main activities ( so Nb_Tot is not greater than 3)


		* Dummy per type of activity / Has at least one activity of type X  :
			g A_Any_Sal=(Nb_Sal>0) if attrit_i_e==0			
			g A_Any_Ind=(Nb_Ind>0) if attrit_i_e==0	// This measure will be improved with module Ef
			g A_Any_Ag=(Nb_Ag>0) if attrit_i_e==0	// This measure will be improved with module Ef			
			g A_Any_Oth=(Nb_Oth>0) if attrit_i_e==0	

		***  MACRO ******************************************************************************
			global EMPLOI " A_Act A_Any_Sal A_Any_Ind A_Any_Ag A_Any_Oth  A_Tot_All Nb_Tot Nb_Sal  Nb_Ind Nb_Ag Nb_Oth  " 
			su $EMPLOI
		*********************************************************************************
		
		*********************************************************************************
		* 3/ WORKING HOURS / DAYS :
		
		* H_Tot : total hours worked in 3 main activities over the last 7 days
		* H_`type' : per type of activity among 3 main activities, with Type : Sal ( wage employment / salarie), Ind (independent non agriculture), Ag (independent agriculture), Other (domestique, aide familial, apprenti, inclassable) 
		* var _99 : hours top coded at the 99 percentile
		*********************************************************************************

		* Total hours 
			gen Hours_1 = eb2a
			gen Hours_2 = ec2a
			gen Hours_3 = ed2a
			gen H_Tot= Hours_1 + Hours_2 + Hours_3 if attrit_i_e==0

		* Hours per type of activity
			foreach type in Sal Ind Ag Oth {
			gen H_`type'= Hours_1* Act_1_`type' + Hours_2*Act_2_`type' + Hours_3*Act_3_`type' if attrit_i_e==0
			}
		
		* Trim hours (top code 99)
			foreach var in Hours_1  Hours_2  Hours_3 {
				sum `var' if `var'>0, d
				local r3 = `r(p99)'
				gen `var'_99 = `var'		
				replace `var'_99 = `r3' if `var'_99>`r3' & `var'<.	
			}
			
			gen H_Tot_99= Hours_1_99 + Hours_2_99 + Hours_3_99 if attrit_i_e==0
			foreach type in Sal Ind Ag Oth {
				gen H_`type'_99= Hours_1_99* Act_1_`type' + Hours_2_99*Act_2_`type' + Hours_3_99*Act_3_`type' if attrit_i_e==0
			}

		* Total days 
			gen Days_1 = eb2b
			gen Days_2 = ec2b
			gen Days_3 = ed2b
			gen Days_Tot= Days_1 + Days_2 + Days_3 if attrit_i_e==0

		* Days per type of activity
			foreach type in Sal Ind Ag Oth {
			gen Days_`type'= Days_1* Act_1_`type' + Days_2*Act_2_`type' + Days_3*Act_3_`type' if attrit_i_e==0
			}
		
		* Trim Days (top code 99)
			foreach var in Days_1  Days_2  Days_3 {
				sum `var' if `var'>0, d
				local r3 = `r(p99)'
				gen `var'_99 = `var'		
				replace `var'_99 = `r3' if `var'_99>`r3' & `var'<.	
			}
			
			gen Days_Tot_99= Days_1_99 + Days_2_99 + Days_3_99 if attrit_i_e==0
			foreach type in Sal Ind Ag Oth {
				gen Days_`type'_99= Days_1_99* Act_1_`type' + Days_2_99*Act_2_`type' + Days_3_99*Act_3_`type' if attrit_i_e==0
			}
			
		***  MACRO ******************************************************************************
		# delimit ;
			global HOURS " H_Tot H_Sal H_Ind H_Ag H_Oth H_Tot_99 H_Sal_99 H_Ind_99 H_Ag_99 H_Oth_99 
						   Days_Tot Days_Sal Days_Ind Days_Ag Days_Tot_99 Days_Sal_99 Days_Ind_99 Days_Ag_99 Days_Oth_99 " ;
		# delimit cr
			su $HOURS
		*********************************************************************************
			
		*********************************************************************************
		* 4/ LABOR INCOME IN WAGE EMPLOYMENT :
		
		* R_Mois_Tot : total monthly Earnings for wage employed / others, taking into account income + benefits in nature
		* R_Mois_`Type' : same, per type of activity among 3 main activities, with Type : Sal ( wage employment / salarie), Ind (independent non agriculture), Ag (independent agriculture), Other (domestique, aide familial, apprenti, inclassable) 
		* var _99 : income top coded at the 99 percentile
		* var _95 : income top coded at the 95 percentile 
		* Daily_Wage : R_Mois divided by Days for each activity, R_Mois is over the mast 30 days and Days the nb of days worked over the last 30 days.
		* Hourly Wage : (R_Mois divided by 4) divided by Hours in the last 7 days. more assumptions, because it is as if we consider that in each week the same average nb of hours is worked 
		*********************************************************************************
					
		* Total Earnings 
			gen R_Mois_1= eb5 + eb7 if attrit_i_e==0
			gen R_Mois_2= ec5 + ec7 if attrit_i_e==0
			gen R_Mois_3= ed5 + ed7 if attrit_i_e==0
			gen R_Mois_Tot= R_Mois_1 + R_Mois_2 + R_Mois_3 if attrit_i_e==0

		* Earnings per type of activity
			foreach type in Sal  Oth { // Ind Ag - useless for these two categories as we do not ask income for this ones
			gen R_Mois_`type'= R_Mois_1* Act_1_`type' + R_Mois_2*Act_2_`type' + R_Mois_3*Act_3_`type' if attrit_i_e==0
			}
		
		* Trim income (top code 99 et 95)
			foreach var in eb5 eb7 ec5 ec7 ed5 ed7 {
				sum `var' if `var'>0, d
				local r3 = `r(p99)'
				local r2 = `r(p95)'
				gen `var'_99 = `var'		
				gen `var'_95 = `var'		
				replace `var'_99 = `r3' if `var'_99>`r3' & `var'<.	
				replace `var'_95 = `r2' if `var'_95>`r2' & `var'<.	
			}
			
			foreach trim in 99 95 {
				gen R_Mois_1_`trim'= eb5_`trim' + eb7_`trim' if attrit_i_e==0
				gen R_Mois_2_`trim'= ec5_`trim' + ec7_`trim' if attrit_i_e==0
				gen R_Mois_3_`trim'= ed5_`trim' + ed7_`trim' if attrit_i_e==0
				gen R_Mois_Tot_`trim'= R_Mois_1_`trim' + R_Mois_2_`trim' + R_Mois_3_`trim' if attrit_i_e==0
				foreach type in Sal Oth { // Ind Ag - useless for these two categories as we do not ask income for this ones
					gen R_Mois_`type'_`trim'= R_Mois_1_`trim'* Act_1_`type' + R_Mois_2_`trim'*Act_2_`type' + R_Mois_3_`trim'*Act_3_`type' if attrit_i_e==0
				}
			}
			
		* Daily wage equivalent // TBC Patrick a verifier
			
			forvalues i=1/3 {
				gen Daily_Wage_`i'= R_Mois_`i' / Days_`i' if (attrit_i_e==0 & Days_`i'!=0)
				recode Daily_Wage_`i' (.=0) if Days_`i'==0 & R_Mois_`i'==0 // if days = 0 but R_Mois>0, we cannot compute the daily wage but this is not zero either, so we keep missing value
			}
			
			gen Daily_Wage_Tot=Daily_Wage_1 + Daily_Wage_2 + Daily_Wage_3
			
			forvalues i=1/3 {
				gen Daily_Wage_`i'_99= R_Mois_`i'_99 / Days_`i'_99 if (attrit_i_e==0 & Days_`i'_99!=0)
				recode Daily_Wage_`i'_99 (.=0) if Days_`i'_99==0 & R_Mois_`i'_99==0 // if days = 0 but R_Mois>0, we cannot compute the daily wage but this is not zero either, so we keep missing value
			}

			gen Daily_Wage_Tot_99=Daily_Wage_1_99 + Daily_Wage_2_99 + Daily_Wage_3_99

		* Hourly wage equivalent // TBC Patrick a verifier
			
			forvalues i=1/3 {
				gen Hourly_Wage_`i'= (R_Mois_`i' / 4 ) / Hours_`i' if (attrit_i_e==0 & Days_`i'!=0)
				recode Hourly_Wage_`i' (.=0) if Hours_`i'==0 & R_Mois_`i'==0 // if hours = 0 but R_Mois>0, we cannot compute the hourly wage but this is not zero either, so we keep missing value
			}	

		
		***  MACRO ******************************************************************************
		# delimit ;
			global INCOME_WAGE "
			R_Mois_Tot R_Mois_Sal   R_Mois_Oth 
			R_Mois_Tot_99 R_Mois_Sal_99   R_Mois_Oth_99 
			R_Mois_Tot_95 R_Mois_Sal_95   R_Mois_Oth_95
			Daily_Wage_Tot  Daily_Wage_Tot_99" ;
			
		# delimit cr
			su $INCOME_WAGE
		*********************************************************************************



	*********************************************************************************
	* 								 SELF EMPLOYMENT (AGR) ANALYSIS 
	*						Module EfA - ALL ACTIVITIES OVER LAST 12 mths
	*********************************************************************************
	/*
		Main analysis variables created :
		- 1/ Number and type of self employment activities (12 months ago and currently, type = trade_retail / service / agriculture with value added or not / livestock farming)
		- 2/ Dynamics : new activities launched last 12 months, activities stopped, reasons
		- 3/ Profits, starting capital, value of current assets (also per type of activity, also top coded)
		- 4/ Employment

	*/

		*********************************************************************************
		** 1/ NB AND TYPE OF SELF EMPLOYMENT ACTIVITIES                               ***
		*********************************************************************************

		* Had an independent activity over the last 12 mths (AGR = IGA)
			g A_AGR_12m=(EfA1==1) if attrit_i_e==0
			

		* Number of  independent activities operational over the last 12 months
			g Nb_AGR_12m=nb_AGR_EfA  if attrit_i_e==0
			*ta Nb_AGR_12m A_AGR,m		

		* Same per type of activity
			local j=1
			foreach type in Trd Serv AgrVA Agr Lvst {
				g Nb_AGR_12m_`type'=0  if attrit_i_e==0
				forvalues i= 1/10 {
					replace Nb_AGR_12m_`type' = Nb_AGR_12m_`type' + (EfA4a_`i'==`j') if attrit_i_e==0
				}
				local j = `j'+1
			}	


		* Number of  independent activities currently operational 
			g Nb_AGR=0  if attrit_i_e==0
			forvalues i= 1/10 {
				replace Nb_AGR = Nb_AGR + (fonctionne_`i'==1) if attrit_i_e==0
			}
			
		* Same per type of activity
			local j=1
			foreach type in Trd Serv AgrVA Agr Lvst {
				g Nb_AGR_`type'=0  if attrit_i_e==0
				forvalues i= 1/10 {
					replace Nb_AGR_`type' = Nb_AGR_`type' + (EfA4a_`i'==`j') if attrit_i_e==0 & (fonctionne_`i'==1)
				}
				local j = `j'+1
			}
			
		* Has at least an operational AGR / and per type
			g A_AGR=(Nb_AGR>0) & (Nb_AGR<.) if attrit_i_e==0
			foreach type in Trd Serv AgrVA Agr Lvst {
				g A_AGR_`type'=(Nb_AGR_`type'>0) & (Nb_AGR_`type'<.) if attrit_i_e==0
			}
			
			
		foreach var of varlist Nb_AGR_12m Nb_AGR A_AGR {
			gen `var'_NoFarm= `var'_Trd + `var'_Serv
			gen `var'_Farm= `var'_AgrVA + `var'_Agr + `var'_Lvst
		}
		
		
		* AGR in group or solo
		g Nb_Group_AGR=0 if attrit_i_e==0
			forvalues i= 1/10 {
				g Group_AGR_`i'= (EfA11_`i'>0)& (EfA11_`i'<.)  if attrit_i_e==0
				replace Nb_Group_AGR= Nb_Group_AGR +1 if Group_AGR_`i'==1
				}	
		g A_Group_AGR=(Nb_Group_AGR>0)& (Nb_Group_AGR<.)  if attrit_i_e==0 

		***  MACRO ******************************************************************************
		# delimit ;
			global AGR_TYPE " A_AGR A_Group_AGR Nb_AGR A_AGR_12m Nb_AGR_12m Nb_Group_AGR
			Nb_AGR_NoFarm Nb_AGR_Farm Nb_AGR Nb_AGR_Trd Nb_AGR_Serv Nb_AGR_AgrVA Nb_AGR_Agr Nb_AGR_Lvst		
			Nb_AGR_12m_NoFarm Nb_AGR_12m_Farm  Nb_AGR_12m_Trd Nb_AGR_12m_Serv Nb_AGR_12m_AgrVA Nb_AGR_12m_Agr Nb_AGR_12m_Lvst 
			A_AGR_NoFarm A_AGR_Farm  A_AGR_Trd A_AGR_Serv A_AGR_AgrVA A_AGR_Agr A_AGR_Lvst
			" ;
		# delimit cr
			su $AGR_TYPE
		*********************************************************************************

		
		// TBC : Do we want to add hours from EfA to hours from E module ? //
		
			gen Hours_add=0 if attrit_i_e==0
			forvalues i= 1/10 {
				replace Hours_add = Hours_add + EfA7_`i' if attrit_i_e==0 & (EfA5_`i'==1) & (EfA4b_`i'==4)
			}
		
			gen Days_add=0 if attrit_i_e==0
			forvalues i= 1/10 {
				replace Days_add = Days_add + EfA8_`i' if attrit_i_e==0 & (EfA5_`i'==1) & (EfA4b_`i'==4)
			}
			
			
		*********************************************************************************
		** 2/ DYNAMICS ENTRY / EXIT                                                   ***
		*********************************************************************************
				
		* Duration of life of the activity in months
			forvalue i=1/10 {
			gen EfA10_mth_`i'=0 if attrit_i_e==0
			replace EfA10_mth_`i'= (EfA10a_`i' /30)*(EfA10b_`i'==2) + (EfA10a_`i' /4)*(EfA10b_`i'==3) + (EfA10a_`i')*(EfA10b_`i'==4) + (EfA10a_`i'*12)*(EfA10b_`i'==5) if attrit_i_e==0 // each unit code in EfA10b is converted to months
			}

		* New IGA launched over the last 12 months
			g Nb_New_AGR_12m=0 if attrit_i_e==0
			forvalues i= 1/10 {
	// 			replace Nb_New_AGR_12m = Nb_New_AGR_12m + EfA7_`i' if attrit_i_e==0 & (EfA10_mth_`i'<=12) & (EfA7_`i'<.)
				replace Nb_New_AGR_12m = Nb_New_AGR_12m + 1 if attrit_i_e==0 & (EfA10_mth_`i'<=12) 
			}
			
			g New_AGR_12m=(Nb_New_AGR_12m>0 & Nb_New_AGR_12m<. ) if attrit_i_e==0
			
		* New IGA launched over the last 12 months AND still operationnal
			g Nb_New_AGR_12m_Op=0 if attrit_i_e==0
			forvalues i= 1/10 {
				replace Nb_New_AGR_12m_Op = Nb_New_AGR_12m_Op + 1 if attrit_i_e==0 & (EfA10_mth_`i'<=12) & (fonctionne_`i'==1)
			}	

		* Nb of activities stopped over the last 12 months
			g Stop_AGR_12m=0 if attrit_i_e==0
			forvalues i= 1/10 {
				*replace Stop_AGR_12m = Stop_AGR_12m + (fonctionne_`i'!=1) if attrit_i_e==0 // MISTAKE HERE
				replace Stop_AGR_12m = Stop_AGR_12m + (fonctionne_`i'==0) if attrit_i_e==0 // corrected April 16th
			}	
		
		* Nb of activities stopped with main reasons
			g Stop_AGR_12m_Money=0 if attrit_i_e==0  // Money management issue
			g Stop_AGR_12m_Return=0 if attrit_i_e==0 // Activity not profitable - too low returns
			g Stop_AGR_12m_Time=0 if attrit_i_e==0 // No time, started another activity ( wage of independent)
			forvalues i= 1/10 {
				replace Stop_AGR_12m_Money = Stop_AGR_12m_Money + (fonctionne_`i'==0) if attrit_i_e==0 & (EfA6_`i'==1)
				replace Stop_AGR_12m_Return = Stop_AGR_12m_Return + (fonctionne_`i'==0) if attrit_i_e==0 & (EfA6_`i'==5)
				replace Stop_AGR_12m_Time = Stop_AGR_12m_Time + (fonctionne_`i'==0) if attrit_i_e==0 & (EfA6_`i'==6 | EfA6_`i'==7 )
			}	
			
		*** More on dynamics / entry : nb of activities per month [add April 19]
		
		* Preliminary work
			* We need to normalize the module over lst 12 months to a common date - 1st july 2018. 
			* For activities stopped in the las t12 months, we try to estimate the stopping date
			
			gen date_interview=date(interviewDate,"YMD###")
			format  date_interview %td
			
			gen mth_normalization=(date_interview-td(1jul2018))/30 // We use July 1st as common reference point - survey has not yet started
			
				* Stopping date
				forvalue i=1/10 {
					gen est_stop_date_`i'=date_interview-(EfA9_`i'*30.5) if (fonctionne_`i' ==0) // We estimate the "stop date" of the AGR with the following hypothesis : it has worked X months over the last 12 months, we consider that these are consecutive months worked until the activity is stopped.
					format  est_stop_date_`i' %td
				}
			
				* Normalized duration of life of the activity in months : total months of existence at July 1st 2018
				forvalue i=1/10 {
					gen Month_norm_`i'=0 if attrit_i_e==0
					replace Month_norm_`i'= EfA10_mth_`i' - mth_normalization  if fonctionne_`i' ==1 & attrit_i_e==0 
					ta Month_norm_`i'
				}				

			* Computing quarter by quarter the nb of activities operating at this time (based on the list of activities which have been operating over the las t12 months)
			local j=1
			foreach trim in Q2_18 Q1_18  Q4_17 Q3_17 Q2_17 Q1_17 Q4_16 Q3_16 {
				gen max_date_`j'=td(1jul2018)-`j'*3*30.5
				format  max_date_`j' %td
				ta max_date_`j'
				
				gen Nb_AGR_`trim'=0  if attrit_i_e==0
				forvalue i=1/10 {
					replace Nb_AGR_`trim'= Nb_AGR_`trim' + 1 if (fonctionne_`i' ==1)  & (Month_norm_`i'-3*`j')>=0 & attrit_i_e==0 
					replace Nb_AGR_`trim'= Nb_AGR_`trim' + 1 if (fonctionne_`i' ==0) & est_stop_date_`i'<= max_date_`j'  & attrit_i_e==0 // Activities working over last 12 months but stopped at time of interview
				}
			local j = `j'+1
			}
			
			* Computing month by month the nb of activities stopped
				forvalue i=1/10 {
					gen Month_Stop_AGR_`i'=month(est_stop_date_`i')  if attrit_i_e==0 & (fonctionne_`i' ==0)
					ta Month_Stop_AGR_`i'	
					
					gen Yr_Stop_AGR_`i'=year(est_stop_date_`i')  if attrit_i_e==0 & (fonctionne_`i' ==0)
					ta Yr_Stop_AGR_`i'	
					//replace Stop_AGR_`mth'= Stop_AGR_`mth' + 1 if 
				}
			foreach year in 2018 2017 {
			local j =1
				foreach mth in Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec {

					gen Stop_`mth'_`year'=0  if attrit_i_e==0 
					forvalue i=1/10 {
						replace Stop_`mth'_`year'=Stop_`mth'_`year'+1 if Month_Stop_AGR_`i'==`j' & Yr_Stop_AGR_`i'==`year'
						replace Stop_`mth'_`year'=.a if (date_interview-365)> td(1,`j',`year') // This month is out of scope for this observation - so we can track how the sample reduces over months
					}
				local j = `j'+1
				}
			}	
			drop Stop_Jan_2017- Stop_Aug_2017 // These months cannot be covered by the first interviews - totally out of scope
			
			
			

		***  MACRO ******************************************************************************
		# delimit ;
			global AGR_DYNAMICS" 
			New_AGR_12m Nb_New_AGR_12m  Nb_New_AGR_12m_Op Stop_AGR_12m Stop_AGR_12m_Money Stop_AGR_12m_Return Stop_AGR_12m_Time
			Nb_AGR_Q2_18 Nb_AGR_Q1_18 Nb_AGR_Q4_17 Nb_AGR_Q3_17 Nb_AGR_Q2_17 Nb_AGR_Q1_17 Nb_AGR_Q4_16 Nb_AGR_Q3_16
			" ;
		# delimit cr
			su $AGR_DYNAMICS
		*********************************************************************************

		*********************************************************************************
		** 3/ PROFITS, STARTING CAPITAL, VALUE OF ASSETS                             ***
		*********************************************************************************
		
		* Top coding preparation / final top coded outcomes will be coded right after each outcome
			forvalues i=1/10 {
				foreach var in EfA14 EfA16 EfA17 EfA18 EfA19 {
					sum `var'_`i' , d
					local r2 = `r(p95)' 
					local r3 = `r(p99)'
					gen `var'_`i'_95 = `var'_`i'
					replace `var'_`i'_95 = `r2' if `var'_`i'>`r2' & `var'_`i'<.	
					gen `var'_`i'_99 = `var'_`i'
					replace `var'_`i'_99 = `r3' if `var'_`i'>`r3' & `var'_`i'<.	
				}
			}
			
		* Monthly Profits
		
			* intermediary : last cycle duration converted to months
				forvalues i= 1/10 {
					gen EfA15_mth_`i'=0 if attrit_i_e==0 & inlist(EfA4a_`i',3,4,5)
					replace EfA15_mth_`i'= (EfA15a_`i' /30)*(EfA15b_`i'==2) + (EfA15a_`i' /4)*(EfA15b_`i'==3) + (EfA15a_`i')*(EfA15b_`i'==4) + (EfA15a_`i'*12)*(EfA15b_`i'==5) if attrit_i_e==0 & inlist(EfA4a_`i',3,4,5) // each unit code in EfA15b is converted to months
				}
			
			* Profits per activity
				forvalues i= 1/10 {
					gen AGR_Profit_`i'=EfA14_`i' if !inlist(EfA4a_`i',3,4,5)
					replace AGR_Profit_`i'= EfA16_`i' / EfA15_mth_`i' if inlist(EfA4a_`i',3,4,5)
					
					foreach trim in 95 99 {
					gen AGR_Profit_`i'_`trim'=EfA14_`i'_`trim' if !inlist(EfA4a_`i',3,4,5)
					replace AGR_Profit_`i'_`trim'= EfA16_`i'_`trim' / EfA15_mth_`i' if inlist(EfA4a_`i',3,4,5)
					}
					
				}
			
			* Profits agregated across activities (and per type) 
			
				* All
				gen AGR_Profit=0 if attrit_i_e==0
				forvalues i= 1/10 {	
					replace AGR_Profit=AGR_Profit + AGR_Profit_`i'  if attrit_i_e==0 & AGR_Profit_`i' <.
				} 
				// Note : adding for all activities. The question is only asked for activities still operating, so we are sure to capture only operating activities.

							
				* Per type of activity
				local j=1
				foreach type in Trd Serv AgrVA Agr Lvst {
					g AGR_Profit_`type'=0  if attrit_i_e==0
					forvalues i= 1/10 {
						replace AGR_Profit_`type' = AGR_Profit_`type' + AGR_Profit_`i' if attrit_i_e==0 & AGR_Profit_`i' <. & (EfA4a_`i'==`j') 
					}
					local j = `j'+1
				}
			
			
			* Profits top coded
				foreach trim in 95 99 {
					gen AGR_Profit_`trim'=0 if attrit_i_e==0
					forvalues i= 1/10 {	
						replace AGR_Profit_`trim'= AGR_Profit_`trim' + AGR_Profit_`i'_`trim' if attrit_i_e==0 & AGR_Profit_`i'_`trim' <.
					}
					
					local j=1
					foreach type in Trd Serv AgrVA Agr Lvst {
						g AGR_Profit_`type'_`trim'=0  if attrit_i_e==0
						forvalues i= 1/10 {
							replace AGR_Profit_`type'_`trim' = AGR_Profit_`type'_`trim' + AGR_Profit_`i'_`trim'  if attrit_i_e==0 & AGR_Profit_`i'_`trim' <. & (EfA4a_`i'==`j') 
						}
					local j = `j'+1
					}

				}
			
		* Starting capital - Total and Personal investment

			gen Stt_Kpital_All = 0 if attrit_i_e==0
			gen Stt_Kpital_Own = 0 if attrit_i_e==0
			
			local j=1
			foreach type in Trd Serv AgrVA Agr Lvst {
				g Stt_Kpital_All_`type'=0  if attrit_i_e==0
				g Stt_Kpital_Own_`type'=0  if attrit_i_e==0
				local j = `j'+1
				}
			
			foreach trim in 95 99 {
				gen Stt_Kpital_All_`trim' = 0 if attrit_i_e==0
				gen Stt_Kpital_Own_`trim' = 0 if attrit_i_e==0
				
				local j=1
				foreach type in Trd Serv AgrVA Agr Lvst {
				g Stt_Kpital_All_`type'_`trim'=0  if attrit_i_e==0
				g Stt_Kpital_Own_`type'_`trim'=0  if attrit_i_e==0
				local j = `j'+1
				}
			}
			

			
			forvalues i= 1/10 {	
				replace Stt_Kpital_All= Stt_Kpital_All + EfA17_`i' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'<.
				replace Stt_Kpital_Own= Stt_Kpital_Own + EfA18_`i' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'<.
				
				local j=1
				foreach type in Trd Serv AgrVA Agr Lvst {
					replace Stt_Kpital_All_`type'=Stt_Kpital_All_`type' + EfA17_`i' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'<. & (EfA4a_`i'==`j') 
					replace Stt_Kpital_Own_`type'=Stt_Kpital_Own_`type' + EfA18_`i' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'<. & (EfA4a_`i'==`j') 
					local j = `j'+1
					}
			
				foreach trim in 95 99 {
					replace Stt_Kpital_All_`trim' = Stt_Kpital_All_`trim' + EfA17_`i'_`trim' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'_`trim'<.
					replace Stt_Kpital_Own_`trim' = Stt_Kpital_Own_`trim' + EfA18_`i'_`trim' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'_`trim'<.
					
					local j=1
					foreach type in Trd Serv AgrVA Agr Lvst {
						replace Stt_Kpital_All_`type'_`trim'=Stt_Kpital_All_`type'_`trim' + EfA17_`i'_`trim' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'<. & (EfA4a_`i'==`j') 
						replace Stt_Kpital_Own_`type'_`trim'=Stt_Kpital_Own_`type'_`trim' + EfA18_`i'_`trim' if attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'<. & (EfA4a_`i'==`j') 
						local j = `j'+1
						}
				}
			}
			
			
		* Value of IGA assets
			
			gen Assets_Act = 0 if attrit_i_e==0
			local j=1
			foreach type in Trd Serv AgrVA Agr Lvst {
				g Assets_Act_`type'=0  if attrit_i_e==0
				local j = `j'+1
				}
				
			foreach trim in 95 99 {
				gen Assets_Act_`trim' = 0 if attrit_i_e==0
				local j=1
				foreach type in Trd Serv AgrVA Agr Lvst {
					g Assets_Act_`type'_`trim'=0  if attrit_i_e==0
					local j = `j'+1
				}		
			}
			
			forvalues i= 1/10 {	
				replace Assets_Act= Assets_Act + EfA19_`i' if attrit_i_e==0  & EfA19_`i'<.
				
				local j=1
				foreach type in Trd Serv AgrVA Agr Lvst {
					replace Assets_Act_`type'= Assets_Act_`type' + EfA19_`i' if attrit_i_e==0  & EfA19_`i'<. & (EfA4a_`i'==`j') 
					local j = `j'+1
				}			
				
				
				foreach trim in 95 99 {
					replace Assets_Act_`trim' = Assets_Act_`trim' + EfA19_`i'_`trim' if attrit_i_e==0  & EfA19_`i'<.
					
					local j=1
					foreach type in Trd Serv AgrVA Agr Lvst {
						replace Assets_Act_`type'_`trim'= Assets_Act_`type'_`trim' + EfA19_`i'_`trim' if attrit_i_e==0  & EfA19_`i'<. & (EfA4a_`i'==`j') 
						local j = `j'+1
					}
				}
			}	
			

		
		*********************************************************************************
		** 4/ EMPLOYMENT                                                              ***
		*********************************************************************************

		* intermediary : reconstructing the nb of HH members working (EfA20)
			forvalues i= 1/13 {	
				gen EfA20_Tot_`i' = 0 if attrit_i_e==0 
				forvalues j=0/24 {
					gen EfA20b_`j'_`i'_I= (EfA20b__`j'_`i'!="##N/A##") & (EfA20b__`j'_`i'!="")  // indicator 0/1 rather than text variable, to use for computation. The original var is a string var which indicates which member of the roster is working
					// underlying variable EfA20b__ corrected May 2023
					replace EfA20_Tot_`i'=EfA20_Tot_`i' + (EfA20b_`j'_`i'_I==1) if attrit_i_e==0 & EfA5_`i'==1
				}
			}
	
		* Employment vars
		
		g Empl_HH= 0 if attrit_i_e==0 
		g Empl_Oth= 0 if attrit_i_e==0 
		forvalues i= 1/10 {	
			replace Empl_HH=Empl_HH + EfA20_Tot_`i' if attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Empl_Oth=Empl_Oth + EfA21_`i' if attrit_i_e==0 & EfA21_`i' <.
		}
		
		g Empl_Tot = Empl_HH + Empl_Oth
		
		* Employment vars tocoded
		
		g Empl_HH_99= 0 if attrit_i_e==0 
		g Empl_Oth_99= 0 if attrit_i_e==0 
		g Empl_HH_95= 0 if attrit_i_e==0 
		g Empl_Oth_95= 0 if attrit_i_e==0 
		
		foreach var of varlist EfA20_Tot_*  { //EfA21_* topcoded already created in endline_cr2 file
			sum `var' , d
			local r3 = `r(p99)'
			gen `var'_99 = `var'
			replace `var'_99 = `r3' if `var'_99>`r3' & `var'<.			
		}
		
		foreach var of varlist EfA20_Tot_*  { //EfA21_* topcoded already created in endline_cr2 file
			sum `var' , d
			local r4 = `r(p95)'
			gen `var'_95 = `var'
			replace `var'_95 = `r4' if `var'_95>`r4' & `var'<.			
		}	
		
		forvalues i= 1/13 {	
			replace Empl_HH_99=Empl_HH_99 + EfA20_Tot_`i'_99 if attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Empl_Oth_99=Empl_Oth_99 + EfA21_`i'_99 if attrit_i_e==0 & EfA21_`i' <.
			replace Empl_HH_95=Empl_HH_95 + EfA20_Tot_`i'_95 if attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Empl_Oth_95=Empl_Oth_95 + EfA21_`i'_95 if attrit_i_e==0 & EfA21_`i' <.
		}	
		
		g Empl_Tot_99 = Empl_HH_99 + Empl_Oth_99
		g Empl_Tot_95 = Empl_HH_95 + Empl_Oth_95
		
		
		
		* Per type of activity
		local j=1
		foreach type in Trd Serv AgrVA Agr Lvst  {
			g Empl_HH_`type'= 0 if attrit_i_e==0 
			g Empl_Oth_`type'= 0 if attrit_i_e==0 
			g Empl_HH_`type'_99= 0 if attrit_i_e==0 
			g Empl_Oth_`type'_99= 0 if attrit_i_e==0 	
			g Empl_HH_`type'_95= 0 if attrit_i_e==0 
			g Empl_Oth_`type'_95= 0 if attrit_i_e==0 	
			
			forvalues i= 1/13 {	
				replace Empl_HH_`type'=Empl_HH_`type' + EfA20_Tot_`i' if attrit_i_e==0 & EfA20_Tot_`i' <. & (EfA4a_`i'==`j') 
				replace Empl_Oth_`type'=Empl_Oth_`type' + EfA21_`i' if attrit_i_e==0 & EfA21_`i'_99 <. & (EfA4a_`i'==`j') 

				replace Empl_HH_`type'_99=Empl_HH_`type'_99 + EfA20_Tot_`i'_99 if attrit_i_e==0 & EfA20_Tot_`i'_99 <. & (EfA4a_`i'==`j') 
				replace Empl_Oth_`type'_99=Empl_Oth_`type'_99 + EfA21_`i'_99 if attrit_i_e==0 & EfA21_`i'_99 <. & (EfA4a_`i'==`j') 

				replace Empl_HH_`type'_95=Empl_HH_`type'_95 + EfA20_Tot_`i'_95 if attrit_i_e==0 & EfA20_Tot_`i'_95 <. & (EfA4a_`i'==`j') 
				replace Empl_Oth_`type'_95=Empl_Oth_`type'_95 + EfA21_`i'_95 if attrit_i_e==0 & EfA21_`i'_95 <. & (EfA4a_`i'==`j') 
				}
		local j = `j'+1
		
		g Empl_Tot_`type' = Empl_HH_`type' + Empl_Oth_`type'
		g Empl_Tot_`type'_99 = Empl_HH_`type'_99 + Empl_Oth_`type'_99
		g Empl_Tot_`type'_95 = Empl_HH_`type'_95 + Empl_Oth_`type'_95
		}	

		
		
		*********************************************************************************
		** 5/ Adding categories Farm / No Farm                                                              ***
		*********************************************************************************
		
		foreach var in AGR_Profit Stt_Kpital_All Stt_Kpital_Own Assets_Act Empl_Tot Empl_HH Empl_Oth {
				gen `var'_NoFarm= `var'_Trd + `var'_Serv
				gen `var'_Farm= `var'_AgrVA + `var'_Agr + `var'_Lvst
				gen `var'_NoFarm_99= `var'_Trd_99+ `var'_Serv_99
				gen `var'_Farm_99= `var'_AgrVA_99 + `var'_Agr_99 + `var'_Lvst_99					
				gen `var'_NoFarm_95= `var'_Trd_95+ `var'_Serv_95
				gen `var'_Farm_95= `var'_AgrVA_95 + `var'_Agr_95 + `var'_Lvst_95
				}
				
				
		*********************************************************************************
		** 6/ COLLECTIVE ACTIVITIES                                                   ***
		*********************************************************************************
		gen Nb_AGR_collective=0 if attrit_i_e==0 
		forvalues i= 1/13 {	
			gen AGR_collective_`i'=(EfA11_`i'>0) & (EfA11_`i'<.) if attrit_i_e==0 
			replace Nb_AGR_collective=Nb_AGR_collective+1 if AGR_collective_`i'==1
			
			}
			

		gen A_AGR_collective=(Nb_AGR_collective>0) if attrit_i_e==0 

		gen Nb_AGR_large=0 if attrit_i_e==0  // 5 dirigeants or more (includes the individual)
		gen Nb_AGR_med=0 if attrit_i_e==0  // 3 dirigeants or more (includes the individual)
		forvalues i= 1/10 {			
			gen AGR_large_`i'=1 if EfA11_`i'>=4 & EfA11_`i'<.
			replace Nb_AGR_large=Nb_AGR_large+1 if AGR_large_`i'==1
			gen AGR_med_`i'=1 if EfA11_`i'>=2 & EfA11_`i'<4
			replace Nb_AGR_med=Nb_AGR_med+1 if AGR_med_`i'==1			
			}
		
		
**** TBC EFA12 DIRIGEANTS FORMAT BASE BIZARRE *******

		***  MACRO ******************************************************************************
		# delimit ;
			global AGR_PROFITS" 
			AGR_Profit AGR_Profit_99 
			
			AGR_Profit_NoFarm AGR_Profit_Farm AGR_Profit_NoFarm_99 AGR_Profit_Farm_99
			AGR_Profit AGR_Profit_Trd AGR_Profit_Serv AGR_Profit_AgrVA AGR_Profit_Agr AGR_Profit_Lvst 
			AGR_Profit_99 AGR_Profit_Trd_99 AGR_Profit_Serv_99 AGR_Profit_AgrVA_99 AGR_Profit_Agr_99 AGR_Profit_Lvst_99
			*AGR_Profit_95 AGR_Profit_Trd_95 AGR_Profit_Serv_95 AGR_Profit_AgrVA_95 AGR_Profit_Agr_95 AGR_Profit_Lvst_95 		
			" ;
			
			global AGR_CAPITAL" 
			Stt_Kpital_All Stt_Kpital_Own  Stt_Kpital_All_99 Stt_Kpital_Own_99 
			
			Stt_Kpital_All_NoFarm Stt_Kpital_All_Farm  Stt_Kpital_Own_NoFarm Stt_Kpital_Own_Farm 
			Stt_Kpital_All Stt_Kpital_All_Trd Stt_Kpital_All_Serv Stt_Kpital_All_AgrVA Stt_Kpital_All_Agr Stt_Kpital_All_Lvst 
			Stt_Kpital_Own Stt_Kpital_Own_Trd Stt_Kpital_Own_Serv Stt_Kpital_Own_AgrVA Stt_Kpital_Own_Agr Stt_Kpital_Own_Lvst

			Stt_Kpital_All_NoFarm_99 Stt_Kpital_All_Farm_99 Stt_Kpital_Own_NoFarm_99 Stt_Kpital_Own_Farm_99
			Stt_Kpital_All_99 Stt_Kpital_All_Trd_99 Stt_Kpital_All_Serv_99 Stt_Kpital_All_AgrVA_99 Stt_Kpital_All_Agr_99 Stt_Kpital_All_Lvst_99
			Stt_Kpital_Own_99 Stt_Kpital_Own_Trd_99 Stt_Kpital_Own_Serv_99 Stt_Kpital_Own_AgrVA_99 Stt_Kpital_Own_Agr_99 Stt_Kpital_Own_Lvst_99 

			*Stt_Kpital_All_95 Stt_Kpital_All_Trd_95 Stt_Kpital_All_Serv_95 Stt_Kpital_All_AgrVA_95 Stt_Kpital_All_Agr_95 Stt_Kpital_All_Lvst_95
			*Stt_Kpital_Own_95 Stt_Kpital_Own_Trd_95 Stt_Kpital_Own_Serv_95 Stt_Kpital_Own_AgrVA_95 Stt_Kpital_Own_Agr_95 Stt_Kpital_Own_Lvst_95 
			";
			
			global AGR_ASSETS" 
			Assets_Act Assets_Act_99 
			Assets_Act_NoFarm Assets_Act_Farm Assets_Act_NoFarm_99 Assets_Act_Farm_99
			Assets_Act Assets_Act_Trd Assets_Act_Serv Assets_Act_AgrVA Assets_Act_Agr Assets_Act_Lvst 
			Assets_Act_99 Assets_Act_Trd_99 Assets_Act_Serv_99 Assets_Act_AgrVA_99 Assets_Act_Agr_99 Assets_Act_Lvst_99 
			*Assets_Act_95 Assets_Act_Trd_95 Assets_Act_Serv_95 Assets_Act_AgrVA_95 Assets_Act_Agr_95 Assets_Act_Lvst_95
			";
			
				
			global AGR_EMPLOI" 
			Empl_Tot Empl_HH Empl_Oth 
			Empl_HH_99 Empl_Oth_99 Empl_Tot_99
			Empl_HH_95 Empl_Oth_95 Empl_Tot_95
			
			Empl_Tot_NoFarm Empl_Tot_Farm Empl_HH_NoFarm Empl_HH_Farm Empl_Oth_NoFarm Empl_Oth_Farm 
			Empl_Tot_NoFarm_99 Empl_Tot_Farm_99 Empl_HH_NoFarm_99 Empl_HH_Farm_99 Empl_Oth_NoFarm_99 Empl_Oth_Farm_99
			Empl_Tot_NoFarm_95 Empl_Tot_Farm_95 Empl_HH_NoFarm_95 Empl_HH_Farm_95 Empl_Oth_NoFarm_95 Empl_Oth_Farm_95		
			
			Empl_Tot_Trd Empl_Tot_Serv Empl_Tot_AgrVA Empl_Tot_Agr Empl_Tot_Lvst
			*Empl_Tot_Trd Empl_HH_Trd Empl_Oth_Trd 
			*Empl_Tot_Serv Empl_HH_Serv Empl_Oth_Serv 
			*Empl_Tot_AgrVA Empl_HH_AgrVA Empl_Oth_AgrVA 
			*Empl_Tot_Agr Empl_HH_Agr Empl_Oth_Agr 
			*Empl_Tot_Lvst Empl_HH_Lvst Empl_Oth_Lvst
			";
			
			
			global AGR_COLL "A_AGR_collective Nb_AGR_collective  Nb_AGR_large Nb_AGR_med";
			
		# delimit cr
		
			su $AGR_PROFITS $AGR_CAPITAL  $AGR_ASSETS  $AGR_EMPLOI $AGR_COLL
		*********************************************************************************
		
		
	*********************************************************************************
	* 								 SELF EMPLOYMENT (AGR) ANALYSIS 
	*								Module EfB - MAIN ACTIVITY ONLY
	*********************************************************************************

	/*
		Main analysis variables created :
		- 1/ Indicators for business practices : doing business market assessment, doing a business plan, how do you pay yourself, type of accounts keeping. 
		- 2/ Expenditures variables (including employee payroll)
		- 3/ Investment variables (dummies, total amount invested last 6 months, investment projects next 6 months)
		- 4/ Other variables ( employees + recompute key variables of EfA restricted to main activity as indicated in EfB (Profits, Capital, Assets, Emploi)
	*/		
			
	*********************************************************************************
	** 1/ BUSINESS PRACTICES                                                      ***
	*********************************************************************************

		* Business market assesment (not directly declared, computed)
			gen AGR_market=0 if attrit_i_e==0 
			gen temp=0 if attrit_i_e==0
			forvalues i=1/7 {
				replace temp=temp+1 if EfB4__`i'==1 
			}
			recode AGR_market (0=1) if temp>=2 & temp<. /* On considere vraie etude de marche a partir de 2 items */
			cap drop temp

		* Business plan
			gen AGR_bplan=0  if attrit_i_e==0
			replace AGR_bplan=(EfB5==1) if attrit_i_e==0

		* Form of payment / remuneration
			gen AGR_Reg_Payment=0 if attrit_i_e==0
			replace AGR_Reg_Payment=1 if inlist(EfB6,1,3)

		* Type of accounts keeping
			gen AGR_Has_Acc=0 if attrit_i_e==0
			replace AGR_Has_Acc=1 if inlist(EfB7,3,4,5,6)
			
			gen AGR_Acc_Form=0 if attrit_i_e==0
			replace AGR_Acc_Form=1 if inlist(EfB7,5,6)

		* Index of Business practices
		gen index_Buss_Prac= AGR_market+ AGR_bplan+AGR_Reg_Payment+AGR_Acc_Form
		replace index_Buss_Prac=index_Buss_Prac/4
		
		sum index_Buss_Prac [weight=sampling_w_main] if treat_common_main==0 // modif 28 Aprl 20
		gen zs_index_Buss_Prac_M = ( index_Buss_Prac - `r(mean)' ) / (`r(sd)')

		sum index_Buss_Prac [weight=sampling_w_sec] if treat_common_spill==0 // modif 28 Aprl 20
		gen zs_index_Buss_Prac_S = ( index_Buss_Prac - `r(mean)' ) / (`r(sd)')		

	*********************************************************************************
	** 2/ EXPENDITURES VARIABLES                                                  ***
	*********************************************************************************

		* Preparation : top coded variables
			foreach var of varlist EfB8b EfB9a EfB9b EfB11_* {
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
			}
			
		* Preparation : retrieving cycles from module EfA				
			gen temp_cycle=1 if inlist(EfB2,3,4,5)
			gen cycle_equ_main=.
			forvalues i=1/10 {
				replace cycle_equ_main=EfA15_mth_`i' if EfB1=="`i'" & temp_cycle==1 // remplacer par var cree de cycle equivalent mois
			}

			*assert cycle_equ_main!=0 & cycle_equ_main<. if  temp_cycle==1 // 18 contradictions
			gen EfB9b_mth=EfB9b/cycle_equ_main if temp_cycle==1  
			gen EfB9b_mth_99=EfB9b_99/cycle_equ_main if temp_cycle==1  
			drop cycle_equ_main

		* Expenditures ( employees payroll and inputs including stock and raw material)				
			gen Main_AGR_Charges=0 if attrit_i_e==0
			gen Main_AGR_Charges_99=0 if attrit_i_e==0
			foreach var in EfB8b EfB9a EfB9b_mth {
				replace Main_AGR_Charges=Main_AGR_Charges+`var' if `var'<.
				replace Main_AGR_Charges_99=Main_AGR_Charges_99+`var'_99 if `var'_99<.
			}

		* Employees payroll 		
			gen Main_AGR_Empl_payroll=EfB8b if attrit_i_e==0

	*********************************************************************************
	** 3/ INVESTMENT Variables                                                ***
	*********************************************************************************

	* Investment last 6 months dummy
		g Main_AGR_Has_Invested=0 if attrit_i_e==0
		foreach i of numlist 1/4 99 {
			replace Main_AGR_Has_Invested=1 if (EfB10__`i'==1)
		}
		
	* Investment last 6 months value
			
		g Main_AGR_Invest=0 if attrit_i_e==0
		g Main_AGR_Invest_99=0 if attrit_i_e==0
		foreach i of numlist 1/4 99 {
			replace Main_AGR_Invest=Main_AGR_Invest + EfB11_`i' if EfB11_`i'<.
			replace Main_AGR_Invest_99=Main_AGR_Invest_99 + EfB11_`i'_99 if EfB11_`i'_99<.
		}
		
	* Investment project in next 6 months dummy
		g Main_AGR_Invt_Project=0 if attrit_i_e==0
		foreach i of numlist 1/5 99 {
			replace Main_AGR_Invt_Project=1 if (EfB12__`i'==1)
		}
		
		g Main_AGR_Invt_Pjt_Gwth=0 if attrit_i_e==0
		foreach i of numlist 2/4  {
			replace Main_AGR_Invt_Pjt_Gwth=1 if (EfB12__`i'==1)
		}
		
		
	*********************************************************************************
	** 4/ Other AGR variables                                             ***
	*********************************************************************************
		foreach var of varlist EfB8a  {
			sum `var' , d
			local r3 = `r(p99)'
			local r4 = `r(p95)'
			gen `var'_99 = `var'
			replace `var'_99 = `r3' if `var'_99>`r3' & `var'<.			
			gen `var'_95 = `var'
			replace `var'_95 = `r4' if `var'_95>`r4' & `var'<.
		}
			
		** Profits for main activity (recalled from EfA)
			
				g Main_AGR_Profit=0 if attrit_i_e==0
				g Main_AGR_Profit_95=0 if attrit_i_e==0
				g Main_AGR_Profit_99=0 if attrit_i_e==0
				
				forvalues i= 1/10 {
					replace Main_AGR_Profit=EfA14_`i' if EfB1=="`i'"  & !inlist(EfA4a_`i',3,4,5) & attrit_i_e==0
					replace AGR_Profit_`i'= EfA16_`i' / EfA15_mth_`i' if EfB1=="`i'"  & inlist(EfA4a_`i',3,4,5) & attrit_i_e==0
					
					foreach trim in 95 99 {
					replace Main_AGR_Profit_`trim'=EfA14_`i'_`trim' if EfB1=="`i'"  & !inlist(EfA4a_`i',3,4,5) & attrit_i_e==0
					replace Main_AGR_Profit_`trim'= EfA16_`i'_`trim' / EfA15_mth_`i' if EfB1=="`i'"  & inlist(EfA4a_`i',3,4,5) & attrit_i_e==0
					} 
				}
					
		** Capital for main activity (recalled from EfA) - Starting capital - Total and Personal investment
			
			g Main_Stt_Kpital_All=0 if attrit_i_e==0
			g Main_Stt_Kpital_Own=0 if attrit_i_e==0
			
			foreach trim in 95 99 {
				g Main_Stt_Kpital_All_`trim'  =0 if attrit_i_e==0
				gen Main_Stt_Kpital_Own_`trim' =0 if attrit_i_e==0
				}
				
			forvalues i= 1/10 {	
				replace Main_Stt_Kpital_All=  EfA17_`i' if  EfB1=="`i'"  & attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'<.
				replace Main_Stt_Kpital_Own=  EfA18_`i' if  EfB1=="`i'"  & attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'<.
			
				foreach trim in 95 99 {
					replace Main_Stt_Kpital_All_`trim' =  EfA17_`i'_`trim' if EfB1=="`i'"  & attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA17_`i'_`trim'<.
					replace Main_Stt_Kpital_Own_`trim' =  EfA18_`i'_`trim' if EfB1=="`i'"  & attrit_i_e==0 & EfA10_mth_`i'<=24 & EfA18_`i'_`trim'<.
				}
			}
			
			
		** Value of IGA assets for main activity (recalled from EfA)
			g Main_Assets_Act=0 if attrit_i_e==0
			g Main_Assets_Act_95=0 if attrit_i_e==0
			g Main_Assets_Act_99=0 if attrit_i_e==0
				
			forvalues i= 1/10 {	
				replace Main_Assets_Act=  EfA19_`i' if EfB1=="`i'"  & attrit_i_e==0  & EfA19_`i'<.
			
				foreach trim in 95 99 {
					replace Main_Assets_Act_`trim' =  EfA19_`i'_`trim' if EfB1=="`i'"  & attrit_i_e==0  & EfA19_`i'<.
				}
			}	
			
		** 	 EMPLOYMENT  for main activity (recalled from EfA) // people who have worked in the activity in the last 30 days
			
		* Employment vars
		g Main_Empl_HH=0 if attrit_i_e==0
		g Main_Empl_Oth=0 if attrit_i_e==0
		g Main_Empl_HH_99=0 if attrit_i_e==0
		g Main_Empl_Oth_99=0 if attrit_i_e==0
		g Main_Empl_HH_95=0 if attrit_i_e==0
		g Main_Empl_Oth_95=0 if attrit_i_e==0
		
		forvalues i= 1/10 {	
			replace Main_Empl_HH=EfA20_Tot_`i' if EfB1=="`i'"  & attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Main_Empl_Oth= EfA21_`i' if EfB1=="`i'"  & attrit_i_e==0 & EfA21_`i' <.
		}
		
		g Main_Empl_Tot = Main_Empl_HH + Main_Empl_Oth
		
		* Employment vars tocoded
		

		forvalues i= 1/10 {	
			replace Main_Empl_HH_99= EfA20_Tot_`i'_99 if EfB1=="`i'"  & attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Main_Empl_Oth_99= EfA21_`i'_99 if EfB1=="`i'"  & attrit_i_e==0 & EfA21_`i' <.
			replace Main_Empl_HH_95= EfA20_Tot_`i'_95 if EfB1=="`i'"  & attrit_i_e==0 & EfA20_Tot_`i' <.
			replace Main_Empl_Oth_95= EfA21_`i'_95 if EfB1=="`i'"  & attrit_i_e==0 & EfA21_`i' <.
		}
		
		g Main_Empl_Tot_99 = Main_Empl_HH_99 + Main_Empl_Oth_99
		g Main_Empl_Tot_95 = Main_Empl_HH_95 + Main_Empl_Oth_95
		
		// TBC : reverifier utilisation de EfA20a oui / non ds le codage de EfA20_Tot

		
		** Employment in the activity / Emploi dans l'AGR // people who have been PAID to work in the activity last 30 days

			g Main_Paid_Employ=0 if attrit_i_e==0
			replace Main_Paid_Employ=EfB8a if EfB8a<.
			
			g Main_Paid_Employ_99=0 if attrit_i_e==0
			replace Main_Paid_Employ_99=EfB8a_99 if EfB8a<.
			
			g Main_Paid_Employ_95=0 if attrit_i_e==0
			replace Main_Paid_Employ_95=EfB8a_95 if EfB8a<.	
			
			*assert Main_Paid_Employ<=Main_Empl_Tot if Main_Paid_Employ<.




	*********************************************************************************
	** 5/ Value Chain and Competition                                          ***
	*********************************************************************************	
	
	* Competition
	
	gen Main_AGR_High_com_loc=(EfB13a==1) if attrit_i_e==0
	gen Main_AGR_High_com_sspref=(EfB14==1) if attrit_i_e==0
	
	
	* Value Chain
	
	gen Fournisseur_loc=inlist(EfB16,1,2) if attrit_i_e==0 // majorite fournisseurs ds la localite
	gen Debouche_loc=inlist(EfB17b_1,1,2) | inlist(EfB17b_3,1,2) if attrit_i_e==0 // majorite debouches ds la localite, part ou grossiste
	
	gen Debouch_part=(EfB17a__1==1) | (EfB17a__2==1) if attrit_i_e==0 
	gen Debouch_grossiste=(EfB17a__3==1) | (EfB17a__4==1) if attrit_i_e==0 
	
	gen Main_Client_Part_loc= (EfB17a__1==1) & inlist(EfB17b_1,1,2) if attrit_i_e==0 
	gen Main_Client_Part_other	= (EfB17a__2==1) & inlist(EfB17b_2,1,2) if attrit_i_e==0 
	gen Main_Client_Gros_loc	= (EfB17a__3==1) & inlist(EfB17b_3,1,2) if attrit_i_e==0 
	gen Main_Client_Gros_other	= (EfB17a__4==1) & inlist(EfB17b_4,1,2) if attrit_i_e==0 
	

	
	***  MACRO ******************************************************************************

		# delimit ;
			global AGR_MAIN_INVEST "Main_AGR_Has_Invested Main_AGR_Invest Main_AGR_Invest_99 Main_AGR_Invt_Project Main_AGR_Invt_Pjt_Gwth" ; 
			
			global AGR_MAIN_INVEST_SP "Main_AGR_Has_Invested Main_AGR_Invest Main_AGR_Invest_99 " ; 
			// Main_AGR_Invt_Project Main_AGR_Invt_Pjt_Gwth ;

			
			global AGR_MAIN_BUSSINESS "
			Main_AGR_Profit  Main_AGR_Profit_99 
			Main_Stt_Kpital_All Main_Stt_Kpital_Own 
			Main_Stt_Kpital_All_99 Main_Stt_Kpital_Own_99 
			Main_Assets_Act  Main_Assets_Act_99 
			Main_AGR_Charges Main_AGR_Charges_99 
			Main_Empl_HH Main_Empl_Oth Main_Empl_Tot
			Main_Empl_HH_99 Main_Empl_Oth_99 Main_Empl_Tot_99
			Main_Empl_HH_95 Main_Empl_Oth_95 Main_Empl_Tot_95
			Main_Paid_Employ Main_Paid_Employ_99 Main_Paid_Employ_95" ;
			
		//	Main_AGR_Profit_95  Main_Stt_Kpital_All_95 Main_Stt_Kpital_Own_95  Main_Assets_Act_95;

					global AGR_MAIN_BUSSINESS_SP "
			Main_AGR_Profit  Main_AGR_Profit_99 
			Main_Stt_Kpital_All Main_Stt_Kpital_Own 
			Main_Stt_Kpital_All_99 Main_Stt_Kpital_Own_99 
			Main_Assets_Act  Main_Assets_Act_99 
			
			Main_Empl_HH Main_Empl_Oth Main_Empl_Tot
			Main_Empl_HH_99 Main_Empl_Oth_99 Main_Empl_Tot_99
			Main_Empl_HH_95 Main_Empl_Oth_95 Main_Empl_Tot_95
			" ;
		
		// Main_AGR_Charges Main_AGR_Charges_99  Main_Paid_Employ Main_Paid_Employ_99 Main_Paid_Employ_95 ;
			
			global AGR_MAIN_PRACTICES "zs_index_Buss_Prac_M zs_index_Buss_Prac_S AGR_market AGR_bplan AGR_Reg_Payment AGR_Has_Acc AGR_Acc_Form"; 
			
			global AGR_MARKET " Main_AGR_High_com_loc Main_AGR_High_com_sspref Fournisseur_loc Debouche_loc Debouch_part Debouch_grossiste
	Main_Client_Part_loc Main_Client_Part_other Main_Client_Gros_loc  Main_Client_Gros_other";
			
		# delimit cr
		
		su $AGR_MAIN_INVEST $AGR_MAIN_BUSSINESS $AGR_MAIN_PRACTICES $AGR_MARKET

	*****************************************************************************************************
	* 								 ASSETS (household) ANALYSIS 
	*								questionnaire : module C 
	******************************************************************************************************

		*********************************************************************************
		* 1/ Ownership of HH assets dummy and total nb (per type)
		* 2/ Purchasing HH assets dummy for contributing to the purchase and amount paid  (per type)
		* 3/ Topcoding amounts purchased
		*********************************************************************************

	/* Categories :
	- Agriculture : item 1 to 7 ( 12 is both transport and agriculture, but empty in the data anyway) 
				Daba, Houe
				Machette 
				Charette
				Hache, Pioche
				Charrue
				Vaporisateur agricole, Machine à pomper
				Brouette

	- Tranport : item 8 to 13
				Bicyclette, vélo
				Motos ou vélomoteur
				Tricycles, Trois roues
				Camionnette, Kia
				Tracteur
				Voiture

	- Household equipnent : item 14 to 23
				Réfrigérateur
				Congélateur
				Ventilateur
				Cuisinière
				Ordinateur
				Radio
				Télévision
				Téléphone portable
				Lampes et torches
				Moteur ou générateur pour l'électricité
	*/

	*********************************************************************************
	** 1/ OWNERSHIP OF ASSETS                                           ***
	*********************************************************************************

		** Ownership of assets (dummy per category) 

			* Sum of dummies
			gen Asset_HHeqp=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=14/23 {
			replace Asset_HHeqp=Asset_HHeqp+(C1_`i'==1)
			}

			gen Asset_Transport=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=8/11 {
			replace Asset_Transport=Asset_Transport+(C1_`i'==1)
			}
			replace Asset_Transport=Asset_Transport+(C1_13==1)


			gen Asset_Agric=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=1/7 {
			replace Asset_Agric=Asset_Agric+(C1_`i'==1)
			}
			
			* One dummy per large category
			gen Asset_HHeqp_I=(Asset_HHeqp>0 & Asset_HHeqp<.) if attrit_i_e==0 & type_questionnaire==1
			gen Asset_Transport_I=(Asset_Transport>0 & Asset_Transport<.)  if attrit_i_e==0 & type_questionnaire==1
			gen Asset_Agric_I=(Asset_Agric>0 & Asset_Agric<.)  if attrit_i_e==0 & type_questionnaire==1
		
			* Percentage over assets per category
			gen Asset_HHeqp_pc=Asset_HHeqp/10 
			gen Asset_Transport_pc=Asset_Transport/6 
			gen Asset_Agric_pc=Asset_Agric/7 


		** Ownership of assets (Total number) + topcoding

			gen Nb_Asset_HHeqp=0 if attrit_i_e==0 & type_questionnaire==1
			gen Nb_Asset_HHeqp_99=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=14/23 {
				replace Nb_Asset_HHeqp=Nb_Asset_HHeqp+(C2_`i')
				replace Nb_Asset_HHeqp_99=Nb_Asset_HHeqp_99+(C2_`i'_99)
			}

			gen Nb_Asset_Transport=0 if attrit_i_e==0 & type_questionnaire==1
			gen Nb_Asset_Transport_99=0 if attrit_i_e==0 & type_questionnaire==1
			foreach i of numlist 8/11 13 {
				replace Nb_Asset_Transport=Nb_Asset_Transport+(C2_`i')
				replace Nb_Asset_Transport_99=Nb_Asset_Transport_99+(C2_`i'_99)
			}


			gen Nb_Asset_Agric=0 if attrit_i_e==0 & type_questionnaire==1
			gen Nb_Asset_Agric_99=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=1/7 {
				replace Nb_Asset_Agric=Nb_Asset_Agric+(C2_`i')
				replace Nb_Asset_Agric_99=Nb_Asset_Agric_99+(C2_`i'_99)
			}

			gen Tot_Nb_Assets=Nb_Asset_HHeqp+Nb_Asset_Transport+Nb_Asset_Agric
			gen Tot_Nb_Assets_99=Nb_Asset_HHeqp_99+Nb_Asset_Transport_99+Nb_Asset_Agric_99
			
	*********************************************************************************
	** 2/ PURCHASE OF ASSETS                                           ***
	*********************************************************************************

		*** Purchasing assets (quantity)
		
			gen Prch_Nb_Asset_HHeqp=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=14/23 {
			replace Prch_Nb_Asset_HHeqp=Prch_Nb_Asset_HHeqp+(C3_`i')
			}

			gen Prch_Nb_Asset_Transport=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=8/10 { // _11 and _12 do not exist
			replace Prch_Nb_Asset_Transport=Prch_Nb_Asset_Transport+(C3_`i')
			}
			replace Prch_Nb_Asset_Transport=Prch_Nb_Asset_Transport+(C3_13)


			gen Prch_Nb_Asset_Agric=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=1/7 {
			replace Prch_Nb_Asset_Agric=Prch_Nb_Asset_Agric+(C3_`i')
			}
			
			gen Tot_Nb_Purch_Assets=Prch_Nb_Asset_HHeqp+Prch_Nb_Asset_Transport+Prch_Nb_Asset_Agric

		*** Purchasing assets (value)
		
			gen Prch_Val_Asset_HHeqp=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=14/23 {
			replace Prch_Val_Asset_HHeqp=Prch_Val_Asset_HHeqp+(C4_`i')
			}

			gen Prch_Val_Asset_Trspt=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=8/10 { // _11 and _12 do not exist
			replace Prch_Val_Asset_Trspt=Prch_Val_Asset_Trspt+(C4_`i')
			}
			replace Prch_Val_Asset_Trspt=Prch_Val_Asset_Trspt+(C4_13)


			gen Prch_Val_Asset_Agric=0 if attrit_i_e==0 & type_questionnaire==1
			forvalues i=1/7 {
			replace Prch_Val_Asset_Agric=Prch_Val_Asset_Agric+(C4_`i')
			}
			
			gen Tot_Val_Purch_Assets=Prch_Val_Asset_HHeqp+Prch_Val_Asset_Trspt+Prch_Val_Asset_Agric
			
	*********************************************************************************
	** 3/ TOP CODING                                        ***
	*********************************************************************************
		 
	 * top code 99 for value of purchased assets

		gen Prch_Val_Asset_HHeqp_99=0 if attrit_i_e==0
		forvalues i=14/23 {
		replace Prch_Val_Asset_HHeqp_99=Prch_Val_Asset_HHeqp_99+(C4_`i'_99)
		}

		gen Prch_Val_Asset_Trspt_99=0 if attrit_i_e==0
		forvalues i=8/10 { // _11 and _12 do not exist
		replace Prch_Val_Asset_Trspt_99=Prch_Val_Asset_Trspt_99+(C4_`i'_99)
		}
		replace Prch_Val_Asset_Trspt_99=Prch_Val_Asset_Trspt_99+(C4_13_99)


		gen Prch_Val_Asset_Agric_99=0 if attrit_i_e==0
		forvalues i=1/7 {
		replace Prch_Val_Asset_Agric_99=Prch_Val_Asset_Agric_99+(C4_`i'_99)
		}
		
		gen Tot_Val_Purch_Assets_99=Prch_Val_Asset_HHeqp_99+Prch_Val_Asset_Trspt_99+Prch_Val_Asset_Agric_99
		
						
	***  MACRO ******************************************************************************	
		# delimit ;

		global ASSETS_OWNERSHIP " 
		Asset_HHeqp Asset_Transport Asset_Agric 
		Asset_HHeqp_I Asset_Transport_I Asset_Agric_I 
		Tot_Nb_Assets Nb_Asset_HHeqp Nb_Asset_Transport Nb_Asset_Agric 
		Tot_Nb_Assets_99 Nb_Asset_HHeqp_99 Nb_Asset_Transport_99 Nb_Asset_Agric_99
		";
		 
		 
		global ASSETS_PURCHASE "
		Tot_Nb_Purch_Assets Prch_Nb_Asset_HHeqp Prch_Nb_Asset_Transport Prch_Nb_Asset_Agric  
		Tot_Val_Purch_Assets Prch_Val_Asset_HHeqp Prch_Val_Asset_Trspt Prch_Val_Asset_Agric
		Tot_Val_Purch_Assets_99 Prch_Val_Asset_HHeqp_99 Prch_Val_Asset_Trspt_99 Prch_Val_Asset_Agric_99";


		global ASSETS_OWNERSHIP_All  "
		C1_1 C1_2 C1_3 C1_4 C1_5 C1_6 C1_7 C1_8 C1_9 C1_10 C1_11 C1_12 C1_13 C1_14 C1_15 C1_16 C1_17 C1_18 C1_19 C1_20 C1_21 C1_22 C1_23
		C2_1 C2_2 C2_3 C2_4 C2_5 C2_6 C2_7 C2_8 C2_9 C2_10 C2_11        C2_13 C2_14 C2_15 C2_16 C2_17 C2_18 C2_19 C2_20 C2_21 C2_22 C2_23
		" ;

		global ASSETS_PURCHASE_All  "
		C3_1 C3_2 C3_3 C3_4 C3_5 C3_6 C3_7 C3_8 C3_9 C3_10 C3_11        C3_13 C3_14 C3_15 C3_16 C3_17 C3_18 C3_19 C3_20 C3_21 C3_22 C3_23
		C4_1 C4_2 C4_3 C4_4 C4_5 C4_6 C4_7 C4_8 C4_9 C4_10 C4_11        C4_13 C4_14 C4_15 C4_16 C4_17 C4_18 C4_19 C4_20 C4_21 C4_22 C4_23
		";

		# delimit cr

		sum $ASSETS_OWNERSHIP $ASSETS_PURCHASE $ASSETS_OWNERSHIP_All $ASSETS_PURCHASE_All
			
	*********************************************************************************
	* 								 EDUCATION SPENDING 
	*								questionnaire : Module B
	*********************************************************************************

	/*
		Main analysis variables created :
		- 1/ Total spending for education
		- 2/ Topcoding
	*/		
			
	*********************************************************************************
	** 1/ EDUCATION SPENDING                                                     ***
	*********************************************************************************
		
		gen Education=0 if type_questionnaire==1 & attrit_i_e==0
		foreach var of varlist  B10a B10b B10c B10d {
			replace Education=Education+`var' 	if type_questionnaire==1 & attrit_i_e==0
		}
		
	*********************************************************************************
	** 2/ TOP CODING 99                                                          ***
	*********************************************************************************
			 
				foreach var of varlist  B10a B10b B10c B10d  {
				sum `var' if `var'>0, d
				local r2 = `r(p99)'
				gen `var'_99 = `var'
				replace `var'_99 = `r2' if `var'_99>`r2' & `var'<.
			}
		
		gen Education_99=0 if type_questionnaire==1 & attrit_i_e==0
		foreach var of varlist  B10a B10b B10c B10d {
		replace Education_99=Education_99+`var'_99 	if type_questionnaire==1 & attrit_i_e==0
		}
		
	***  MACRO ******************************************************************************	

		global HH_EDUC_SPENDING "Education Education_99 " 
		sum $HH_EDUC_SPENDING 	
		


	*********************************************************************************
	* 						SAVINGS including SAVINGS GROUPS
	* questionnaire : Module IA / IB / IC for saving groups, IE for other Savings
	*********************************************************************************

	/*
		Main analysis variables created :
		
		Saving Groups
			- 1/ Type and number of saving groups involved in for the last 12 months
			- 2/ Dynamics of saving groups : 
					- groups newly created in the last 24mths (timing of the program) ; 
					- nb of groups currently active ;
					- main reason for stopping participation in a group
			- 3/ Identifying IRC spillovers + check consistency VSLA / ROSCA based on existence of training or not
			- 4/ Stock : Total amount of savings in saving groups (and amount topcoded 99)
			- 5/ Flux : Amount saved in saving groups last 3 months  (and amount topcoded 99) [warning : approximation ]
			- 6/ Credit : Nb of credits taken from VSLA groups 
			- 7/ Other Saving groups characteristics : TBC

		Other type of Savings
			-8/ Type and number of sources of savings  for the last 24 months
			-9/ Stock : Total amount of savings (and per category formal / informal / groups) (and amount topcoded 99)
			-10/ Flux : Amount saved last 3 months  (and amount topcoded 99) 

			*/	
			
	*********************************************************************************
	** 1/  SAVINGS  GROUPS - Type and number overall for the last 12 months   	 ***
	*********************************************************************************
		
		* Participate in a saving group in the last 12 mths 
			g Has_Svgs_Group_12m=IA1 if attrit_i_e==0
			
		* Total nb of saving groups last 12 mths
			g Nb_Svgs_Group=i_nb_gpepargne if attrit_i_e==0
			
		* Detail of saving groups : Total nb of VSLA last 12 mths
			g Nb_VSLA=0 if attrit_i_e==0
			forvalues i=1/5 {
				// TBC VF data if 5 groups max
				replace Nb_VSLA=Nb_VSLA+1 if IA3_`i'==2
			}
			
		* Detail of saving groups : Total nb of ROSCA last 12 mths
			g Nb_ROSCA=0 if attrit_i_e==0
			forvalues i=1/5 {
				// TBC VF data if 5 groups max
				replace Nb_ROSCA=Nb_ROSCA+1 if IA3_`i'==1
			}	

	*********************************************************************************
	** 2/  SAVINGS  GROUPS - Dynamics   									   	  ***
	*********************************************************************************

		* VSLA created during last 24 months (correspond to the time of the 1st cycle of VSLA from the program)

			g Nb_VSLA_New24mth=0 if attrit_i_e==0
			forvalues i=1/5 {
				replace Nb_VSLA_New24mth=Nb_VSLA_New24mth+1 if IA3_`i'==2 & IA6_`i'==1 & IA8_`i'<=24 
			}
			
		* Group currently active / operating (Dummy and total number per type of group)
			* A/ VSLA
				g Nb_VSLA_On=0 if attrit_i_e==0
				forvalues i=1/5 {
					replace Nb_VSLA_On=Nb_VSLA_On+1 if IA3_`i'==2 & IA6_`i'==1
				}
				
				g A_VSLA=(Nb_VSLA_On>0) if attrit_i_e==0
				
			* B / ROSCA
				g Nb_ROSCA_On=0 if attrit_i_e==0
				forvalues i=1/5 {
					replace Nb_ROSCA_On=Nb_ROSCA_On+1 if IA3_`i'==1 & IA6_`i'==1
				}
				
				g A_ROSCA=(Nb_ROSCA_On>0) if attrit_i_e==0	
				
		* Main reason for stopping participation in a saving group in the last months
			gen Stop_SvgGp_Cycle=0 if attrit_i_e==0
			gen Stop_SvgGp_Tensions=0 if attrit_i_e==0
			gen Stop_SvgGp_Resources=0 if attrit_i_e==0	
			forvalues i=1/5 {
				replace Stop_SvgGp_Cycle=Stop_SvgGp_Cycle+1 if IA6_`i'==1
				replace Stop_SvgGp_Tensions=Stop_SvgGp_Tensions+1 if IA6_`i'==3
				replace Stop_SvgGp_Resources=Stop_SvgGp_Resources+1 if IA6_`i'==5
			}				
			* TBC ta IA10Autr_1 a reventiler 
				
	*********************************************************************************
	** 3/  SAVINGS  GROUPS - Identifying spillovers + check consistency VSLA / ROSCA ***
	*********************************************************************************
				
		* Number of VSLA groups receiving training + detail for the source of the training (NGO or not):
			g Nb_VSLA_Tr=0 if attrit_i_e==0
			g Nb_VSLA_TrNGO=0 if attrit_i_e==0
			
			forvalues i=1/5 {
				replace Nb_VSLA_Tr=Nb_VSLA_Tr+1 if IA3_`i'==2 & IA4_`i'==1
				replace Nb_VSLA_TrNGO=Nb_VSLA_TrNGO+1 if IA3_`i'==2 & IA4_`i'==1 & IA5_`i'==1
			}
			
			g Nb_ROSCA_Tr=0 if attrit_i_e==0
			g Nb_ROSCA_TrNGO=0 if attrit_i_e==0
			forvalues i=1/5 {
				replace Nb_ROSCA_Tr=Nb_ROSCA_Tr+1 if IA3_`i'==1 & IA4_`i'==1
				replace Nb_ROSCA_TrNGO=Nb_ROSCA_TrNGO+1 if IA3_`i'==1 & IA4_`i'==1 & IA5_`i'==1
			}
			
			/* Interpretation note :
			- we expect a high share of VSLA participant to say they have received a training, 
			because this is a more sophisticated form of ROSCA. On the contrary ROSCA participants 
			should not have received a training, if the rate is high for ROSCA it could indicate that respondents 
			had confusion between the two groups described in the questionnaire and did not made the difference clearly.
			
			- Low nb of trainings received for ROSCAS - good.
			*/
			
		* Identifying if the source of the training is IRC :
		/*
		  - We use the source of training being reported as "NGO" (rather than "individual")
		  - We match keywords in the description of the NGO involved
		  
		  TBC : could be IRC staff registered by their name under individual
		  TBC : could check consistency using name of VSLA x Village to infer for people who dont know
		*/
			
			g Nb_VSLA_TrNGO_IRC=0 if attrit_i_e==0
			forvalues i=1/5 {
				gen Svg_IRC_`i'=regexm(IA5ONG_`i', "[p|P][r|R][i|I][s|S][e|E]") + regexm(IA5ONG_`i', "[i|I][r|R][c|C]")  + regexm(IA5ONG_`i', "I R C") + regexm(IA5ONG_`i', "NRC") + regexm(IA5ONG_`i', "ISC") + regexm(IA5ONG_`i', "rescue") 
				replace Nb_VSLA_TrNGO_IRC=Nb_VSLA_TrNGO_IRC+1 if IA3_`i'==2 & IA4_`i'==1 & IA5_`i'==1 & (Svg_IRC_`i'>0 & Svg_IRC_`i'<.)
			 // TBC 50% NSP we could input from village x name of VSLA for the others
			}
					
			g Nb_ROSCA_TrNGO_IRC=0 if attrit_i_e==0
			forvalues i=1/5 {
				replace Nb_ROSCA_TrNGO_IRC=Nb_ROSCA_TrNGO_IRC+1 if IA3_`i'==1 & IA4_`i'==1 & IA5_`i'==1 & (Svg_IRC_`i'>0 & Svg_IRC_`i'<.)
			}	
			
	// 		forvalues i=1/5 {
	// 			ta IA5ONG_`i' if Svg_IRC_`i'==0
	// 		}
				
	*********************************************************************************
	** 4/ GROUP SAVINGS - Total amount of savings in saving groups   (stock)     ***
	*********************************************************************************
		/* Methodology :
		- ROSCA : the total amount saved is the same as the sum put in the pot at each meeting * nb of individuals in the group
		We use the topcoded  nb of individuals in the group (IB1) for ROSCAs to limit outliers (multiplication fo two vars)
		- VSLA : we have two variables to compute it :
				- either the respondent knows the nb of shares he has and the value of a share (decided when VSLA was started)
				- or he does not know and he provides an approximation of how much he has put in total in the VSLA so far
		*/
		
		* A / ROSCA
				gen Tot_Savings_ROSCA=0 if attrit_i_e==0
				gen Tot_Savings_ROSCA_99=0 if attrit_i_e==0
				forvalues i=1/4 {
					replace Tot_Savings_ROSCA=Tot_Savings_ROSCA + (IB4_`i'*IB1_`i'_99) if IA3_`i'==1 & IB4_`i'<.
					replace Tot_Savings_ROSCA_99=Tot_Savings_ROSCA_99 + (IB4_`i'_99*IB1_`i'_99) if IA3_`i'==1 & IB4_`i'<.
				}

		* B/ VSLA
				gen Tot_Savings_VSLA=0 if attrit_i_e==0
				gen Tot_Savings_VSLA_99=0 if attrit_i_e==0
				forvalues i=1/4 {
					replace Tot_Savings_VSLA=Tot_Savings_VSLA + IC5b_`i'*IC5a_`i' if IA3_`i'==2 & IC5a_`i'<.			
					replace Tot_Savings_VSLA_99=Tot_Savings_VSLA_99 + IC5b_`i'_99*IC5a_`i'_99 if IA3_`i'==2 & IC5a_`i'<.
				}
				forvalues i=1/2 { // IC6_3 and _4 do not exist
					replace Tot_Savings_VSLA=Tot_Savings_VSLA + IC6_`i' if IA3_`i'==2 & IC6_`i'<.	
					replace Tot_Savings_VSLA_99=Tot_Savings_VSLA_99 + IC6_`i'_99 if IA3_`i'==2 & IC6_`i'<.
				}	

	*********************************************************************************
	** 5/ GROUP SAVINGS  -  amount saved in saving groups last 3 months  (flux)                                                  ***
	*********************************************************************************
		/* Methodology :
		- We use the average frequency of meetings (IB3 / IC3) to compute an approximation of the number 
		of meetings over the last 3 months.
		- Then we multiply this proxy nb of meetings by the average amount saved at each meeting :
			" on average how much do you put at each meeting " (IC4 / IB4)
			
		Note on topcod :
		- We use topcoded amounts for IC4 / IB4 because this measure is an approximation and based on two variables multiplied
		- The topcoded measure XX_99 and XX_95 are the final variable topcoded as a whole (to further reduce outliers due to multiplicative effect of two approx)
		*/
		
	* Computing an equivalent to "last 3 months" from frequency meeting measure

			forvalues i=1/4 {
				 gen IB3_equ_3mth_`i'=0 if attrit_i_e==0
				 replace IB3_equ_3mth_`i'= 30*3*(IB3_`i'==1) + 4*3*(IB3_`i'==2) + 2*3*(IB3_`i'==3) + 3*(IB3_`i'==4) + 1.5*(IB3_`i'==5) + (IB3_`i'==6)  
				 
				 gen IC3_equ_3mth_`i'=0 if attrit_i_e==0
				 replace IC3_equ_3mth_`i'= 30*3*(IC3_`i'==1) + 4*3*(IC3_`i'==2) + 2*3*(IC3_`i'==3) + 3*(IC3_`i'==4) + 1.5*(IC3_`i'==5) + (IC3_`i'==6)  
			}
			
	* equivalent " last 3 months" from frequency measure
			
			gen Flux_ROSCA_3mth=0 if attrit_i_e==0
			gen Flux_VSLA_3mth=0 if attrit_i_e==0
			forvalues i=1/4 { // TBC last version of the data
				replace Flux_ROSCA_3mth=Flux_ROSCA_3mth + IB4_`i'_99*IB3_equ_3mth_`i'  if IA3_`i'==1 & IB3_equ_3mth_`i'<. & IB4_`i'<.
				replace Flux_VSLA_3mth=Flux_VSLA_3mth + IC4_`i'_99*IC3_equ_3mth_`i'   if IA3_`i'==2 & IC3_equ_3mth_`i'<. & IC4_`i'<.
			}

			foreach var of varlist Flux_ROSCA_3mth  Flux_VSLA_3mth { 
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				local p95 = `r(p95)'
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
				gen `var'_95=`var' if attrit_i_e==0
				replace `var'_95=`p95' if `var'>`p95' & `var'<.	
			}
			
	*********************************************************************************
	** 6/ GROUP SAVINGS  - VSLA CREDITS / DEBT                                   ***
	*********************************************************************************

	* Total Nb of credits taken from VSLA groups	
		gen Nb_Credits_VSLA=0 if attrit_i_e==0
		
	* Amount of credits taken from VSLA groups	(and topcoded 99)
		gen Tot_Credits_VSLA=0 if attrit_i_e==0
		gen Tot_Credits_VSLA_99=0 if attrit_i_e==0
		
		forvalues i=1/4 {
			replace Nb_Credits_VSLA=Nb_Credits_VSLA + IC12_`i' if IC12_`i'<.
			replace Tot_Credits_VSLA=Tot_Credits_VSLA + IC13_`i' if IC13_`i'<.
			replace Tot_Credits_VSLA_99=Tot_Credits_VSLA_99 + IC13_`i'_99 if IC13_`i'<.
		}
		
		g A_Credit_VSLA=(Nb_Credits_VSLA>=1) & (Nb_Credits_VSLA<.) if attrit_i_e==0

	*********************************************************************************
	** 7/ GROUP SAVINGS  - VSLA AND ROSCA CHARACTERISTICS		                  ***
	*********************************************************************************	

	** TBC / A COMPLETER 	***

	*********************************************************************************
	** 8/ OTHER FORMS OF SAVINGS - ype and number of sources of savings           ***
	*********************************************************************************
						
		* Has Saved over the last 24 mths (Dummy)
			g Has_Saved=0 if attrit_i_e==0
			forvalues i=1/9 {
				recode Has_Saved (0=1) if IE3__`i'==1
			}
			recode Has_Saved (0=1) if A_VSLA==1 | A_ROSCA==1 
			
		* Has a saving account / has a mobile money account
			g Has_Savings_Account= (IE1==1) if attrit_i_e==0
			g Has_Mobile_Money= (IE2==1) if attrit_i_e==0
			
		*Number of different sources of savings and type (NB : we include saving groups) 
			/*
			Categories for type of savings :
			  - Formal : microcredit institution, bank, agricultural cooperative, mobile money
			  - Informal (non saving groups) :  cash, informal saving collector, assets for savings, other forms of savings (on average, others are mostly non formal)
			  - Saving groups : ROSCAs and VSLAs, taken from previous detailed modules IB / IC
			*/
			g Nb_Source_Savings=0 if attrit_i_e==0
			
			foreach i of numlist 1/9 99 {
				replace Nb_Source_Savings = Nb_Source_Savings + 1  if IE3__`i'==1
			}
			replace Nb_Source_Savings = Nb_Source_Savings + 1 if A_VSLA==1 & IE3__9!=1 // correct the outcome to include VSLAs reported in module IC
			replace Nb_Source_Savings = Nb_Source_Savings + 1 if A_ROSCA==1 & IE3__8!=1 // correct the outcome to include ROSCAS reported in module IB
			
			/*
			Incoherences sur saving groups :
				. count if A_VSLA==1 & IE3__9!=1
				  103

				. count if A_ROSCA==1 & IE3__8!=1
				  157
			*/
			
			g Nb_Source_Svgs_Formal=0 if attrit_i_e==0
			foreach var of varlist   IE3__2 IE3__3 IE3__5 IE3__6 {
				replace Nb_Source_Svgs_Formal = Nb_Source_Svgs_Formal +1 if `var'==1 
			}

			g Nb_Source_Svgs_Infml=0 if attrit_i_e==0
			foreach var of varlist   IE3__1 IE3__4 IE3__7 IE3__99 {
				replace Nb_Source_Svgs_Infml = Nb_Source_Svgs_Infml +1 if `var'==1 
			}
			
			g Nb_Source_Svgs_Gp=0 if attrit_i_e==0
			foreach var of varlist   IE3__8 IE3__9 {
				replace Nb_Source_Svgs_Gp = Nb_Source_Svgs_Gp +1 if `var'==1 
			}
			replace Nb_Source_Svgs_Gp = Nb_Source_Svgs_Gp + 1 if A_VSLA==1 & IE3__9!=1 // correct the outcome to include VSLAs reported in module IC
			replace Nb_Source_Svgs_Gp = Nb_Source_Svgs_Gp + 1 if A_ROSCA==1 & IE3__8!=1 // correct the outcome to include ROSCAS reported in module IB
			
			g Has_Saved_Formal=(Nb_Source_Svgs_Formal>=1 & Nb_Source_Svgs_Formal<.) if attrit_i_e==0
			g Has_Saved_Informal=(Nb_Source_Svgs_Infml>=1 & Nb_Source_Svgs_Infml<.) if attrit_i_e==0
			

	*********************************************************************************
	** 9/ OTHER FORMS OF SAVINGS - Stock of savings (and per type)                ***
	*********************************************************************************

		* Amount of savings per category
			/*
			Categories for type of savings :
			  - Formal : microcredit institution, bank, agricultural cooperative, mobile money
			  - Informal (non saving groups) :  cash, informal saving collector, assets for savings, other forms of savings (on average, others are mostly non formal)
			  - Saving groups : ROSCAs and VSLAs, taken from previous detailed modules IB / IC
			*/
			
			g Savings_Formal=0 if attrit_i_e==0
			g Savings_Informal=0 if attrit_i_e==0
			g Savings_Groups=Tot_Savings_VSLA + Tot_Savings_ROSCA 
			
			foreach i of numlist 1/9 99 {		
				replace Savings_Formal= Savings_Formal + IE4_`i' if IE4_`i'<. & (`i'==2 | `i'==3 | `i'==5 | `i'==6)
				replace Savings_Informal= Savings_Informal + IE4_`i' if IE4_`i'<. & (`i'==1 | `i'==4 | `i'==7 | `i'==99)
			}

		* Total amount of savings 
			g Tot_Savings=0 if attrit_i_e==0
			
			foreach i of numlist 1/9 99 {		
				replace Tot_Savings= Tot_Savings+ IE4_`i' if IE4_`i'<. 
			}
			replace Tot_Savings= Tot_Savings + Savings_Groups
			
		* Topcoded variables

// 			g Tot_Savings_99=0 if attrit_i_e==0
			g Savings_Formal_99=0 if attrit_i_e==0
			g Savings_Informal_99=0 if attrit_i_e==0
			g Savings_Groups_99=Tot_Savings_VSLA_99 + Tot_Savings_ROSCA_99
			
			foreach i of numlist 1/9 99 {		
// 				replace Tot_Savings_99= Tot_Savings_99+ IE4_`i'_99 if IE4_`i'<. 
				replace Savings_Formal_99= Savings_Formal_99 + IE4_`i'_99 if IE4_`i'<. & (`i'==2 | `i'==3 | `i'==5 | `i'==6)
				replace Savings_Informal_99= Savings_Informal_99 + IE4_`i'_99 if IE4_`i'<. & (`i'==1 | `i'==4 | `i'==7 | `i'==99)
			}
			g Tot_Savings_99= Savings_Groups_99 + Savings_Formal_99 + Savings_Informal_99 if attrit_i_e==0 // correction 24 Apr 2020
			
	*********************************************************************************
	** 10/ OTHER FORMS OF SAVINGS - Flux of savings last 3 months (and per type)  ***
	*********************************************************************************

		* Flux of savings per category
			/*
			Categories for type of savings :
			  - Formal : microcredit institution, bank, agricultural cooperative, mobile money
			  - Informal (non saving groups) :  cash, informal saving collector, assets for savings, other forms of savings (on average, others are mostly non formal)
			  - Saving groups : ROSCAs and VSLAs, taken from same module (IE) for homogeneity 
			  - Saving groups V2 : ROSCAs and VSLAs, taken from previous modules, but not directly measured (proxied using other questions)
			*/	
			
			g Flux_Svgs_Formal=0 if attrit_i_e==0
			g Flux_Svgs_Informal=0 if attrit_i_e==0
			g Flux_Svgs_Groups=0 if attrit_i_e==0
					
			foreach i of numlist 1/9 99 {		
				replace Flux_Svgs_Formal= Flux_Svgs_Formal + IE6_`i' if IE6_`i'<. & (`i'==2 | `i'==3 | `i'==5 | `i'==6)
				replace Flux_Svgs_Informal= Flux_Svgs_Informal + IE6_`i' if IE6_`i'<. & (`i'==1 | `i'==4 | `i'==7 | `i'==99)
				replace Flux_Svgs_Groups= Flux_Svgs_Groups + IE6_`i' if IE6_`i'<. & (`i'==8 | `i'==9 )
			}

			g Flux_Svgs_Groups_V2=Flux_ROSCA_3mth + Flux_VSLA_3mth // based on modules IB and IC

		* Total flux of savings / We use only module IE here for homogeneity preference
			g Tot_Flux_Svgs=0 if attrit_i_e==0
			foreach i of numlist 1/9 99 {		
				replace Tot_Flux_Svgs= Tot_Flux_Svgs+ IE6_`i' if IE6_`i'<. 
			}
			
		* Topcoded variables
			
			g Tot_Flux_Svgs_99=0 if attrit_i_e==0
			g Flux_Svgs_Formal_99=0 if attrit_i_e==0
			g Flux_Svgs_Informal_99=0 if attrit_i_e==0
			g Flux_Svgs_Groups_99=0 if attrit_i_e==0
			g Flux_Svgs_Groups_V2_99=Flux_ROSCA_3mth_99 + Flux_VSLA_3mth_99 
			
			foreach i of numlist 1/9 99 {		
				replace Tot_Flux_Svgs_99= Tot_Flux_Svgs_99+ IE6_`i'_99 if IE6_`i'<. 
				replace Flux_Svgs_Formal_99= Flux_Svgs_Formal_99 + IE6_`i'_99 if IE6_`i'<. & (`i'==2 | `i'==3 | `i'==5 | `i'==6)
				replace Flux_Svgs_Informal_99= Flux_Svgs_Informal_99 + IE6_`i'_99 if IE6_`i'<. & (`i'==1 | `i'==4 | `i'==7 | `i'==99)
				replace Flux_Svgs_Groups_99= Flux_Svgs_Groups_99 + IE6_`i'_99 if IE6_`i'<. & (`i'==8 | `i'==9 )
			}
		
	***  MACRO ******************************************************************************	
		# delimit ;

		global SAVINGS_GENERAL " 
		Has_Saved Has_Saved_Formal Has_Saved_Informal
		Has_Savings_Account Has_Mobile_Money 
		Nb_Source_Savings Nb_Source_Svgs_Formal Nb_Source_Svgs_Infml Nb_Source_Svgs_Gp
		Nb_VSLA_On A_VSLA Nb_ROSCA_On A_ROSCA 
		";
		global SAVINGS_GENERAL_SP " 
		Has_Saved 
		Nb_Source_Savings Nb_Source_Svgs_Formal Nb_Source_Svgs_Infml Nb_Source_Svgs_Gp
		Nb_VSLA_On A_VSLA Nb_ROSCA_On A_ROSCA 
		";
		// Has_Savings_Account Has_Mobile_Money ;
		
		global SAVINGS_STOCK" 
		Tot_Savings Tot_Savings_99 
		Tot_Savings Savings_Formal Savings_Informal Savings_Groups Tot_Savings_ROSCA Tot_Savings_VSLA
		Tot_Savings_99 Savings_Formal_99 Savings_Informal_99 Savings_Groups_99 Tot_Savings_ROSCA_99  Tot_Savings_VSLA_99
		";
		
		global SAVINGS_FLUX " 
		Tot_Flux_Svgs Tot_Flux_Svgs_99
		Tot_Flux_Svgs Flux_Svgs_Formal Flux_Svgs_Informal Flux_Svgs_Groups Flux_Svgs_Groups_V2 
		Tot_Flux_Svgs_99 Flux_Svgs_Formal_99 Flux_Svgs_Informal_99 Flux_Svgs_Groups_99 Flux_Svgs_Groups_V2_99
		";
		global SAVINGS_GROUPS_DETAILS " 
		Has_Svgs_Group_12m Nb_Svgs_Group Nb_VSLA Nb_ROSCA
		Nb_VSLA_New24mth Nb_VSLA_On A_VSLA Nb_ROSCA_On A_ROSCA 
		Stop_SvgGp_Cycle Stop_SvgGp_Tensions Stop_SvgGp_Resources
		Nb_VSLA_Tr Nb_VSLA_TrNGO  Nb_VSLA_TrNGO_IRC        
		Tot_Savings_ROSCA Tot_Savings_VSLA Tot_Savings_ROSCA_99  Tot_Savings_VSLA_99
		A_Credit_VSLA Nb_Credits_VSLA Tot_Credits_VSLA Tot_Credits_VSLA_99
		";
		// Nb_ROSCA_TrNGO Nb_ROSCA_Tr Nb_ROSCA_TrNGO_IRC;
		// 	 Flux_ROSCA_3mth Flux_VSLA_3mth Flux_ROSCA_3mth_99 Flux_VSLA_3mth_99 Flux_ROSCA_3mth_95 Flux_VSLA_3mth_95 ;

		su   $SAVINGS_GENERAL $SAVINGS_STOCK $SAVINGS_FLUX $SAVINGS_GROUPS_DETAILS ;
			
	# delimit cr 

	*********************************************************************************
	* 							CREDITS / DEBT
	* 						questionnaire : Module IF
	*********************************************************************************

	/*
		Main analysis variables created :
		 - 1/ Nb credits taken last 2 years and type
		 - 2/ Total amount of credits taken last 2 years 
		 - 3/ Current debt 
	*/

	*********************************************************************************
	** 1/  Nb Credits taken last 2 years and type                                   ***
	*********************************************************************************

		* Contracted debt / took a credit ( last 2 years)
			g Took_Credit_2yrs=0  if attrit_i_e==0
			foreach var of varlist IF1_* {
				recode Took_Credit_2yrs (0=1) if (`var'==1)
			}
			
		*Nb of sources  of credit / Has taken credit for source X
			g Nb_Srce_Credit=0 if attrit_i_e==0
			foreach i of numlist 1/7 99 {
				replace Nb_Srce_Credit = Nb_Srce_Credit + 1 if IF1__`i'==1
			}
			replace Nb_Srce_Credit = Nb_Srce_Credit + 1 if (Nb_Credits_VSLA>0) & (Nb_Credits_VSLA<.) & IF1__7!=1 
			
			/*
			Incoherences sur saving groups :
			
			 count if (Nb_Credits_VSLA>0) & (Nb_Credits_VSLA<.) & IF1__7!=1 
			  193

			*/

			* Per category
			/*
			Categories for type of credit / debt  :
			  - Formal : microcredit institution, bank, agricultural cooperative
			  - Informal (non VSLA) :  family / friends, informal lender / pawnbroker, credit from another business,  other sources (on average, others are mostly non formal)
			  - VSLA :  taken from this module + module IC
			*/	
			
			g Nb_Srce_Credit_Formal=0 if attrit_i_e==0
			g A_Credit_Formal=0 if attrit_i_e==0
			foreach var of varlist   IF1__3 IF1__4 IF1__5  {
				replace Nb_Srce_Credit_Formal = Nb_Srce_Credit_Formal + 1 if `var'==1 
				replace A_Credit_Formal = 1 if `var'==1 
			}

			g Nb_Srce_Credit_Informal=0 if attrit_i_e==0
			g A_Credit_Informal=0 if attrit_i_e==0
			foreach var of varlist    IF1__1 IF1__2 IF1__6  IF1__99 {
				replace Nb_Srce_Credit_Informal = Nb_Srce_Credit_Informal +1 if `var'==1 
				replace A_Credit_Informal = 1 if `var'==1 
			}
			
// 			g Srce_Credit_VSLA=0 if attrit_i_e==0 // this measure is wrong because it mixes time frames (having taken credit las ttwo years, and having taken credit in the current cycle of the group)
// 			recode Srce_Credit_VSLA (0=1) if IF1__7==1
// 			recode Srce_Credit_VSLA (0=1) if Nb_Credits_VSLA>0 & Nb_Credits_VSLA<.
			
			// A_Credit_VSLA defined in the module for VSLA
			g A_Credit_SavingGroup=0 if attrit_i_e==0	
			recode A_Credit_SavingGroup (0=1) if IF1__7==1
	***  MACRO ******************************************************************************	
		
		global CREDIT "Took_Credit_2yrs A_Credit_Formal A_Credit_Informal A_Credit_SavingGroup A_Credit_VSLA Nb_Srce_Credit Nb_Srce_Credit_Formal Nb_Srce_Credit_Informal   "	
		su $CREDIT
		
	*********************************************************************************	
		
	*********************************************************************************
	** 2/ TOTAL AMOUNT OF CREDIT last 2 years							          ***
	*********************************************************************************

		* Amount of credit taken (last 2 years) per category
			/*
			Categories for type of credit / debt  :
			  - Formal : microcredit institution, bank, agricultural cooperative
			  - Informal (non VSLA) :   informal lender / pawnbroker, credit from another business,  other sources (on average, others are mostly non formal)
			  - VSLA :  taken from  module IC
			*/	
				
			g Credit_Formal=0 if attrit_i_e==0
			g Credit_Informal=0 if attrit_i_e==0
			g Credit_VSLA=Tot_Credits_VSLA 
			
			foreach i of numlist 1/7 99 {
				replace Credit_Formal=Credit_Formal+IF2_`i' if IF2_`i'<. & ( `i'==3 | `i'==4 | `i'==5 )
				replace Credit_Informal=Credit_Informal+IF2_`i' if IF2_`i'<. & ( `i'==1 | `i'==2 | `i'==6 | `i'==99)
			}
		
		* Total amount of credit  taken (last 2 years)
			g Tot_Credit_2yrs=0 if attrit_i_e==0
			foreach i of numlist 1/7 99 {
				replace Tot_Credit_2yrs=Tot_Credit_2yrs+IF2_`i' if IF2_`i'<.
			}
			replace Tot_Credit_2yrs=Tot_Credit_2yrs+Credit_VSLA // Credit from VSLA is computed in module IC in detail rather than in module IF
			
		* Topcoded 99 amounts
			g Tot_Credit_2yrs_99=0 if attrit_i_e==0
			g Credit_Formal_99=0 if attrit_i_e==0
			g Credit_Informal_99=0 if attrit_i_e==0
			g Credit_VSLA_99=Tot_Credits_VSLA_99 
		
			foreach i of numlist 1/7 99 {
				replace Tot_Credit_2yrs_99=Tot_Credit_2yrs_99+IF2_`i'_99 if IF2_`i'<.
				replace Credit_Formal_99=Credit_Formal_99+IF2_`i'_99 if IF2_`i'<. & ( `i'==3 | `i'==4 | `i'==5 )
				replace Credit_Informal_99=Credit_Informal_99+IF2_`i'_99 if IF2_`i'<. & ( `i'==1 | `i'==2 | `i'==6 | `i'==99)
			}
			replace Tot_Credit_2yrs_99=Credit_Formal_99+ Credit_Informal_99 +Credit_VSLA_99 // Credit from VSLA is computed in module IC in detail rather than in module IF // correction 24 Apr 2020

	***  MACRO ******************************************************************************	
		# delimit ;
		global CREDIT_STOCK "
		Tot_Credit_2yrs Tot_Credit_2yrs_99 
		Tot_Credit_2yrs Credit_Formal Credit_Informal Credit_VSLA 
		Tot_Credit_2yrs_99 Credit_Formal_99 Credit_Informal_99 Credit_VSLA_99"	;
		
		su $CREDIT_STOCK;
		
		# delimit cr
		
	*********************************************************************************	

	*********************************************************************************
	** 3/ CURRENT / OUTSTANDING DEBT						                                   ***
	*********************************************************************************
		* Amount of current debt  per category 
			/*
			Debt is defined as principal + interest not yet reimbursed at the time of the survey
			
			Categories for type of credit / debt  :
			  - Formal : microcredit institution, bank, agricultural cooperative
			  - Informal (non VSLA) :   informal lender / pawnbroker, credit from another business,  other sources (on average, others are mostly non formal)
			  - VSLA :  taken from module IF for homogeneity
			*/
			
			g Debt_Formal=0 if attrit_i_e==0
			g Debt_Informal=0 if attrit_i_e==0
			g Debt_VSLA=0 if attrit_i_e==0

			foreach i of numlist 1/7 99 {
				replace Debt_Formal=Debt_Formal+IF6_`i' if IF6_`i'<. & ( `i'==3 | `i'==4 | `i'==5 )
				replace Debt_Informal=Debt_Informal+IF6_`i' if IF6_`i'<. & ( `i'==1 | `i'==2 | `i'==6 | `i'==99)
				replace Debt_VSLA=Debt_VSLA+IF6_`i' if IF6_`i'<. & (`i'==7 )
			}
			
		* Total amount of outstanding debt  
			g Tot_Debt=0 if attrit_i_e==0
			foreach i of numlist 1/7 99 {
				replace Tot_Debt=Tot_Debt+IF6_`i' if IF6_`i'<.
			}
			
		* Dummy for having outstanding debt		
			g Has_Current_Debt=0 if attrit_i_e==0
			recode Has_Current_Debt (0=1) if Tot_Debt>0 & Tot_Debt<.
			
		* Topcoded 99 amounts
			
			g Tot_Debt_99=0 if attrit_i_e==0
			g Debt_Formal_99=0 if attrit_i_e==0
			g Debt_Informal_99=0 if attrit_i_e==0
			g Debt_VSLA_99=0 if attrit_i_e==0

			foreach i of numlist 1/7 99 {
				replace Tot_Debt_99=Tot_Debt_99 + IF6_`i'_99 if IF6_`i'<.
				replace Debt_Formal_99=Debt_Formal_99 + IF6_`i'_99 if IF6_`i'<. & ( `i'==3 | `i'==4 | `i'==5 )
				replace Debt_Informal_99=Debt_Informal_99 + IF6_`i'_99 if IF6_`i'<. & ( `i'==1 | `i'==2 | `i'==6 | `i'==99)
				replace Debt_VSLA_99=Debt_VSLA_99 + IF6_`i'_99 if IF6_`i'<. & (`i'==7 )
			}		

			
	***  MACRO ******************************************************************************	
		# delimit ;
		global DEBT "
		Has_Current_Debt Tot_Debt Tot_Debt_99
		Tot_Debt Debt_Formal Debt_Informal Debt_VSLA 
		Tot_Debt_99 Debt_Formal_99 Debt_Informal_99 Debt_VSLA_99"	;
		
		su $DEBT;
		
		# delimit cr
		
	*********************************************************************************	
			
	******************************************************************************************************************
	** 										FOOD SECURITY
	**										module M
	******************************************************************************************************************

	/*
		Main analysis variables created :
		- 1/ Food security (yearly)
		- 2/ Food Consumption Score (frequency weighted diet diversity score )

	*/
		*********************************************************************************
		* 1/ Food security in the year :
		*********************************************************************************
		/*
		Dummy = 1 if " has eaten less than needed  because of lack of resources " or "was hungry but did not eat because of lack of resources"
		*/
		
		gen food_quantity_insecure=0 if attrit_i_e==0 & echantillon_princ==1
		replace food_quantity_insecure=1 if MA2==1 | MA3==1
		
		gen fqi_intensity=MA4 if attrit_i_e==0 & echantillon_princ==1 // TBC interesting ?
		
		*********************************************************************************
		* 2/ Food Consumption Score :

		/*
		Background on measurement (  World Food Programme, Vulnerability Analysis and Mapping Branch METHODOLOGY) :
		
		The Food Consumption Score (FCS) is computed from the numbers of days in a 7-day period on which
		households consume foods within 8 basic groups.
		Food consumption indicators are designed to reflect the quantity and quality of people's diets. The FCS is a measure of dietary diversity,
		food frequency and the relative nutritional importance of the food consumed. 
			
		The eight food groups from which the FCS is based are the following: Animal-derived proteins, Dairy,
		Staples, Pulses, Vegetables, Fruits, Sugars, and Fats. The objective of the FCS is to assess the number of
		days on which any food items associated with each of these groups has been consumed. The categories
		are meant to be comprehensive and mutually exclusive, with small quantities recorded in a 9th group
		(designated Condiments), and not used in the score.
		
		Calculation steps:
		
		I. Using standard VAM 7-day food frequency data, group all the food items into 8 specific food groups (see above). 
		
		II. Sum all the consumption frequencies of food items of the same group, and recode the value of each group above 7 as 7.
		
		III. Multiply the value obtained for each food group by its weight (see food group weights below) and create new weighted food group scores.
		
		IV. Sum the weighed food group scores, thus creating the food consumption score (FCS).
		
		V. Using the appropriate thresholds (see below), recode the variable food consumption score, from a continuous variable to a categorical variable.
		*/
		*********************************************************************************

		* Groups of food items
			gen staples = MB1a + MB1b 
			replace staples = 7 if staples > 7 & staples <. 
			gen pulses = MB1c
			gen dairy = MB1g
			gen proteins = MB1e
			gen vegetables = MB1d
			gen fruit = MB1f
			gen oil = MB1h
			gen sugar = MB1i
		
		* wieghted score
			gen food_cs_score= (staples*2) + (pulses*3)+ (dairy*4)+ (proteins*4)+ (vegetables*1)+(fruit *1)+(oil *0.5)+(sugar *0.5)
		
		* score per category
			gen fcs_category= food_cs_score
			replace   fcs_category=1 if food_cs_score <=21
			replace  fcs_category=2 if food_cs_score >21 & food_cs_score <=35
			replace  fcs_category=3 if food_cs_score >35 & food_cs_score <.
			label values fcs_category FCS

			gen low_FCS=(fcs_category==1) | (fcs_category==2) if attrit_i_e==0 & food_cs_score<.
			
			
		*** Z SCORE CONSTRUCT

			* need to fix z score as they should be normalized in the control (NB : taking WEIGHTS into account)
			* Z scores will allow the comparison between the different measures
			* Normalizing z score in the control help interpret the coefficients estimated

		foreach var of varlist food_cs_score  {
			capture drop z_`var'
			sum `var' [weight=sampling_w_main] if treatment==0
			gen z_`var' = ( `var' - `r(mean)' ) / (`r(sd)')
		}


		***  MACRO ******************************************************************************
			global FOOD_SECURITY " food_cs_score z_food_cs_score low_FCS   food_quantity_insecure " 
			su $FOOD_SECURITY
		*********************************************************************************


	******************************************************************************************************************
	** 										SELF EMPLOYMENT KNOWLEDGE AND CHALLENGES
	**										module P
	******************************************************************************************************************

	/*
		Main analysis variables created :
		- 1/ Score on knowledge test on self employment training : z_score_SEtest
		- 2/ Self perception on capacity to start / run an activity : SE_highcapacity
		- 3/ Main challenges reported to start an activity : SE_challenge_Finance SE_challenge_Skills

	*/
		*********************************************************************************
		* 1/ Score on knowledge test on self employment training  :
		*********************************************************************************
		/*
		Each question is open, answers are not read. Of one of expected answer is mentionned, it is crossed (=1) otherwise it stays at zero. 
		Therefore the score of one question is the sum of answers (the more expected answers given, the better score)
		
		Z score is centered on control group.
		*/
		*********************************************************************************

		* score per question
			foreach i in 1 2 3 {
				gen p`i'_score=0 if attrit_i_e==0
				forvalues j=1/4 {
					replace p`i'_score=p`i'_score+P`i'__`j' if attrit_i_e==0
				}
				if `i'!=1 {
					replace p`i'_score=p`i'_score+P`i'__5 if attrit_i_e==0 
				}
				if `i'==3 {
					replace p`i'_score=p`i'_score+P`i'__6 if attrit_i_e==0 & `i'==3
				}
			}

		*total score for self employment
			gen score_SEtest=p1_score+p2_score+p3_score

		* zscore centered on control group
			capture drop z_score_SEtest
			sum score_SEtest [weight=sampling_w_main] if treat_common_main==0 // modif Apr 28 2020 // note that this var does not exist for spillover sample.
			gen z_score_SEtest = ( score_SEtest - `r(mean)' ) / (`r(sd)')

		*********************************************************************************
		* 2/ Self perception on capacity to start / run an activity  :
		*********************************************************************************
		
		gen SE_highcapacity=0 if attrit_i_e==0 & P4!=.
		replace SE_highcapacity=1 if P4==1 
		
		*********************************************************************************
		* 3/ Challenges reported to start an activity  :
		*********************************************************************************

		/*
		Highest frequencies : %%%%%
		Variable |        Obs        Mean    Std. Dev.       Min        Max
	-------------+---------------------------------------------------------
		   P5__1 |      3,181    .0534423    .2249492          0          1  
		   P5__2 |      3,181    .0330085    .1786868          0          1
		   P5__3 |      3,181    .0666457    .2494466          0          1  %%%%%
		   P5__4 |      3,181    .7793147    .4147739          0          1  %%%%%
		   P5__5 |      3,181    .0028293    .0531242          0          1
	-------------+---------------------------------------------------------
		   P5__6 |      3,181     .003458    .0587125          0          1
		   P5__7 |      3,181    .0091166    .0950598          0          1
		   P5__8 |      3,181    .0081735    .0900515          0          1
		   P5__9 |      3,181    .0380384     .191319          0          1
		  P5__99 |      3,181     .005973    .0770659          0          1

		*/
		gen SE_challenge_Finance=P5__4 
		gen SE_challenge_Skills=P5__3
		

		***  MACRO ******************************************************************************
			global AGR_KNOWLEDGE "score_SEtest z_score_SEtest SE_highcapacity SE_challenge_Finance SE_challenge_Skills" 
			su $AGR_KNOWLEDGE
			
			
		*********************************************************************************

		
	******************************************************************************************************************
	** 										OTHER PROGRAMS
	**										module O
	******************************************************************************************************************
		
	/*
		Main analysis variables created :
		- 1/ Score on knowledge test on self employment training 
		- 2/ Self perception on capacity to start / run an activity
		- 3/ Challenges reported to start an activity

	*/
		
		
		*********************************************************************************
		* 1/ Participation to PRISE or programs similar to PRISE :
		
		/*
		TBC :
		- household or individual level ?
		- just the program or trainings also ?
		_ do we want to identify PRISE or non PRISE ? or both ?
		
		*/
		*********************************************************************************
		
		* Identification that the program is PRISE (IRC) or FILETS SOCIAUX (WB)
		
			forvalues i=3/5 { // we include programs that are the same type as PRISE-IRC, and "other programs zith cash transfer3 because it could have been considered by some people has PRISE - cash grant. For the others, the program can have been implemented by IRC but should not be PRISE
			gen pg_prise_`i'=0 if attrit_i_e==0
			replace pg_prise_`i'=pg_prise_`i' + regexm(O9_`i', "[p|P][r|R][i|I][s|S][e|E]") + regexm(O9_`i', "[i|I][r|R][c|C]") + regexm(O9_`i', "[J|j]apon") + regexm(O9_`i', "[J|j]APON")			 	
			replace pg_prise_`i'=1 if pg_prise_`i'>1 & pg_prise_`i'<.
			}
			
			gen pg_filets_sociaux=0 if attrit_i_e==0
			replace pg_filets_sociaux=pg_filets_sociaux + regexm(O9_5, "[F|f]i[ll|l]e[ts|t] [S|s]ocia[ux|l]")+ regexm(O9_5, "FI[L|LL]E[TS|T] SOCIA[UX|L]")
			replace pg_filets_sociaux=1 if pg_filets_sociaux>1 & pg_filets_sociaux<.
			
		* Participation to  savings program ( especially non PRISE)
			gen progm_savings=0 if attrit_i_e==0
			replace progm_savings=1 if O1__4==1  // TBC : HH or individual level ? O1 or O2?
			
			/*
			Among participants, the majority had a training on saving / VSLA
			
			 ta O5__4_4

			 [Prog aide |
			  epargne]4 |
				 O5__4_ |
			   [type de |
			 formation] |      Freq.     Percent        Cum.
			------------+-----------------------------------
				   0.00 |         27       12.44       12.44
				   1.00 |        190       87.56      100.00
			------------+-----------------------------------
				  Total |        217      100.00

			*/
			
		* Participation to  entrepreneurship  program  ( especially non PRISE)
			gen progm_entrp=0 if attrit_i_e==0
			replace progm_entrp=1 if O1__3==1  // TBC : HH or individual level ? O1 or O2?

			/*
			Among participants, the majority had a training on enterpreneurship
			
			. ta O5__2_3

				  [Prog |
			   soutient |
				  ent]3 |
				 O5__2_ |
			   [type de |
			 formation] |      Freq.     Percent        Cum.
			------------+-----------------------------------
				   0.00 |         17        4.45        4.45
				   1.00 |        365       95.55      100.00
			------------+-----------------------------------
				  Total |        382      100.00


			*/

		* Participation to any entrepreneurship / savings program  (ALL)
			gen progm_typePRISE_all=0 if attrit_i_e==0
			replace progm_typePRISE_all=1 if O1__3==1  | O1__4==1
			
		* Participation to any entrepreneurship / savings program  ( BUT non PRISE)
			gen progm_typePRISE_noIRC=progm_typePRISE_all
			recode progm_typePRISE_noIRC (1=0) if pg_prise_3==1 | pg_prise_4==1 | pg_prise_5==1
			
		* Participation to any donor program 
			gen Any_prgm=0 if attrit_i_e==0
			forvalues i=1/6 {
				recode Any_prgm (0=1) if O1__`i'==1
			}


		*********************************************************************************
		* 2/ Transfers from other programs  :
		*********************************************************************************
		
		* Top coding 99
			foreach var of varlist O3_*  {
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
			}

		* total transfers
			gen Tot_transfers_pgm=0 if attrit_i_e==0
			gen Tot_transfers_pgm_99=0 if attrit_i_e==0
			
			forvalues i=1/6 {
				replace Tot_transfers_pgm=Tot_transfers_pgm+ O3_`i' 
				replace Tot_transfers_pgm_99=Tot_transfers_pgm_99+ O3_`i'_99 
			}
		
		*********************************************************************************
		* 3/ Self declared spillovers from programs  :
		* spill_training_[TYPE] computed as : declared receiving a training of type [TYPE] AND declared he shared learnings / advice to family or local community
		*********************************************************************************
			
			gen spill_training_entr=0 if attrit_i_e==0
			gen spill_training_savings=0 if attrit_i_e==0
			gen spill_training_peace=0 if attrit_i_e==0
			
			foreach i of numlist 2 3 4 6 {
				replace spill_training_entr=1 if O5__2_`i'==1 & O7_`i'==1
				replace spill_training_savings=1 if O5__4_`i'==1 & O7_`i'==1
				replace spill_training_peace=1 if O5__1_`i'==1 & O7_`i'==1
			}

			
		***  MACRO ******************************************************************************
		
		# delimit ;
			global OTHER_PROGRAMS "progm_savings progm_entrp progm_typePRISE_all progm_typePRISE_noIRC
			Any_prgm Tot_transfers_pgm Tot_transfers_pgm_99 
			spill_training_entr spill_training_savings spill_training_peace " ;
			
			global OTHER_PROGRAMS_SP "progm_savings progm_entrp progm_typePRISE_all progm_typePRISE_noIRC
			Any_prgm Tot_transfers_pgm Tot_transfers_pgm_99 ";
			
			// spill_training_entr spill_training_savings spill_training_peace ;
		# delimit cr
			
			su $OTHER_PROGRAMS
		*********************************************************************************

		
	***********************************************************************************************************
	* 								 BEHAVIOR AND WELL BEING
	*								questionnaire : module K
	*								Kc : CESD scale
	*								Ka : Rosenberg self esteem  scale
	*								Kl : assessing life satisfaction past - present - future
	***********************************************************************************************************
	/*
		Main analysis variables created :
		- 1/ Self Esteem score based on Rosenberg scale 
		- 2/ Positive Affect score based on CESD scale + Future forward attitude
		- 3/ Life self evaluation score for past, present and future
		- 4/ Aggregated index

		- 5/ For all scores we construct zscores normalized in the control group.
	*/
		
		
		*********************************************************************************
		* 1/  Rosenberg self esteem scale 
			
			* Standard scale to measure self esteem, we kept the 10 items of the original scale 
			* Interpretation :  high score = high self esteem
			* Scale : 1, 2, 3*, 4, 5*, 6, 7, 8*, 9*, 10* (*=  reversed sacle questions)
			* Score : somme of the score to each question, each question being assesed from 0 to 3 where 0 is associated to low esteem and 3 high esteem 
		*********************************************************************************
			* Adapt the scales
							foreach x in 1 2 4 6 7  { // we reverse the current scale so 0 is for low esteem 
								gen cod_ka`x'=3 if  ka`x'==1
								replace cod_ka`x'=2 if  ka`x'==2
								replace cod_ka`x'=1 if  ka`x'==3
								replace cod_ka`x'=0 if  ka`x'==4
							}

							recode ka3 ka5 ka8 ka9 ka10 (1=0) (2=1) (3=2) (4=3) // no need to reverse the scale for "negative" questions

			* self esteem score
						gen self_esteem=(cod_ka1+ cod_ka2+ cod_ka4 +cod_ka6+ cod_ka7+ ka3 + ka5 + ka8 + ka9+ ka10)
						drop cod_ka*

			
		*********************************************************************************
		* 2/  CES-D scale
				* Measuring depression state. We only used the sub-scale called PA : "Positive Affect", which correspond to the "happiness state".

				*Sub scale "Positive affect (PA)" : happy, hopefull, etc. Reversed scale in the depression index.
					* We kept 3 of the initial 4 questions in this sub scale
					*NOTA BENE  questions 4 and 5 added based on the same model but they were not initially part of the scale
					* Interpretation :  high score = high happiness

					* Rule for codding  (cf official website):
						* 0 = never
						* 1 = 1 to 2 days
						* 2 = 3 to 4 days
						* 3 = 5 to 7 days
		*********************************************************************************

		* Adapt the scales

			forvalues x = 1/5 {
				gen cod_kc`x'=0 if  kc`x'==0
				replace cod_kc`x'=1 if   kc`x'==1 |kc`x'==2 
				replace cod_kc`x'=2 if  kc`x'==3 | kc`x'==4
				replace cod_kc`x'=3 if  kc`x'==5 | kc`x'==6 | kc`x'==7
			}

		*  CESD ( score)

			gen cesd_positive_affect = (cod_kc1+cod_kc2+cod_kc3)
			gen cesd_forward=cod_kc4
			gen cesd_future_forward=cod_kc5

			drop  cod_kc1- cod_kc5
			
		*********************************************************************************
		* 3/  Self evaluation of life satisfaction Kl
		*********************************************************************************

		
		gen wellbeing_self_past=kl1
		gen wellbeing_self_present=kl2
		gen wellbeing_self_future=kl3

		
		
		*********************************************************************************
		* 4/  Well being aggregated index :
		
			/* High score = High Well Being  
			
			1) Well Being index as close to THIMO measure as possible
			
				THIMO Well Being index : j3_hrx_all  j5_fierte_all cesd_positive_affect self_esteem ztpi_future ztpi_present_fataliste
				
				Common sub scales to THIMO :
					- CESD Positive Affect (echelle 0 a 9) : cesd_positive_affect
					- Rosenberg Self esteem (echelles 0 a 30)  self_esteem 
				
			 Proposition :
					
				2) Attitude towards future (0 to 30)
					- CESD-like Future (echelle 0 a 3 )
					- CESD-like Future forward (echelle 0 a 3 )
					- Life self assesment futur (echelle 0 a 10)
							
				3) Well Being & Satisfaction (0 a 30)
					- CESD Positive Affect (echelle 0 a 9)
					- Rosenberg Self esteem (echelles 0 a 30)
					- Life self assessment present  (echelle 0 a 10)
				*/
		*********************************************************************************

		* Well Being index as close to THIMO measure as possible
			gen Indice1_WB=  (cesd_positive_affect*10/9) + (self_esteem*10/30) 

		*  New index : Attitude towards future Index
			gen Indice_Att_Future=(cesd_future_forward*10/3)+(cesd_forward*10/3)+(wellbeing_self_future) // erreur corrigee 28 04 20
						
		*  New index :  Well Being Index
			gen Indice2_WB=(cesd_positive_affect*10/9)+(self_esteem*10/30)+(wellbeing_self_present)
			
		*********************************************************************************
		* 5/  Zscore constructs
		*********************************************************************************

		*** Z SCORE CONSTRUCT

			* need to fix z score as they should be normalized in the control (NB : taking WEIGHTS into account)
			* Z scores will allow the comparison between the different measures
			* Normalizing z score in the control help interpret the coefficients estimated

		foreach var of varlist  self_esteem cesd_positive_affect cesd_forward cesd_future_forward wellbeing_self_past wellbeing_self_present	wellbeing_self_future Indice1_WB Indice_Att_Future Indice2_WB  {
			capture drop z_`var'
			sum `var' [weight=sampling_w_main] if treat_common_main==0 // note that this var does not exist for spillover sample.
			gen z_`var' = ( `var' - `r(mean)' ) / (`r(sd)')
		}


		***  MACRO ******************************************************************************
		 # delimit ;
			global WELLBEING "
				z_Indice1_WB z_Indice_Att_Future z_Indice2_WB
				z_self_esteem z_cesd_positive_affect z_cesd_forward z_cesd_future_forward 
				z_wellbeing_self_past z_wellbeing_self_present z_wellbeing_self_future ";
				
			su $WELLBEING;
		# delimit cr
		*********************************************************************************

	***********************************************************************************************************
	* 								 AGRICULTURAL ACTIVITIES / FARMING
	*								questionnaire : module EeA and EeB and EeC
	*								EeA : AGRICULTURE, BY PLOT
	*								EeB : AGRICULTURE, BY CULTURE
	*								EeC : LIVESTOCK
	***********************************************************************************************************
	/*
		Main analysis variables created :
		- 1/ Work intensity (days / hours / mths) on farming and livestock activities last 12 months
		- 2/ Labor force (nb people) on farming activities last 12 months
		- 3/ Land and Livestock ownership
		- 4/ Quantities produced and sold (agriculture)
		- 5/ Use of fertilizers last 12 months
		- 6/  Sales revenu and individual share for agriculture and livestock

	*/
		
		
		*********************************************************************************
		* 1/  Days worked on farming and livestock raising last 12 months
		*********************************************************************************

		
		* 1.1 Days worked by individual on agriculture, last 12 months	

		forvalue i=1/24 {
			gen Days_Agri_12mth_`i'=0 if attrit_i_e==0
			replace Days_Agri_12mth_`i'= EeA11a_`i' + EeA11b_`i' if EeA10_`i'==1
			replace Days_Agri_12mth_`i'= EeA11c_`i' if EeA10_`i'==0
		}
		
		gen Tot_Days_Agri_12mth=0 if attrit_i_e==0
		forvalue i=1/24 {
			replace Tot_Days_Agri_12mth=Tot_Days_Agri_12mth+Days_Agri_12mth_`i'
		}

				* topcoding at the level of the plot
				foreach var of varlist Days_Agri_12mth_*  {
						cap su `var' if `var'>0, d
						cap local p99 = `r(p99)'
						gen `var'_99=`var' if attrit_i_e==0
						cap replace `var'_99=`p99' if `var'>`p99' & `var'<.	
					}
				gen Tot_Days_Agri_12mth_99=0 if attrit_i_e==0
				forvalue i=1/24 {
					replace Tot_Days_Agri_12mth_99=Tot_Days_Agri_12mth_99+Days_Agri_12mth_`i'_99
				}	
				drop Days_Agri_12mth_*_99

		* 1.2. Hours / Days/ Months worked by individual on livestock raising, last 12 months
		gen Tot_Hours_Livst_7j=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			replace Tot_Hours_Livst_7j=Tot_Hours_Livst_7j+ EeC6_`i' if EeC==1 & EeC1_`i'==1
		}
			* topcoding 
					gen Tot_Hours_Livst_7j_99=0 if attrit_i_e==0
					foreach i of numlist 1/7 99 {
						replace Tot_Hours_Livst_7j_99=Tot_Hours_Livst_7j_99+ EeC6_`i'_99 if EeC==1 & EeC1_`i'==1
					}	

		gen Tot_Days_Livst_30j=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			replace Tot_Days_Livst_30j=Tot_Days_Livst_30j+ EeC7_`i' if EeC==1 & EeC1_`i'==1
		}
		
				* topcoding 
					gen Tot_Days_Livst_30j_99=0 if attrit_i_e==0
					foreach i of numlist 1/7 99 {
						replace Tot_Days_Livst_30j_99=Tot_Days_Livst_30j_99+ EeC7_`i'_99 if EeC==1 & EeC1_`i'==1
					}
		
		gen Tot_Mth_Livst_12m=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			replace Tot_Mth_Livst_12m=Tot_Mth_Livst_12m+ EeC8_`i' if EeC==1 & EeC1_`i'==1
		}
		
				* topcoding 

					gen Tot_Mth_Livst_12m_99=0 if attrit_i_e==0
					foreach i of numlist 1/7 99 {
						replace Tot_Mth_Livst_12m_99=Tot_Mth_Livst_12m_99+ EeC8_`i'_99 if EeC==1 & EeC1_`i'==1
					}
		
		*1.3. Days worked by household members on agriculture, last 12 months
		gen Days_HH_Agri=0 if attrit_i_e==0
		forvalues i=1/13 {
			replace Days_HH_Agri=Days_HH_Agri+EeA17_`i' if  EeA17_`i'<.
		}
		
			* Topcoding
			gen Days_HH_Agri_99=0 if attrit_i_e==0
			forvalues i=1/13 {
				replace Days_HH_Agri_99=Days_HH_Agri_99+EeA17_`i'_99 if  EeA17_`i'<.
			}
		
		*1.4. Days worked by other paid employees on agriculture, last 12 months
		gen Days_Empl_Agri=0 if attrit_i_e==0
		replace Days_Empl_Agri=EeA19 if EeA19<.
		
			* Topcoding
			gen Days_Empl_Agri_99=0 if attrit_i_e==0
			replace Days_Empl_Agri_99=EeA19_99 if EeA19<.	
			
			
		*********************************************************************************
		* 2/  Labor force (nb) on farming activities last 12 months
		*********************************************************************************	

		* Nb household members who have worked on the plots  (direcly reported for all plots)
		
		gen Nb_labor_hh=EeA15
		recode Nb_labor_hh (.=0) if attrit_i_e==0 & EeA==0
		recode Nb_labor_hh (.=0) if attrit_i_e==0 & EeA==1 & EeA18<.
		
		* Nb paid employees who have worked on the plots (nb per plot, average across plots, and absolute nb across plots)
		gen Nb_labor_paid_empl_99=EeA18_99
		recode Nb_labor_paid_empl_99 (.=0) if attrit_i_e==0 & EeA==0
			
		
		* Nb others (not household, not paid employees) who have worked on the plots (nb per plot, average across plots, and absolute nb across plots)
		gen Nb_labor_oth_empl_99=EeA20_99
		recode Nb_labor_oth_empl_99 (.=0) if attrit_i_e==0 & EeA==0
			
		* Total people
		gen Tot_Nb_labor=Nb_labor_hh + Nb_labor_paid_empl_99 + Nb_labor_oth_empl_99 if attrit_i_e==0 // note, 2 out of 3 underlying vars have already been topcoded99
		
		
		*********************************************************************************
		* 3/  Farming and Livestock ownership
		*********************************************************************************

		* 3.1. Owns or work on land
		
			* variable EeA "Has at least one plot" (see endline_cr2)
			gen Farming=EeA 
		
		* 3.2. Nb plots owned
		
		gen Nb_plots=EeA3 
		recode Nb_plots (.=0) if Farming==0
		
		forvalues j=1/5 {
			gen Nb_plots_`j'=0 if attrit_i_e==0 	
			forvalues i=1/24 {
				replace Nb_plots_`j' = Nb_plots_`j' + (EeA6_`i'==`j') 
			}	
		}
		
		rename Nb_plots_1 Nb_plots_Owned
		rename Nb_plots_2 Nb_plots_Loan
		rename Nb_plots_4 Nb_plots_Freeloan
		rename Nb_plots_5 Nb_plots_Public
		
		
		* 3.3. Surface owned
		
		forvalues i=1/24 {	
			gen	EeA5_`i' = EeA5a_`i' if EeA5b_`i'==2
			replace EeA5_`i' = EeA5a_`i'*0.0001 if EeA5b_`i'==1
			label variable EeA5_`i' "Superficie de la parcelle en ha"
		}
		
		gen Area_plots=0 if attrit_i_e==0 
		forvalues i=1/24 {	
			replace Area_plots = Area_plots + EeA5_`i' if EeA5_`i'<.
		}
		
			* topcoding at the level of the plot
			foreach var of varlist  EeA5_*  {
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
			}

			gen Area_plots_99=0 if attrit_i_e==0 
			forvalues i=1/24 {	
				replace Area_plots_99 = Area_plots_99 + EeA5_`i'_99 if EeA5_`i'<.
			}
		
		* 3.4 Owns or work with Livestock (in general, and per type)
			* variable EeC "Livestock Raising" (see endline_cr2)
			gen  Livestock=EeC
			
			gen Lvstck_Chickens=(EeC3_1>0)&(EeC3_1<.) if attrit_i_e==0
			gen Lvstck_Turkeys=(EeC3_2>0)&(EeC3_2<.) if attrit_i_e==0
			gen Lvstck_Porcs=(EeC3_3>0)&(EeC3_3<.) if attrit_i_e==0
			gen Lvstck_Rabbits=(EeC3_4>0)&(EeC3_4<.) if attrit_i_e==0		
			gen Lvstck_Goats=(EeC3_5>0)&(EeC3_5<.) if attrit_i_e==0
			gen Lvstck_Sheeps=(EeC3_6>0)&(EeC3_6<.) if attrit_i_e==0		
			gen Lvstck_Cows=(EeC3_7>0)&(EeC3_7<.) if attrit_i_e==0		
			
			
		* 3.5 Nb heads of livestock per type, and total
		
		gen Tot_Nb_Livestock=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			gen Nb_Lvstck_`i'= EeC3_`i'
			replace Tot_Nb_Livestock=Tot_Nb_Livestock + Nb_Lvstck_`i'  if attrit_i_e==0
		}
		
		rename Nb_Lvstck_1 Nb_Lvstck_Chickens
		rename Nb_Lvstck_2 Nb_Lvstck_Turkeys
		rename Nb_Lvstck_3 Nb_Lvstck_Porcs
		rename Nb_Lvstck_4 Nb_Lvstck_Rabbits
		rename Nb_Lvstck_5 Nb_Lvstck_Goats
		rename Nb_Lvstck_6 Nb_Lvstck_Sheeps
		rename Nb_Lvstck_7 Nb_Lvstck_Cows

			* Topcoding
			gen Tot_Nb_Livestock_99=0 if attrit_i_e==0
			foreach i of numlist 1/7 99 {
				gen Nb_Lvstck_`i'_99= EeC3_`i'_99
				replace Tot_Nb_Livestock_99=Tot_Nb_Livestock_99 + EeC3_`i'_99 if attrit_i_e==0
			}		

			rename Nb_Lvstck_1_99 Nb_Lvstck_Chickens_99
			rename Nb_Lvstck_2_99 Nb_Lvstck_Turkeys_99
			rename Nb_Lvstck_3_99 Nb_Lvstck_Porcs_99
			rename Nb_Lvstck_4_99 Nb_Lvstck_Rabbits_99
			rename Nb_Lvstck_5_99 Nb_Lvstck_Goats_99
			rename Nb_Lvstck_6_99 Nb_Lvstck_Sheeps_99
			rename Nb_Lvstck_7_99 Nb_Lvstck_Cows_99
		
		
		gen Livestock_index=0.7*Nb_Lvstck_Cows+ 0.2*Nb_Lvstck_Porcs  + 0.1*(Nb_Lvstck_Goats+Nb_Lvstck_Sheeps) + 0.01*(Nb_Lvstck_Chickens+Nb_Lvstck_Turkeys+Nb_Lvstck_Rabbits)
		gen Livestock_index_99=0.7*Nb_Lvstck_Cows_99+ 0.2*Nb_Lvstck_Porcs_99  + 0.1*(Nb_Lvstck_Goats_99+Nb_Lvstck_Sheeps_99) + 0.01*(Nb_Lvstck_Chickens_99+Nb_Lvstck_Turkeys_99+Nb_Lvstck_Rabbits_99)
		
		
		*********************************************************************************
		* 4/  Quantities/Nb produced and sold
		*********************************************************************************
		
		* 4.1. Surface of land cultivated (total across plots, ha)
			* TBC we compute the total across plots. We compute per type of culture too.

		foreach i of numlist 1/19 24 {	
			gen	EeA14_`i'=0 if attrit_i_e==0
							
			forvalues j=1/11 { // by crop for a given plot
			gen	EeA14_`j'_`i'=0 if attrit_i_e==0
			replace EeA14_`j'_`i'= EeA5_`i' if EeA14a_`j'_`i'==99 & `j'==1 // works only if one culture is done on the plot, J=1
			replace EeA14_`j'_`i' =  EeA14a_`j'_`i' if EeA14b_`j'_`i'==2 & EeA14a_`j'_`i'!=99 
			replace EeA14_`j'_`i' = EeA14a_`j'_`i'*0.0001 if EeA14b_`j'_`i'==1 & EeA14a_`j'_`i'!=99  
			
			replace EeA14_`i'=EeA14_`i' + EeA14_`j'_`i' if EeA14_`j'_`i'<. // sum across crops for a given plot
			label variable EeA14_`i' "Superficie cultivee de la parcelle en ha"		
			}
		}

		foreach i of numlist 1/19 24 {	// parcelle	
			foreach k of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 { // per crops
				gen EeA14_`i'_cr`k'=0 if attrit_i_e==0 
			forvalues j=1/11 {	// across cultures of a plot
				replace EeA14_`i'_cr`k'=EeA14_`j'_`i' if EeA13_`j'_`i'==`k'
			}
			}
		}
			
		gen Area_cultivated=0 if attrit_i_e==0 
		foreach i of numlist 1/19 24 {		
			replace Area_cultivated = Area_cultivated + EeA14_`i' if EeA14_`i'<.
		}
	
		
		* Cash crop Vs Food crop
		gen Area_cultd_Cash_crop=0 if attrit_i_e==0 
		gen Area_cultd_Food_crop=0 if attrit_i_e==0 
		
		gen Share_Cash_crop=0 if attrit_i_e==0 
		foreach i of numlist 1/19 24 {	
			foreach k of numlist 22 8 9 1 16 {
			replace Area_cultd_Cash_crop = Area_cultd_Cash_crop + EeA14_`i'_cr`k' if EeA14_`i'_cr`k'<.
		}
		
			foreach k of numlist 2/7 10/11 15 19 21 23/31 33/36 38/39 41/42 99 {
			replace Area_cultd_Food_crop = Area_cultd_Food_crop + EeA14_`i'_cr`k' if EeA14_`i'_cr`k'<.
		}
		
		}
		replace Share_Cash_crop=Area_cultd_Cash_crop/Area_cultivated if Area_cultivated>0 & Area_cultivated<.
		
		
		*Specific crops
		foreach k of numlist 22 8 38 27 11 31 19 {
			gen Area_cultd_`k'=0 if attrit_i_e==0 
			foreach i of numlist 1/19 24 {		
				replace Area_cultd_`k' = Area_cultd_`k' + EeA14_`i'_cr`k' if EeA14_`i'_cr`k'<.
			}
		}
		
		* topcoding at the high level directly
			foreach var of varlist Area_cultd_*  Area_cultivated {
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				local p95 = `r(p95)'
				
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
				gen `var'_95=`var' if attrit_i_e==0
				replace `var'_95=`p95' if `var'>`p95' & `var'<.
				}		

		
		gen Share_Cash_crop_99=0 if attrit_i_e==0
		gen Share_Cash_crop_95=0 if attrit_i_e==0
		replace Share_Cash_crop_99=Area_cultd_Cash_crop_99/Area_cultivated_99 if Area_cultivated_99>0 & Area_cultivated_99<.		
		replace Share_Cash_crop_95=	Area_cultd_Cash_crop_95/Area_cultivated_95 if Area_cultivated_95>0 & Area_cultivated_95<.
		
		gen I_Cash_crop=(Area_cultd_Cash_crop>0 & Area_cultd_Cash_crop<.) if attrit_i_e==0
		gen I_Food_crop=(Area_cultd_Food_crop>0 & Area_cultd_Food_crop<.) if attrit_i_e==0
		
		* 4.2. Produced quantities (total and per ha) // in kg
		
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			gen Volume_Prod_`i'= 0 if attrit_i_e==0
			replace Volume_Prod_`i'= EeB3a_`i' if EeB3b_`i'==1
			replace Volume_Prod_`i'= EeB3a_`i'*50 if EeB3b_`i'==3
			replace Volume_Prod_`i'= EeB3a_`i'*100 if EeB3b_`i'==4	
			replace Volume_Prod_`i'= EeB3a_`i'*1000 if EeB3b_`i'==2
			replace Volume_Prod_`i'= EeB3a_`i'*120 if EeB3b_`i'==5		
		}
		
		gen Tot_Volume_Prod = 0 if attrit_i_e==0
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			replace Tot_Volume_Prod = Tot_Volume_Prod + Volume_Prod_`i' if Volume_Prod_`i'<.
		}	
		

		
			* topcoding per culture
			foreach var of varlist Volume_Prod_1-Volume_Prod_11 Volume_Prod_15-Volume_Prod_25 Volume_Prod_27-Volume_Prod_31  Volume_Prod_34-Volume_Prod_42 Volume_Prod_99 { 
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				local p95 = `r(p95)'
				
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	

				gen `var'_95=`var' if attrit_i_e==0
				replace `var'_95=`p95' if `var'>`p95' & `var'<.	
				}
			
			foreach i of numlist 12 26 33 {
				gen Volume_Prod_`i'_99=Volume_Prod_`i' if attrit_i_e==0 // cannot be topcoded, too few observations
				gen Volume_Prod_`i'_95=Volume_Prod_`i' if attrit_i_e==0 // cannot be topcoded, too few observations
			}

			gen Tot_Volume_Prod_99 = 0 if attrit_i_e==0
			gen Tot_Volume_Prod_95 = 0 if attrit_i_e==0
			foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
				replace Tot_Volume_Prod_99 = Tot_Volume_Prod_99 + Volume_Prod_`i'_99 if Volume_Prod_`i'_99<.
				replace Tot_Volume_Prod_95 = Tot_Volume_Prod_95 + Volume_Prod_`i'_95 if Volume_Prod_`i'_95<.
			}
			
		
		
		* 4.3 Sold quantities (total)

		
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			gen Volume_Sold_`i' = 0 if attrit_i_e==0
			replace Volume_Sold_`i'= EeB5a_`i' if EeB5b_`i'==1
			replace Volume_Sold_`i'= EeB5a_`i'*50 if EeB5b_`i'==3
			replace Volume_Sold_`i'= EeB5a_`i'*100 if EeB5b_`i'==4	
			replace Volume_Sold_`i'= EeB5a_`i'*1000 if EeB5b_`i'==2
			replace Volume_Sold_`i'= EeB5a_`i'*120 if EeB5b_`i'==5		
		}
		
		gen Tot_Volume_Sold = 0 if attrit_i_e==0
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			replace Tot_Volume_Sold = Tot_Volume_Sold + Volume_Sold_`i' if Volume_Sold_`i'<.
		}	
		
			* topcoding at the level of the plot
		foreach i of numlist 1/11 15 19 21/25 27/31 34 36 38/39 41/42 99 {
				su Volume_Sold_`i' if Volume_Sold_`i'>0, d
				local p99 = `r(p99)'
				local p95 = `r(p95)'
				gen Volume_Sold_`i'_99=Volume_Sold_`i' if attrit_i_e==0
				replace Volume_Sold_`i'_99=`p99' if Volume_Sold_`i'>`p99' & Volume_Sold_`i'<.	
				
				gen Volume_Sold_`i'_95=Volume_Sold_`i' if attrit_i_e==0
				replace Volume_Sold_`i'_95=`p95' if Volume_Sold_`i'>`p95' & Volume_Sold_`i'<.					
			}
			
		foreach i of numlist 12 16 26 33 35   {
		gen Volume_Sold_`i'_99=Volume_Sold_`i' if attrit_i_e==0
		gen Volume_Sold_`i'_95=Volume_Sold_`i' if attrit_i_e==0
		}
			
		
			gen Tot_Volume_Sold_99 = 0 if attrit_i_e==0
			gen Tot_Volume_Sold_95 = 0 if attrit_i_e==0
			foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
				replace Tot_Volume_Sold_99 = Tot_Volume_Sold_99 + Volume_Sold_`i'_99 if Volume_Sold_`i'_99<.
				replace Tot_Volume_Sold_95 = Tot_Volume_Sold_95 + Volume_Sold_`i'_95 if Volume_Sold_`i'_95<.
			}
			

		/*
			   1   Anacarde
			   2   Ananas
			   3   Arachide
			   4   Aubergine
			   5   Avocat
			   6   Banane Douce / Poyo
			   7   Banane Plantain
			   8   Cacao
			   9   Café
			  10   Carotte
			  11   Choux
			  12   Citron
			  13   Citrouille
			  14   Coco
			  15   Concombre
			  16   Coton
			  17   Courgette
			  18   Fonio
			  19   Gombo
			  20   Goyave
			  21   Haricot
			  22   Hévéa
			  23   Igname
			  24   Mais
			  25   Mandarine
			  26   Mangue
			  27   Manioc
			  28   Mil
			  29   Oignon
			  30   Orange
			  31   Palmier à l'huile
			  32   Pamplemousse
			  33   Papaye
			  34   Patate douce
			  35   Pomme de terre
			  36   Piment
			  37   Poivron
			  38   Riz
			  39   Salade
			  40   Sésame
			  41   Soja
			  42   Sorgho
			  43   Taro
			  44   Tomate
			  99   Autre
			  
		Cultures de rente : hevea, cafe, cacao, anacarde, coton = codes 22, 8,9,1, 16
		
		*Most common by volume produced : 22 8 38 27 11 31
		su Volume_Prod_* if treatment==0
			* 1 = 22 hevea
			* 2= 8 cacao (once topcoded, it is nb 6 rather than nb2)
			* 3 a 6 = 38 Riz, 27 Manioc, 11 Chou, 31 Palmier a huile
		
		su  Volume_Prod_22 Volume_Prod_8 Volume_Prod_38 Volume_Prod_27  Volume_Prod_11 Volume_Prod_31
		su Volume_Prod_22_99 Volume_Prod_38_99 Volume_Prod_11_99 Volume_Prod_31_99 Volume_Prod_27_99 Volume_Prod_8_99   
		
		* Most common by frequency : 38 27 8 19 ( 9)
			* 1 = 38 Riz
			* 2 = 27 Manioc
			* 3 = 8 Cacao
			* 4 = 19 Gombo
			* (5 = 9 Cafe)

		su  Volume_Prod_38 Volume_Prod_27 Volume_Prod_8 Volume_Prod_19  Volume_Prod_9 

			  * Nb of cultures done on the plots (total)
			  * Cultures de rentes Vs vivrieres ( cafe - cacao - anacarde)
			  * Diversification des types de cultures (identifier les principales sur controle)
	*/
		
		
	* Cash versus Food crop
		foreach var in Volume_Prod Volume_Sold {
			gen Cash_`var'=0 if attrit_i_e==0
			gen Food_`var'=0 if attrit_i_e==0
			gen Cash_`var'_99=0 if attrit_i_e==0
			gen Food_`var'_99=0 if attrit_i_e==0
			gen Cash_`var'_95=0 if attrit_i_e==0
			gen Food_`var'_95=0 if attrit_i_e==0		
			
			foreach i of numlist 22 8 9 1 16 {
			replace Cash_`var' = Cash_`var' + `var'_`i' if `var'_`i'<.
			replace Cash_`var'_99 = Cash_`var'_99 + `var'_`i'_99 if `var'_`i'_99<.
			replace Cash_`var'_95 = Cash_`var'_95 + `var'_`i'_95 if `var'_`i'_95<.
			}
			
			foreach i of numlist 2/7 10/11 15 19 21 23/31 33/36 38/39 41/42 99  {
			replace Food_`var' = Food_`var' + `var'_`i' if `var'_`i'<.
			replace Food_`var'_99 = Food_`var'_99 + `var'_`i'_99 if `var'_`i'_99<.
			replace Food_`var'_95 = Food_`var'_95 + `var'_`i'_95 if `var'_`i'_95<.
			}
		}
		
			gen I_Prod_Cash_crop=(Cash_Volume_Prod>0 & Cash_Volume_Prod<.) if attrit_i_e==0
			gen I_Prod_Food_crop=(Food_Volume_Prod>0 & Food_Volume_Prod<.) if attrit_i_e==0

	* Yields for  specific crops [most produced / most frequently produced]	
		
			foreach k of numlist 22 8 38 27 11 31 19 {
				gen Yield_`k'= 0 if attrit_i_e==0
				replace Yield_`k'=Volume_Prod_`k' / Area_cultd_`k' if Area_cultd_`k'>0 & Area_cultd_`k'<.
			}

		* topcoding at the high level directly
			foreach var of varlist Yield* {
				su `var' if `var'>0, d
				local p99 = `r(p99)'
				local p95 = `r(p95)'
				
				gen `var'_99=`var' if attrit_i_e==0
				replace `var'_99=`p99' if `var'>`p99' & `var'<.	
				gen `var'_95=`var' if attrit_i_e==0
				replace `var'_95=`p95' if `var'>`p95' & `var'<.
				}
		
		
	* 4.4 Nb livestock sold

		gen Tot_Sold_Livestock=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			gen Sold_Lvstck_`i'= 0 if attrit_i_e==0
			replace Sold_Lvstck_`i'= EeC9_`i' if EeC1_`i'==1 
			replace Tot_Sold_Livestock=Tot_Sold_Livestock + Sold_Lvstck_`i'  if attrit_i_e==0
		}
		
		rename Sold_Lvstck_1 Sold_Lvstck_Chickens
		rename Sold_Lvstck_2 Sold_Lvstck_Turkeys
		rename Sold_Lvstck_3 Sold_Lvstck_Porcs
		rename Sold_Lvstck_4 Sold_Lvstck_Rabbits
		rename Sold_Lvstck_5 Sold_Lvstck_Goats
		rename Sold_Lvstck_6 Sold_Lvstck_Sheeps
		rename Sold_Lvstck_7 Sold_Lvstck_Cows

			* Topcoding
			gen Tot_Sold_Livestock_99=0 if attrit_i_e==0
			foreach i of numlist 1/7 99 {
				gen Sold_Lvstck_`i'_99= 0 if attrit_i_e==0
				replace Sold_Lvstck_`i'_99= EeC9_`i'_99 if EeC1_`i'==1 
				replace Tot_Sold_Livestock_99=Tot_Sold_Livestock_99 + Sold_Lvstck_`i'_99 if attrit_i_e==0
			}		

			rename Sold_Lvstck_1_99 Sold_Lvstck_Chickens_99
			rename Sold_Lvstck_2_99 Sold_Lvstck_Turkeys_99
			rename Sold_Lvstck_3_99 Sold_Lvstck_Porcs_99
			rename Sold_Lvstck_4_99 Sold_Lvstck_Rabbits_99
			rename Sold_Lvstck_5_99 Sold_Lvstck_Goats_99
			rename Sold_Lvstck_6_99 Sold_Lvstck_Sheeps_99
			rename Sold_Lvstck_7_99 Sold_Lvstck_Cows_99


			
		*********************************************************************************
		* 5/  Use of fertilizers last 12 months
		*********************************************************************************
		
		* use of fertilizer of any kind (yes / no)
		
		gen Fertilizer_use=0 if attrit_i_e==0
		replace Fertilizer_use=1 if EeA21==1 | EeA22a==1 | EeA23a==1
		
		* tot spending in fertilizers of any kind 
		gen Fertilizer_spending=0 if attrit_i_e==0
		replace Fertilizer_spending=Fertilizer_spending+EeA22b if EeA22a==1 
		replace Fertilizer_spending=Fertilizer_spending+EeA23b if EeA23a==1 

		*********************************************************************************
		* 6/  Sales revenu and individual share for agriculture and livestock
		*********************************************************************************
		
		* Sales agriculture (total and by culture)

		gen Sales_Farming_Tot=0 if attrit_i_e==0
		foreach i of numlist  1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			replace Sales_Farming_Tot=Sales_Farming_Tot+ EeB6_`i' if EeB6_`i'<.
		}
		
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			gen Sales_Farming_`i'=0 if attrit_i_e==0
			replace Sales_Farming_`i'=EeB6_`i' if EeB6_`i'<.
		}
		
			* Topcoded variable
			foreach top in 95 99 {
				gen Sales_Farming_Tot_`top'=0 if attrit_i_e==0
				foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
					replace Sales_Farming_Tot_`top'=Sales_Farming_Tot_`top'+ EeB6_`i'_`top' if EeB6_`i'_`top'<.
					gen Sales_Farming_`i'_`top'=0 if attrit_i_e==0
					replace Sales_Farming_`i'_`top'= EeB6_`i'_`top' if EeB6_`i'_`top'<.			
				}
			}
		
		* Individual share on sales agriculture  
		
		gen Sales_Farming_Indiv=0 if attrit_i_e==0
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			replace Sales_Farming_Indiv=Sales_Farming_Indiv+ EeB6ter_`i' if EeB6bis_`i'==1 & EeB6ter_`i'<.
			replace Sales_Farming_Indiv=Sales_Farming_Indiv+ EeB6_`i' if EeB6bis_`i'==0 & EeB6_`i'<.
			}
		
		foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
			gen Sales_Farming_Ind_`i'=0 if attrit_i_e==0
			replace Sales_Farming_Ind_`i'=EeB6_`i' if EeB6_`i'<. & EeB6bis_`i'==0 
			replace Sales_Farming_Ind_`i'=EeB6ter_`i' if EeB6ter_`i'<. & EeB6bis_`i'==0 
		}
		
			* Topcoded variable
			foreach top in 95 99 {
				gen Sales_Farming_Indiv_`top'=0 if attrit_i_e==0
				foreach i of numlist 1/12 15 16 19 21/31 33/36 38/39 41/42 99 {
					gen Sales_Farming_Ind_`i'_`top'=0 if attrit_i_e==0
					replace  Sales_Farming_Ind_`i'_`top'= EeB6ter_`i'_`top' if EeB6bis_`i'==1 & EeB6ter_`i'_`top'<.
					replace  Sales_Farming_Ind_`i'_`top'= EeB6_`i'_`top' if EeB6bis_`i'==0 & EeB6_`i'_`top'<.
					
					replace Sales_Farming_Indiv_`top'=Sales_Farming_Indiv_`top'+ Sales_Farming_Ind_`i'_`top' if Sales_Farming_Ind_`i'_`top'<.
				}
			}
		
		
		* Cash versus Food crop		
			
		foreach var in Sales_Farming Sales_Farming_Ind {
			gen Cash_`var'=0 if attrit_i_e==0
			gen Food_`var'=0 if attrit_i_e==0

			foreach i of numlist 22 8 9 1 16 {		
				replace Cash_`var' = Cash_`var' + `var'_`i' if `var'_`i'<.
				}
				
			foreach i of numlist 2/7 10/12 15 19 21 23/31 33/36 38/39 41/42 99 {
				replace Food_`var' = Food_`var' + `var'_`i' if `var'_`i'<.
				}
		}
		
		
				* Topcoding
		foreach var in Sales_Farming Sales_Farming_Ind {
			foreach top in 95 99 {
				
				gen Cash_`var'_`top'=0 if attrit_i_e==0
				gen Food_`var'_`top'=0 if attrit_i_e==0
				}
		}
		
		
		foreach var in Sales_Farming Sales_Farming_Ind {
			foreach top in 95 99 {			
				foreach i of numlist 22 8 9 1 16 {		
					replace Cash_Sales_Farming_`top' = Cash_Sales_Farming_`top' + EeB6_`i'_`top' if EeB6_`i'_`top'<.
					replace Cash_Sales_Farming_Ind_`top' = Cash_Sales_Farming_Ind_`top' + Sales_Farming_Ind_`i'_`top' if Sales_Farming_Ind_`i'_`top'<.
					}
					
				foreach i of numlist 2/7 10/12 15 19 21 23/31 33/36 38/39 41/42 99   {
					replace Food_Sales_Farming_`top' = Food_Sales_Farming_`top' + EeB6_`i'_`top' if EeB6_`i'_`top'<.
					replace Food_Sales_Farming_Ind_`top' = Food_Sales_Farming_Ind_`top' + Sales_Farming_Ind_`i'_`top' if Sales_Farming_Ind_`i'_`top'<.
					}
			}
		}
		
		* Sales livestock (total by type of livestock, and across ). Including derived products.
		
		gen Sales_Lvstck_Tot=0 if attrit_i_e==0
		foreach i of numlist 1/7 99 {
			replace Sales_Lvstck_Tot=Sales_Lvstck_Tot+ EeC10_`i' if EeC10_`i'<.
			replace Sales_Lvstck_Tot=Sales_Lvstck_Tot+ EeC13_`i' if EeC13_`i'<. // includes derived products
			}
		
		foreach i of numlist 1/7 99 {
			gen Sales_Lvstck_`i'=0 if attrit_i_e==0
			replace Sales_Lvstck_`i'=EeC10_`i' if EeC10_`i'<.
			replace Sales_Lvstck_`i'=Sales_Lvstck_`i' + EeC13_`i' if EeC13_`i'<. // includes derived products
		}
		
			* Topcoded variable
			gen Sales_Lvstck_Tot_99=0 if attrit_i_e==0
			
			foreach i of numlist 1/7 99 {
				replace Sales_Lvstck_Tot_99=Sales_Lvstck_Tot_99+ EeC10_`i'_99 if EeC10_`i'<.
				replace Sales_Lvstck_Tot_99=Sales_Lvstck_Tot_99+ EeC13_`i'_99 if EeC13_`i'<. // includes derived products	
			}

		* Individual share on sales livestock (total by type of livestock, and across ). Including derived products.

		gen Sales_Lvstck_Indiv=0 if attrit_i_e==0
		
		foreach i of numlist 1/7 99 {
			gen Sales_Lvstck_Ind_`i'=0 if attrit_i_e==0
			replace Sales_Lvstck_Ind_`i'=EeC11_`i' if EeC11_`i'<.
			replace Sales_Lvstck_Ind_`i'=Sales_Lvstck_Ind_`i' + EeC14_`i' if EeC14_`i'<. // includes derived products
			
			replace Sales_Lvstck_Indiv=Sales_Lvstck_Indiv + Sales_Lvstck_Ind_`i' // includes derived products

		}
		
		
			* Topcoded variable
			gen Sales_Lvstck_Indiv_99=0 if attrit_i_e==0
			
			foreach i of numlist 1/7 99 {
			replace Sales_Lvstck_Indiv_99= Sales_Lvstck_Indiv_99+ EeC11_`i'_99 if EeC11_`i'_99<.
			replace Sales_Lvstck_Indiv_99=Sales_Lvstck_Indiv_99 + EeC14_`i'_99 if EeC14_`i'_99<. // includes derived products			
			}
			
			
		**************************************************************
		
	* Highlighting specific crops [most produced / most frequently produced]		
		
			foreach var in Area_cultd Volume_Prod Volume_Sold  Sales_Farming Sales_Farming_Ind Yield {
				foreach i of numlist 22 8 38 27 11 31 19  {
					if `i'==22 {
					rename `var'_`i'* `var'_Hev*
					}
					
					if `i'==8 {
					rename `var'_`i'* `var'_Coc* 
					}
					
					if `i'==38 {
					rename `var'_`i'* `var'_Rice*
					}
					
					if `i'==27 {
					rename `var'_`i'* `var'_Cass*
					}
					
					if `i'==11 {
					rename `var'_`i'* `var'_Cabb* 
					}
					
					if `i'==31 {
					rename `var'_`i'* `var'_Palm*
					}
					
					if `i'==19 {
					rename `var'_`i'* `var'_Gomb*
					}
					
					
				}
		}
		
		*For cash crops
			foreach var in  Volume_Prod Volume_Sold  Sales_Farming Sales_Farming_Ind  {
				foreach i of numlist  9 16 1 { // 22 8 already done
// 					if `i'==22 {
// 					rename `var'_`i'* `var'_Hev*
// 					}
//					
// 					if `i'==8 {
// 					rename `var'_`i'* `var'_Coc* 
// 					}
					
					
					if `i'==9 {
					rename `var'_`i'* `var'_Coff*
					}					
					
					if `i'==16 {
					rename `var'_`i'* `var'_Cott*
					}
					
					if `i'==1 {
					rename `var'_`i'* `var'_Anac*
					}
					
				}
		}
		
		***  MACRO ******************************************************************************
		 # delimit ;
			global AGRI_LABOR "
				Tot_Days_Agri_12mth  Tot_Hours_Livst_7j Tot_Days_Livst_30j Tot_Mth_Livst_12m Days_HH_Agri  Days_Empl_Agri 
				Tot_Days_Agri_12mth_99 Tot_Hours_Livst_7j_99 Tot_Days_Livst_30j_99 Tot_Mth_Livst_12m_99  Days_HH_Agri_99 Days_Empl_Agri_99
				Tot_Nb_labor Nb_labor_hh Nb_labor_paid_empl_99 Nb_labor_oth_empl_99  
				 ";
				
			global AGRI_OWNERSHIP "	
				Farming
				Nb_plots Nb_plots_Owned Nb_plots_Loan Nb_plots_Freeloan Nb_plots_Public 
				Area_plots Area_plots_99 
				
				Livestock
				Lvstck_Chickens Lvstck_Turkeys  Lvstck_Porcs Lvstck_Rabbits Lvstck_Goats Lvstck_Sheeps Lvstck_Cows 
				Livestock_index Livestock_index_99 
				
				Tot_Nb_Livestock Tot_Nb_Livestock_99
				Nb_Lvstck_Chickens Nb_Lvstck_Turkeys Nb_Lvstck_Porcs Nb_Lvstck_Rabbits Nb_Lvstck_Goats Nb_Lvstck_Sheeps Nb_Lvstck_Cows
				Nb_Lvstck_Chickens_99 Nb_Lvstck_Turkeys_99 Nb_Lvstck_Porcs_99 Nb_Lvstck_Rabbits_99 Nb_Lvstck_Goats_99 Nb_Lvstck_Sheeps_99 Nb_Lvstck_Cows_99 ";
			
			global AGRI_PROD "
			I_Cash_crop I_Food_crop
						
			Area_cultivated Area_cultivated_99 Area_cultivated_95
			Area_cultd_Cash_crop Area_cultd_Food_crop
			Area_cultd_Cash_crop_99 Area_cultd_Food_crop_99
			Area_cultd_Cash_crop_95 Area_cultd_Food_crop_95
			Share_Cash_crop  Share_Cash_crop_99 Share_Cash_crop_95

			I_Prod_Cash_crop I_Prod_Food_crop
			
			Tot_Volume_Prod Tot_Volume_Sold
			Tot_Volume_Prod_99 Tot_Volume_Sold_99 
			Tot_Volume_Prod_95 Tot_Volume_Sold_95
			
			Cash_Volume_Prod Food_Volume_Prod 			
			Cash_Volume_Sold Food_Volume_Sold 
			
			Cash_Volume_Prod_99 Food_Volume_Prod_99 
			Cash_Volume_Sold_99 Food_Volume_Sold_99 

			Cash_Volume_Prod_95 Food_Volume_Prod_95
			Cash_Volume_Sold_95 Food_Volume_Sold_95

			Tot_Sold_Livestock Tot_Sold_Livestock_99
			Sold_Lvstck_Chickens Sold_Lvstck_Turkeys Sold_Lvstck_Porcs Sold_Lvstck_Rabbits Sold_Lvstck_Goats Sold_Lvstck_Sheeps Sold_Lvstck_Cows  
			Sold_Lvstck_Chickens_99 Sold_Lvstck_Turkeys_99 Sold_Lvstck_Porcs_99 Sold_Lvstck_Rabbits_99 Sold_Lvstck_Goats_99 Sold_Lvstck_Sheeps_99 Sold_Lvstck_Cows_99
			";
			
			global AGRI_SALES "

			 Sales_Farming_Tot Sales_Farming_Tot_99 Sales_Farming_Tot_95
			 Sales_Farming_Indiv Sales_Farming_Indiv_99 Sales_Farming_Indiv_95
			 
			 Food_Sales_Farming Cash_Sales_Farming  
			 Food_Sales_Farming_99 Cash_Sales_Farming_99
			 Food_Sales_Farming_95 Cash_Sales_Farming_95
			 
			 Cash_Sales_Farming_Ind Food_Sales_Farming_Ind 
			 Cash_Sales_Farming_Ind_99 Food_Sales_Farming_Ind_99 
			 Cash_Sales_Farming_Ind_95 Food_Sales_Farming_Ind_95
			 
			 Sales_Lvstck_Tot Sales_Lvstck_Tot_99 
			 Sales_Lvstck_Indiv Sales_Lvstck_Indiv_99
			 
			 Fertilizer_use Fertilizer_spending 
			";
			
			global AGRI_MAIN_CROPS_1 "
			Area_cultd_Hev  Area_cultd_Coc Area_cultd_Rice Area_cultd_Cass Area_cultd_Cabb Area_cultd_Palm Area_cultd_Gomb
			Area_cultd_Hev_99  Area_cultd_Coc_99 Area_cultd_Rice_99 Area_cultd_Cass_99 Area_cultd_Cabb_99 Area_cultd_Palm_99 Area_cultd_Gomb_99
	
			Volume_Prod_Hev  Volume_Prod_Coc Volume_Prod_Rice Volume_Prod_Cass Volume_Prod_Cabb Volume_Prod_Palm Volume_Prod_Gomb
			Volume_Prod_Hev_99  Volume_Prod_Coc_99 Volume_Prod_Rice_99 Volume_Prod_Cass_99 Volume_Prod_Cabb_99 Volume_Prod_Palm_99 Volume_Prod_Gomb_99
			Volume_Prod_Hev_95  Volume_Prod_Coc_95 Volume_Prod_Rice_95 Volume_Prod_Cass_95 Volume_Prod_Cabb_95 Volume_Prod_Palm_95 Volume_Prod_Gomb_95

			";
			global AGRI_MAIN_CROPS_2 "

			Yield_Hev  Yield_Coc Yield_Rice Yield_Cass Yield_Cabb Yield_Palm Yield_Gomb
			Yield_Hev_99  Yield_Coc_99 Yield_Rice_99 Yield_Cass_99 Yield_Cabb_99 Yield_Palm_99 Yield_Gomb_99
			Yield_Hev_95  Yield_Coc_95 Yield_Rice_95 Yield_Cass_95 Yield_Cabb_95 Yield_Palm_95 Yield_Gomb_95
			
			";
			
			global AGRI_MAIN_CROPS_3 "


			Sales_Farming_Hev  Sales_Farming_Coc Sales_Farming_Rice Sales_Farming_Cass Sales_Farming_Cabb Sales_Farming_Palm Sales_Farming_Gomb
			Sales_Farming_Hev_99  Sales_Farming_Coc_99 Sales_Farming_Rice_99 Sales_Farming_Cass_99 Sales_Farming_Cabb_99 Sales_Farming_Palm_99 Sales_Farming_Gomb_99
			Sales_Farming_Hev_95  Sales_Farming_Coc_95 Sales_Farming_Rice_95 Sales_Farming_Cass_95 Sales_Farming_Cabb_95 Sales_Farming_Palm_95 Sales_Farming_Gomb_95
			
			Sales_Farming_Ind_Hev  Sales_Farming_Ind_Coc Sales_Farming_Ind_Rice Sales_Farming_Ind_Cass Sales_Farming_Ind_Cabb Sales_Farming_Ind_Palm Sales_Farming_Ind_Gomb
			Sales_Farming_Ind_Hev_99  Sales_Farming_Ind_Coc_99 Sales_Farming_Ind_Rice_99 Sales_Farming_Ind_Cass_99 Sales_Farming_Ind_Cabb_99 Sales_Farming_Ind_Palm_99 Sales_Farming_Ind_Gomb_99
			Sales_Farming_Ind_Hev_95  Sales_Farming_Ind_Coc_95 Sales_Farming_Ind_Rice_95 Sales_Farming_Ind_Cass_95 Sales_Farming_Ind_Cabb_95 Sales_Farming_Ind_Palm_95 Sales_Farming_Ind_Gomb_95

			";
			global AGRI_CASH_CROPS "


			Sales_Farming_Hev  Sales_Farming_Coc Sales_Farming_Coff Sales_Farming_Hev Sales_Farming_Cott Sales_Farming_Anac 
			Sales_Farming_Hev_99   Sales_Farming_Coc_99  Sales_Farming_Coff_99  Sales_Farming_Hev_99  Sales_Farming_Cott_99  Sales_Farming_Anac_99  
			Sales_Farming_Hev_95   Sales_Farming_Coc_95  Sales_Farming_Coff_95  Sales_Farming_Hev_95  Sales_Farming_Cott_95  Sales_Farming_Anac_95  
			
			Sales_Farming_Ind_Hev  Sales_Farming_Ind_Coc Sales_Farming_Ind_Coff Sales_Farming_Ind_Hev Sales_Farming_Ind_Cott Sales_Farming_Ind_Anac 
			Sales_Farming_Ind_Hev_99   Sales_Farming_Ind_Coc_99  Sales_Farming_Ind_Coff_99  Sales_Farming_Ind_Hev_99  Sales_Farming_Ind_Cott_99  Sales_Farming_Ind_Anac_99  
			Sales_Farming_Ind_Hev_95   Sales_Farming_Ind_Coc_95  Sales_Farming_Ind_Coff_95  Sales_Farming_Ind_Hev_95  Sales_Farming_Ind_Cott_95  Sales_Farming_Ind_Anac_95  

			";			
			su $AGRI_LABOR $AGRI_OWNERSHIP $AGRI_PROD $AGRI_SALES $AGRI_MAIN_CROPS_1 $AGRI_MAIN_CROPS_2 $AGRI_MAIN_CROPS_3 $AGRI_CASH_CROPS ;
		# delimit cr
		*********************************************************************************
		
	******************************************************************************************************************
	** 										INDIVIDUAL CHARACTERISTICS
	**										module A
	******************************************************************************************************************

	/*
		Main analysis variables created :
		- 1/ A_Autochtone : belongs to an ethnic group originating from the region (compared to other CIV ethnic groups from other regions)
		- 2/ A_Foreign : is not from CIV ( born in a foreign country or ethnic group declared to be foreign)
		- 3/ Major_ethnic_gp :  same ethnic group as village head
		- 4/ Movement (arrival in the region and origin of arrival)

	*/
	
	*********************************************************************************
	* 1/  Autochtone
	*********************************************************************************
		
	/*
	Ethnic group considered for being "autochtone" of the region :
           1 Yacouba / Dan / Kla
           2 Toura
           5 Mahouka / Mahou
          10 Wan
          11 Guéré
          12 Gourounsi / Groussi
		  16 Wobe
     
		  
	Not "autochtone" :
	      3 Dioula / Malinké // TBC Doute
          4 Baoulé
		  6 Sénoufo
          7 Moré / Mossi
		  8 Lobi
          9 Gouro
		  13 Agni
          14 Bambara
          15 Attié
          
		17 Bété		  
		18 Koyaka
		19 Libériens
		20 Guineens
		21 Maliens
		22 Ghanéens
		23 "Béninois" 
		24 "Burkinabé autre"	
		66 Ne sait pas
        88 Refus
        99 Autre (à préciser) // A7 has been recoded so "other" category is less than 1%
		
	*/ 
	
	
	gen A_Autochtone=1 if attrit_i_e==0
	replace A_Autochtone=0 if inlist(A7,3,4,6,7,8,9,13,14,15,17,18,19,20,21,22,23,24) // doute sur malinke - dioula (3)
	replace A_Autochtone=. if inlist(A7,66,88,99)
	recode A_Autochtone (.a=.) (.b=.)

	*********************************************************************************
	* 2/  Foreigner
	*********************************************************************************
		
	/*
   - Based on A6 - country of birth
   - and based on A7 - ethnic group :
		  
		19 Libériens
		20 Guineens
		21 Maliens
		22 Ghanéens
		23 "Béninois" 
		24 "Burkinabé autre"	

	*/ 
	
	gen A_Foreign=0 if attrit_i_e ==0
	replace A_Foreign=1 if A6!=1 & A6<.
	replace A_Foreign=1 if inlist(A7,19,20,21,22,23,24) 

	*********************************************************************************
	* 3/  Major ethnic group or not
	*********************************************************************************
	
	gen Major_ethnic_gp=A8 if attrit_i_e ==0
	recode Major_ethnic_gp (.a=.) (.b=.)
	
	
	*********************************************************************************
	* 4/  Mobility in the region
	*********************************************************************************	
	
	* Arrived in the region during war / conflict (2000- 2011)
	
	gen Arrived_Conflict=0 if attrit_i_e==0
	replace Arrived_Conflict=1 if A2>=(2018-2011) & A2<(2018-2000)
	
	* Arrived in the region post conflict 
	
	gen Arrived_PostConflict=0 if attrit_i_e==0
	replace Arrived_PostConflict=1 if A2>=(2018-2011) & A2<.
	
	* Coming from West regions / Coming from Foreign countries / Coming from other regions in CIV
	gen Regional_Mvmt=0 if attrit_i_e==0
	gen CIV_Mvmt=0 if attrit_i_e==0
	gen Foreign_Mvmt=0 if attrit_i_e==0
	
	replace Regional_Mvmt=1 if inlist(A4b,16,17,18,30) & A1==0
	replace CIV_Mvmt=1 if A4a==1 & !inlist(A4b,16,17,18,30) & A1==0
	replace Foreign_Mvmt=1 if A4a!=1 & A1==0
	
	gen Origin_Arrival=Regional_Mvmt+2*CIV_Mvmt+3*Foreign_Mvmt
		
	*********************************************************************************	
	* 5/ Ethnic fragmentation / diversity
	*********************************************************************************
	
	* A9_Total // total nb of ethnic group in the village according to the individual
	sort ID_loc
	by ID_loc : egen Tot_ethnic=max(A9_Total)
// 	replace Tot_ethnic=. if attrit_i_e==1
	by ID_loc : egen Tot_ethnic_V2=median(A9_Total)	
// 	replace Tot_ethnic_V2=. if attrit_i_e==1
	
	tab A7, gen(A7_)
	foreach var of varlist A7_* {
		by ID_loc : egen Tot_`var'=total(`var')
	}
	gen Tot_ethnic_V3=0  // if attrit_i_e==0
	foreach var of varlist A7_* {
		replace Tot_ethnic_V3=Tot_ethnic_V3+1 if (Tot_`var'>0) & Tot_`var'<.
	}
	
	// 	***********************************************************************************************************
	// 	* 								MEMBRES DU MENAGE
	// 	*								questionnaire MENAGE : module B (commun midline)
	// 	***********************************************************************************************************
	// 			 gen HH_seul=0 if attrit_i_e==0
	// 			 replace HH_seul=1 if cas1==1 |cas2==1
	// 			replace HH_seul=0 if hh_size>1 & hh_size<. 
	//
	// 			gen HH_hh_head_fem=hh_head_fem
	// 			recode HH_hh_head_fem (.=0) if attrit_i_e==0
	// 			replace HH_hh_head_fem=1 if sexe==1 & HH_seul==1
	//
	// 			rename mean_hh_age hh_mean_age
	// 			rename nb_adlt HH_nb_adlt
	// 			rename nb_chl HH_nb_chl
	// 			rename nb_wk_age HH_nb_wk_age
	// 			rename nb_old_mb HH_nb_old
	//
	// 		*Chef de menage
	// 		*Taille du menahe (chef ou conjoint)
	// 		*Enfants du menage
	// 		*Non apparente / autre lien avec chef de mꯡge
	//
	// 		tab a5_lien_menage, gen(a5_lien_menage)
	//
	// 		gen HH_J_Chef=a5_lien_menage1
	// 		gen HH_J_Chef_Conj=a5_lien_menage1+a5_lien_menage2
	// 		gen HH_J_Enfant=a5_lien_menage3
	// 		gen HH_J_Autre=a5_lien_menage4 +a5_lien_menage5 +a5_lien_menage6+ a5_lien_menage7
	//
	//
	// ***** macro variables menage **
	//
	// 		# delimit ;
	//		
	// 	global MENAGE  
	// 	"hh_size hh_size2 HH_seul HH_hh_head_fem HH_J_Chef HH_J_Chef_Conj HH_J_Enfant HH_J_Autre  " ;
	//
	// 	global MEMBRES_MENAGE 
	// 	"hh_mean_age HH_nb_adlt HH_nb_chl HH_nb_wk_age HH_nb_old " ;
	//
	// 		# delimit cr
	//

	//

		
*********************************************************************************
* 				SOCIAL RELATIONS - GROUPES ET ASSOCIATIONS
* 						questionnaire : Module RA
*********************************************************************************

* participation at any group
replace RA1=0 if RA1==2

* number of groups
replace RA_nb=0 if RA1==0

* participation by type of group:  
* RA3__1_1 economic  RA3__2_1 credit/epargne 
* RA3__3_1 social and cultural RA3__4_1 opinion/influence RA3__5_1 solidarite/entraide financiere RA3__6_1 politique RA3__7_1 religieux RA3__8_1 autre

gen RA3_economicgroup = 1 if ( RA3__1_1 == 1 | RA3__2_1==1 ) |   (RA3__1_2 == 1 | RA3__2_2==1 ) |   (RA3__1_3 == 1 | RA3__2_3==1 ) |   (RA3__1_4 == 1 | RA3__2_4==1 ) |   (RA3__1_5 == 1 | RA3__2_5==1 ) |   (RA3__1_6 == 1 | RA3__2_6==1 ) 
replace RA3_economicgroup=0 if RA3_economicgroup==. & RA1!=. & RA1!=.a

gen RA3_socialgroup=0 if  RA1!=. & RA1!=.a
foreach i in 1 2 3 4 5 6 {
	replace RA3_socialgroup = 1 if ( RA3__3_`i' ==1 | RA3__4_`i' ==1 | RA3__5_`i' ==1  | RA3__6_`i' ==1 | RA3__7_`i' ==1 | RA3__8_`i' ==1  ) 
}

* number of groups per type
gen RA3_nbeconomicgroup = 0 if RA_nb!=. & RA_nb!=.a
gen RA3_nbsocialgroup = 0 if RA_nb!=. & RA_nb!=.a

foreach i in 1 2 3 4 5 6 {
replace RA3_nbeconomicgroup = RA3_nbeconomicgroup + 1 if (RA3__1_`i' ==1 |  RA3__2_`i' ==1)
replace RA3_nbsocialgroup = RA3_nbsocialgroup + 1 if ( RA3__3_`i'==1 | RA3__4_`i'==1 | RA3__6_`i'==1 | RA3__7_`i'==1 | RA3__8_`i'==1 | RA3__5_`i'==1  ) 
}

* number of events attended
foreach i in 1 2 3 4 5 6 {
replace RA6_`i' =0 if RA6_`i'==. & RA1!=.  & RA1!=.a
}

gen RA6_nbevents = RA6_1  + RA6_2  + RA6_3   + RA6_4   + RA6_5  + RA6_6 

sum RA6_nbevents, d
replace RA6_nbevents= `r(p99)' if RA6_nbevents > `r(p99)' & RA6_nbevents!=. & RA6_nbevents!=.a

* network size
gen RA8_networksize = 0 if RA1!=. 
foreach i in 1 2 3 4 5 6 {
replace RA8_networksize = RA8_networksize +  RA8_`i' if RA8_`i' !=. & RA8_`i' !=.a
} 

sum RA8_networksize, d
replace RA8_networksize= `r(p99)' if RA8_networksize > `r(p99)' & RA8_networksize!=. & RA8_networksize!=.a

* group leadership
gen RA10_leader = 0 if RA1!=. &  RA1!=.a
foreach i in 1 2 3 4 5 6 {
replace RA10_leader = 1 if  RA10_`i'==1 | RA10_`i'==2 |  RA10_`i'==3 |  RA10_`i'==4 
} 
***** could do number of groups in which individual is a leader
foreach i in 1 2 3 4 5 6 {
egen RA9_mixedgroup_`i' = rowmax(RA9__1_`i' -  RA9__22_`i')
replace RA9_mixedgroup_`i' = 0 if RA9_mixedgroup_`i'==. &  RA1!=. &  RA1!=.a
} 

* number of ethnic groups in most diverse group to which individual participates
egen RA9_mixedgroup = rowmax(RA9_mixedgroup_1  RA9_mixedgroup_2 RA9_mixedgroup_3 RA9_mixedgroup_4 RA9_mixedgroup_5 RA9_mixedgroup_6 )

* number of mixed groups
gen RA3_nbmixedgroup = 0 if RA_nb!=. & RA_nb!=.a

foreach i in 1 2 3 4 5 6 {
replace RA3_nbmixedgroup = RA3_nbmixedgroup + 1 if RA9_mixedgroup_`i' !=0 & RA_nb!=. & RA_nb!=.a
}

* individual participates in a least one mixed group
gen RA9_mixedgroup01 = RA9_mixedgroup
replace RA9_mixedgroup01=0 if RA9_mixedgroup01>1 & RA9_mixedgroup01!=. & RA9_mixedgroup01!=.a

*  from modue Ef: EfB16bis (conditional on EfB15) EfB17c_1 (conditional on EfB17a__1) EfB17c_2 (conditional on EfB17a__2) 

gen EfB16_prov_otherethnic = 1 if EfB16bis==1 | EfB16bis==2 | EfB16bis==3
replace EfB16_prov_otherethnic = 0 if EfB16bis==4 | EfB16bis==5 
replace EfB16_prov_otherethnic = 0 if EfB16_prov_otherethnic==. & EfB15!=. & EfB15!=.a 

gen EfB17_custom_otherethnic = 1 if EfB17c_1==1 | EfB17c_1==2 | EfB17c_1==3 |  EfB17c_2==1 | EfB17c_2==2 | EfB17c_2==3
replace EfB17_custom_otherethnic = 0 if EfB17_custom_otherethnic==. & EfB17a__1!=. & EfB17a__1!=.a

***  MACRO ******************************************************************************	
* global GROUP "RA1 RA_nb RA3_economicgroup RA3_nbeconomicgroup RA3_socialgroup RA3_nbsocialgroup RA6_nbevents RA10_leader RA8_networksize RA9_mixedgroup01 RA9_mixedgroup"	

	global GROUP_PARTICIP " RA_nb RA3_nbeconomicgroup RA3_nbsocialgroup RA6_nbevents RA10_leader RA3_nbmixedgroup EfB16_prov_otherethnic EfB17_custom_otherethnic"	
	su $GROUP_PARTICIP

	global GROUP_PARTICIP_SP " RA_nb RA3_nbeconomicgroup RA3_nbsocialgroup RA6_nbevents RA10_leader "	// RA3_nbmixedgroup EfB16_prov_otherethnic EfB17_custom_otherethnic

	
*********************************************************************************
* 						PARTICIPATION SOCIALE
* 						questionnaire : Module SA 
*********************************************************************************

gen SA1_nbreunion = SA1
sum SA1_nbreunion, d
replace SA1_nbreunion= `r(p99)' if SA1_nbreunion > `r(p99)' & SA1_nbreunion!=. & SA1_nbreunion!=.a

gen SA4b_argent = 1 if  SA4b==1 | SA4b==2 
replace SA4b_argent=0 if  A4b==3 | SA4b==4  | SA4b==5

gen SA4c_temps = 1 if  SA4c==1 | SA4c==2 
replace SA4c_temps=0 if  SA4c==3 | SA4c==4  | SA4c==5

replace SA5b_1=0 if SA5a__1==0
replace SA5b_2=0 if SA5a__2==0
replace SA5b_3=0 if SA5a__3==0
replace SA5b_4=0 if SA5a__4==0
replace SA5b_5=0 if SA5a__5==0
replace SA5b_6=0 if SA5a__6==0

replace SA5c_1=0 if SA5a__1==0
replace SA5c_2=0 if SA5a__2==0
replace SA5c_3=0 if SA5a__3==0
replace SA5c_4=0 if SA5a__4==0
replace SA5c_5=0 if SA5a__5==0
replace SA5c_6=0 if SA5a__6==0

gen SA5b_partici_tr = SA5b_1 +  SA5b_2
sum SA5b_partici_tr, d
replace SA5b_partici_tr= `r(p99)' if SA5b_partici_tr > `r(p99)' & SA5b_partici_tr!=. & SA5b_partici_tr!=.a
gen SA5b_partici_tr01 = 0 if SA5b_partici_tr==0
replace SA5b_partici_tr01 = 1 if SA5b_partici_tr>0 & SA5b_partici_tr!=.

gen SA5b_argent_tr = SA5c_1 +  SA5c_2
sum SA5b_argent_tr, d
replace SA5b_argent_tr= `r(p99)' if SA5b_argent_tr > `r(p99)' & SA5b_argent_tr!=. & SA5b_argent_tr!=.a

gen SA5b_partici_soc = SA5b_3 +  SA5b_4 +  SA5b_5 +  SA5b_6
sum SA5b_partici_soc, d
replace SA5b_partici_soc= `r(p99)' if SA5b_partici_soc > `r(p99)' & SA5b_partici_soc!=. & SA5b_partici_soc!=.a
gen SA5b_partici_soc01 = 0 if SA5b_partici_soc==0
replace SA5b_partici_soc01 = 1 if SA5b_partici_soc>0 & SA5b_partici_soc!=.

gen SA5b_argent_soc = SA5c_3 +  SA5c_4 +  SA5c_5 +  SA5c_6
sum SA5b_argent_soc, d
replace SA5b_argent_soc= `r(p99)' if SA5b_argent_soc > `r(p99)' & SA5b_argent_soc!=. & SA5b_argent_soc!=.a

gen SA6a_excludedsocial = 1 if SA6a__1==1 | SA6a__2==1 | SA6a__3==1 | SA6a__4==1 | SA6a__5==1 | SA6a__6==1 
replace SA6a_excludedsocial = 0 if SA6a_excludedsocial==. & SA6a__1!=. & SA6a__1!=.a

***  MACRO ******************************************************************************	
	
* SA6a_excluded in INCLUSION macro below
	global COMUNITY_PARTICIP "SA1_nbreunion SA4b_argent SA4c_temps SA5b_partici_tr01 SA5b_partici_tr SA5b_argent_tr SA5b_partici_soc01 SA5b_partici_soc SA5b_argent_soc "	
	su $COMUNITY_PARTICIP
	
*********************************************************************************
* 						SOLIDARITE 
* 						questionnaire : Module SB
*********************************************************************************

gen SB1_helpmoney = 1 if SB1==1 | SB1==2
replace SB1_helpmoney = 0 if SB1==3 | SB1==4

gen SB2_helphouse = 1 if SB2==1 | SB2==2
replace SB2_helphouse = 0 if SB2==3 | SB2==4

gen SB3a_nhelp = SB3a
// sum SB3a_nhelp, d
// replace SB3a_nhelp= `r(p99)' if SB3a_nhelp > `r(p99)' & SB3a_nhelp!=. & SB3a_nhelp!=.a

gen SB3b_amounthelp = SB3b
replace SB3b_amounthelp=0 if SB3a==0
// sum SB3b_amounthelp, d
// replace SB3b_amounthelp= `r(p99)' if SB3b_amounthelp > `r(p99)' & SB3b_amounthelp!=. & SB3b_amounthelp!=.a

gen SB4a_ngive = SB4a
// sum SB4a_ngive, d
// replace SB4a_ngive= `r(p99)' if SB4a_ngive > `r(p99)' & SB4a_ngive!=. & SB4a_ngive!=.a

gen SB4b_amountgive = SB4b
replace SB4b_amountgive=0 if SB4a==0
// sum SB4b_amountgive, d
// replace SB4b_amountgive= `r(p99)' if SB4b_amountgive > `r(p99)' & SB4b_amountgive!=. & SB4b_amountgive!=.a

foreach var in SB3a_nhelp SB3b_amounthelp SB4a_ngive SB4b_amountgive {

		su `var' if `var'>0, d
		local p99 = `r(p99)'
		local p95 = `r(p95)'
		
		gen `var'_99=`var'
		gen `var'_95=`var'
		replace `var'_99=`p99' if `var'>`p99' & `var'<.				
		replace `var'_95=`p95' if `var'>`p95' & `var'<.	
		
}

***  MACRO ******************************************************************************	
	 
	# delimit ;
	global SOLIDARITY "SB1_helpmoney SB2_helphouse SB3a_nhelp SB3b_amounthelp SB4a_ngive SB4b_amountgive
	SB3a_nhelp_99 SB3b_amounthelp_99 SB4a_ngive_99 SB4b_amountgive_99
	SB3a_nhelp_95 SB3b_amounthelp_95 SB4a_ngive_95 SB4b_amountgive_95"	;
	
	# delimit cr
	
	su $SOLIDARITY


	
*********************************************************************************
* 						INCLUSION 
* 						questionnaire : Module SC
*********************************************************************************

gen SC1_alwaysrespected =  1 if SC1 ==1 
replace SC1_alwaysrespected =  0 if SC1 ==2  |  SC1 ==3  | SC1 ==4  

gen SC2_alwaysvoice = 1 if SC2 ==1 
replace SC2_alwaysvoice =  0 if SC2 ==2  |  SC2 ==3  | SC2 ==4  
	
gen SC2_voice = 1 if SC2 ==1 | SC2 ==2 
replace SC2_voice =  0 if  SC2 ==3  | SC2 ==4  
	
gen SC3_groupethnique = 1 if SC3 ==3 
replace SC3_groupethnique =  0 if  SC3 ==1   | SC3 ==2 	
	
gen SC4_exludedinfra  = 1 if SC4__1==1 | SC4__2==1 |  SC4__3==1 |  SC4__4==1 |  SC4__5==1 |  SC4__6==1 
replace SC4_exludedinfra=0 if SC4_exludedinfra==. & SC4__1!=. & SC4__1!=.a

gen S_anyexcluded=1 if SC4_exludedinfra==1 | SA6a_excludedsocial==1
replace S_anyexcluded=0 if SC4_exludedinfra==0 & SA6a_excludedsocial ==0

***  MACRO ******************************************************************************	

	global INCLUSION "SC1_alwaysrespected SC2_alwaysvoice SC3_groupethnique SC4_exludedinfra SA6a_excludedsocial "	
	su $INCLUSION
	
	global INCLUSION_SP "SC1_alwaysrespected SC2_alwaysvoice SC3_groupethnique  SA6a_excludedsocial "	// SC4_exludedinfra

		
*********************************************************************************
* 						PERCEPTIONS DES GROUPES / CONFIANCE 
* 						questionnaire : Module T
*********************************************************************************


replace  T1a=. if  T1a==66
replace  T1a=. if  T1a==77
replace  T1a=. if  T1a==88
replace  T1b=. if  T1b==66
replace  T1b=. if  T1b==77
replace  T1b=. if  T1b==88
replace  T1c=. if  T1c==66
replace  T1c=. if  T1c==77
replace  T1c=. if  T1c==88

egen x =  rowmean(T1a T1b T1c)
gen T1_trustindex = 4 - x
drop x
replace T1_trustindex = T1_trustindex / 3
sum T1*

gen T1a_tottrust_commun = 1 if T1a==1
replace T1a_tottrust_commun = 0 if T1a==2 | T1a==3 | T1a==4

gen T1b_tottrust_agree = 1 if T1b==1
replace T1b_tottrust_agree = 0 if T1b==2 | T1b==3 | T1b==4

gen T1c_tottrust_credit = 1 if T1c==1
replace T1c_tottrust_credit = 0 if T1c==2 | T1c==3 | T1c==4


foreach var of varlist  T3a T3b T3c T3d T3e {
gen `var'_trust =1 if `var' ==1 | `var' ==2
replace `var'_trust =0 if `var' ==3 | `var' ==4

gen `var'_tottrust = 1 if `var' ==1 
replace `var'_tottrust =0 if `var'== 2 | `var' ==3 | `var'== 4
}

rename T3a_trust T3a_trust_neighb
rename T3a_tottrust  T3a_tottrust_neighb
rename T3b_trust  T3b_trust_ethn
rename T3b_tottrust  T3b_tottrust_ethn
rename T3c_trust  T3c_trust_noethn
rename T3c_tottrust T3c_tottrust_noethn 
rename T3d_trust  T3d_trust_lead
rename T3d_tottrust  T3d_tottrust_lead
rename T3e_trust  T3e_trust_foreign
rename T3e_tottrust T3e_tottrust_foreign

foreach var of varlist  T4a T4b  {
gen `var'_posattitude =1 if `var' ==1 | `var' ==2
replace `var'_posattitude =0 if `var' ==3 | `var' ==4

gen `var'_topattitude = 1 if `var' ==1 
replace `var'_topattitude =0 if `var'== 2 | `var' ==3 | `var'== 4
}

foreach var of varlist  T4d T4e  {
gen `var'_posattitude =1 if `var' ==3 | `var' ==4
replace `var'_posattitude =0 if `var' ==1 | `var' ==2

gen `var'_topattitude = 1 if `var' ==4 
replace `var'_topattitude =0 if `var'== 1 | `var' ==2 | `var'== 3
}


rename T4a_posattitude T4a_posattitude_overall
rename T4a_topattitude T4a_topattitude_overall 
rename T4b_posattitude  T4b_posattitude_econ
rename T4b_topattitude T4b_topattitude_econ
rename T4d_posattitude  T4d_posattitude_acti
rename T4d_topattitude T4d_topattitude_acti
rename T4e_posattitude  T4e_posattitude_insecu
rename T4e_topattitude T4e_topattitude_insecu

foreach var of varlist  T5c T5d T5e  {
gen `var'_welcome =1 if `var' ==1 | `var' ==2
replace `var'_welcome =0 if `var' ==3 | `var' ==4

gen `var'_totwelcome = 1 if `var' ==1 
replace `var'_totwelcome =0 if `var'== 2 | `var' ==3 | `var'== 4
}

rename T5c_welcome  T5c_welcome_otherlang
rename T5c_totwelcome  T5c_totwelcome_otherlang
rename T5d_welcome  T5d_welcome_ivorian
rename T5d_totwelcome  T5d_totwelcome_ivorian
rename T5e_welcome  T5e_welcome_nonivorian
rename T5e_totwelcome T5e_totwelcome_nonivorian

gen T7_ratecohesion = T7 / 10

* overall index of trust in others (coded as [0,1], could be further normalized using the control group mean and sd)
gen T_tot_trust_index = T1a_tottrust_commun + T1b_tottrust_agree + T1c_tottrust_credit + T3a_tottrust_neighb + T3b_tottrust_ethn + T3c_tottrust_noethn + T3d_tottrust_lead + T3e_tottrust_foreign + T4a_topattitude_overall + T4b_topattitude_econ + T4d_topattitude_acti + T4e_topattitude_insecu + T5c_totwelcome_otherlang + T5d_totwelcome_ivorian + T5e_totwelcome_nonivorian + T7_ratecohesion
replace T_tot_trust_index = T_tot_trust_index / 16
sum T_tot_trust_index T1a_tottrust_commun T1b_tottrust_agree T1c_tottrust_credit T3a_tottrust_neighb T3b_tottrust_ethn T3c_tottrust_noethn T3d_tottrust_lead T3e_tottrust_foreign T4a_topattitude_overall T4b_topattitude_econ T4d_topattitude_acti T4e_topattitude_insecu T5c_totwelcome_otherlang T5d_totwelcome_ivorian T5e_totwelcome_nonivorian T7_ratecohesion


***  MACRO ******************************************************************************	

* global TRUST "T1_trustindex T3a_trust_neighb T3a_tottrust_neighb T3b_trust_ethn T3b_tottrust_ethn T3c_trust_noethn  T3c_tottrust_noethn T3d_trust_lead T3d_tottrust_lead T3e_trust_foreign  T3e_tottrust_foreign T4a_posattitude_overall T4a_topattitude_overall T4b_posattitude_econ T4b_topattitude_econ T4d_posattitude_acti T4d_topattitude_acti T4e_posattitude_insecu T4e_topattitude_insecu T5c_welcome_otherlang T5c_totwelcome_otherlang T5d_welcome_ivorian T5d_totwelcome_ivorian T5e_welcome_nonivorian T5e_totwelcome_nonivorian T7_ratecohesion"	

	global TRUST "T_tot_trust_index T1_trustindex T1a_tottrust_commun  T1b_tottrust_agree  T1c_tottrust_credit  T3a_tottrust_neighb T3b_tottrust_ethn  T3c_tottrust_noethn T3d_tottrust_lead  T3e_tottrust_foreign T4a_topattitude_overall T4b_topattitude_econ T4d_topattitude_acti T4e_topattitude_insecu T5c_totwelcome_otherlang T5d_totwelcome_ivorian T5e_totwelcome_nonivorian T7_ratecohesion"	
	su $TRUST

	global SUM_ATTITUDES "T_tot_trust_index S_anyexcluded SC1_alwaysrespected SC2_alwaysvoice SC3_groupethnique"	
	su $SUM_ATTITUDES 
	
	global SUM_ATTITUDES_SP "T_tot_trust_index  SC1_alwaysrespected SC2_alwaysvoice SC3_groupethnique"	// S_anyexcluded

	
*********************************************************************************
*		 				SOCIAL RELATIONS - CONFLITS
* 						questionnaire : Module RB
*********************************************************************************
/*
From Eva
Principale	Conflits avec les membres du villages	Nombre de conflits quelque soit la nature du palabre mais seulement avec les gens du village & Conflit où l'individu est impliqué	conflits	 RB4 if RB6!=3 & RB9
Principale	Insécurité dans la localité	Fréquence des vols/agressions/bagarres dans la localité + si l'enquêté a lui même été victime	insecu	Index sur RB1a/b/c & RB2ter
*/

gen RB1a_vols = 1 if RB1a == 1 | RB1a == 2
replace RB1a_vols = 0 if RB1a == 3

gen RB1b_aggression = 1 if RB1b == 1 | RB1b == 2
replace RB1b_aggression = 0 if RB1b == 3

gen RB1c_tirs = 1 if RB1c == 1 | RB1c == 2
replace RB1c_tirs = 0 if RB1c == 3

gen RB2_paix = 1 if RB2==1
replace RB2_paix = 0 if RB2==2 | RB2==3 | RB2==4 | RB2==5

gen RB2_nopaix = 1 - RB2_paix

gen RB2bis_craintes = 1 if RB2bis==1 | RB2bis==2 
replace RB2bis_craintes=0 if RB2bis==3

gen RB2ter_victimes = 1 if RB2ter==1 | RB2ter==2 
replace RB2ter_victimes=0 if RB2ter_victimes==3

gen RB3_conflit = 1 if RB3==1
replace RB3_conflit=0 if RB3==2

gen RB3_conflit_ind = 1 if  RB9_1==1 | RB9_2==1 | RB9_3==1  | RB9_4==1  
replace RB3_conflit_ind=0 if RB3_conflit!=. & RB3_conflit_ind==.

* indice of insecurity, possibly aggregate by locality 

gen RB_insecurityindex = RB1a_vols +  RB1b_aggression + RB1c_tirs + RB2_nopaix + RB2bis_craintes + RB3_conflit 
replace RB_insecurityindex =  RB_insecurityindex / 6

gen RB_victimindex =  RB2ter_victimes + RB3_conflit_ind
replace RB_victimindex =  RB_victimindex / 6

***  MACRO ******************************************************************************	
	 global CONFLICT "RB_insecurityindex RB_victimindex RB1a_vols RB1b_aggression RB1c_tirs RB2_paix RB2bis_craintes RB3_conflit RB3_conflit_ind RB2ter_victimes"	


	 global CONFLICT "RB_insecurityindex RB_victimindex RB1a_vols RB1b_aggression RB1c_tirs RB2_paix RB2bis_craintes RB3_conflit RB3_conflit_ind RB2ter_victimes"	
	su $CONFLICT
	
*********************************************************************************
*		 				OVERALL SUMMARY SOCIAL COHESION
*********************************************************************************
	
	sum	$GROUP_PARTICIP $COMUNITY_PARTICIP $SOLIDARITY $SUM_ATTITUDES $CONFLICT $INCLUSION $TRUST 
	
	
	/* add zscores for index */
	foreach var in RB_insecurityindex RB_victimindex T_tot_trust_index T1_trustindex {
		sum `var' [weight=sampling_w_main] if treat_common_main==0 // modif Apr 28 20
		gen zs_`var'_M = ( `var' - `r(mean)' ) / (`r(sd)')
		
	}
	
	foreach var in  T_tot_trust_index T1_trustindex {
		
		sum `var' [weight=sampling_w_sec] if treat_common_spill==0 // modif Apr 28 20
		gen zs_`var'_S = ( `var' - `r(mean)' ) / (`r(sd)')		
	}
	

		*** END OF THE CONSTRUCTION OF ANALYSIS VARIABLES
		*** END OF THE CONSTRUCTION OF ANALYSIS VARIABLES
		*** END OF THE CONSTRUCTION OF ANALYSIS VARIABLES
		


		
		
		
		
		
	rename ID id


	* A/ Gender
		gen gender= (id_genre==2) if id_genre!=.
		gen compl_gender=substr(id,9,1)
		replace gender=1 if compl_gender=="2"
		replace gender=0 if compl_gender=="1"
	
	
	* B/ Age

		gen b_age = b_age20_01_16
		gen youth=(b_age<=35)

	* C/ Village / other
		gen village=strata_loc

	* D/ Vulnerability at baseline - using the vulnerability score to be selected in the program
	
		su b_score_vul,d
		sca lim=r(p50)        // should we do p25 ?
		gen vuln=( b_score_vul>=lim) // higher score is more vulnerable

				
	* E/ Autochtone versus others (allochtone, allogene)
		gen autoch=(b_a15==1) if attrit_i_e==0
	* F/ Fragmentation / diversity of the locality (in terms of ethnic group)
	
		gen frag_1=Tot_ethnic_V3>2 & Tot_ethnic_V3<. if attrit_i_e==0
		gen frag_2=Tot_ethnic_V2>3.5 & Tot_ethnic_V2<. if attrit_i_e==0	

		
		
save "$data/processed data/Endline_cleaned_dataset.dta", replace // This database contains all the analysis variable (+ raw variables)
		
	